2010-12-11  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* scripts/nazghul.iss:
	Updated version number and URL. Changed the program name to haxima.

2010-08-27  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Party.cpp, src/cmd.c, src/node.c, src/node.h, src/place.c, src/player.cpp, src/session.c, src/status.c:
	Fixed all the warnings related to strict aliasing and type punning. We now compile warning-free with gcc 4.4.4.

2010-08-26  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/map.h, src/menus.c, src/menus.h, src/nazghul.c, src/object.c, src/object.h, src/occ.c, src/occ.h, src/place.c, src/place.h, src/player.cpp, src/player.h, src/sched.c, src/sched.h, src/scheme.c, src/screen.c, src/screen.h, src/session.c, src/session.h, src/sky.c, src/sound.c, src/sound.h, src/species.c, src/species.h, src/sprite.c, src/sprite.h, src/status.c, src/status.h, src/terrain.c, src/terrain.h, src/terrain_editor.c, src/terrain_map.c, src/terrain_map.h, src/tree.c, src/tree.h, src/vehicle.cpp, src/vehicle.h, src/vmask.c, src/ztats_container_pane.c, src/ztats_container_pane.h, src/Arms.cpp, src/Arms.h, src/Being.cpp, src/Being.h, src/Field.cpp, src/Field.h, src/Missile.cpp, src/Missile.h, src/Party.cpp, src/ascii.c, src/astar.c, src/cfg.c, src/cfg.h, src/character.cpp, src/character.h, src/clock.c, src/clock.h, src/closure.c, src/closure.h, src/cmd.c, src/cmd.h, src/cmdwin.c, src/cmdwin.h, src/common.c, src/common.h, src/console.c, src/console.h, src/conv.c, src/ctrl.c, src/debug.c, src/debug.h, src/dice.c, src/dice.h, src/dimensions.c, src/dtable.c, src/dtable.h, src/effect.c, src/effect.h, src/factions.h, src/file.c, src/file.h, src/foogod.c, src/foogod.h, src/images.c, src/images.h, src/kern.c, src/kern_intvar.c, src/kern_intvar.h, src/log.c, src/log.h, src/los.c, src/los.h, src/magic.c, src/magic.h, src/map.c:
	Fixed compiler warnings related to const vs non-const char pointers

2010-03-08  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/menus.c:
	Don't load the demo if the player has a saved game. In this case he probably just wants to Journey Onward with minimal delay.

2009-10-19  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/start-new-game.scm:
	game version number incremented

	* src/kern.c:
	kern.c gets USE_QUESTS from ../config.h, the same way USE_SKILLS works

	* win32/config.h, win32/readme.txt: tweaks to win32 build

2009-10-17  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Makefile.am, COPYING, NEWS, AUTHORS: Update for 0.7.0 release

2009-10-10  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* doc/USERS_GUIDE:
	Added CTRL-E)val to the USERS_GUIDE with an example string for teleporting the player.

	* src/cmd.c: CTRL-E)val now gives a prompt.

	* worlds/haxima-1.002/deric.scm, worlds/haxima-1.002/edward.scm, worlds/haxima-1.002/nate.scm, worlds/haxima-1.002/quests-data-static.scm, worlds/haxima-1.002/quests-data.scm, worlds/haxima-1.002/quests-mech.scm, worlds/haxima-1.002/tbl.scm:
	Bandit quest log stuff now done.

	* src/cmd.c, src/cmd.h, src/ctrl.c, src/event.c, src/event.h, src/session.c, src/session.h:
	Added CTRL-E to developer mode. This will let you enter a Scheme expression in the cmdwin and then the kernel will evaluate it. I will not be responsible for the results.

2009-10-04  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* doc/USERS_GUIDE: Corrected some spell listings

	* worlds/haxima-1.002/tools.scm:
	Shortened the time it takes to pick locks

	* worlds/haxima-1.002/skills.scm:
	Reshuffled skills so that wanderer will get pickpocket eventually; also removed butcher from the lists since there isn't a lot one can do with it yet.

	* worlds/haxima-1.002/naz.scm:
	Made NPC's level depend on number of player party members

	* worlds/haxima-1.002/disarm-trap.scm:
	Disarm skill depended on wrong ability

	* worlds/haxima-1.002/glasdrin.scm:
	Made the Stewardess's chest invisible (to justify the MAN's hint about Wis Quas), and removed the magic lock and burn trap (I see no need to make it the most-protected chest in the game).

2009-10-03  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/powers.scm:
	Made the Disarm Traps spell fallible. Bonus is the average of magical and thiefly abilities.

2009-10-02  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/powers.scm:
	An Sanct (Unlock Mundane) can now fail. Caster's bonus is the average of white-magic and thief abilities

	* worlds/haxima-1.002/potions.scm:
	Changed stats potions as per kaypy's suggestion. Chance and degree of working now drops as base stat increases.

2009-10-01  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/necromancer.scm:
	necromancer conv changes with warritrix status

	* worlds/haxima-1.002/lost-halls-mech.scm, worlds/haxima-1.002/lost-halls.scm, worlds/haxima-1.002/quests-data.scm:
	can no longer find warritrix before quest

	* worlds/haxima-1.002/ini.scm, worlds/haxima-1.002/jeffreys.scm, worlds/haxima-1.002/quests-data-static.scm, worlds/haxima-1.002/steward.scm:
	a ream of quest debugging

	* worlds/haxima-1.002/ini.scm, worlds/haxima-1.002/jeffreys.scm, worlds/haxima-1.002/steward.scm:
	convs tweaked to delay warritrix mission

2009-09-29  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/console.c, src/console.h, src/player.cpp:
	Fixed a crasher that occurred when a console color push/pop crossed a newline boundary

	* worlds/haxima-1.002/species.scm:
	Gave bats vision radius 19 since they may attack the player when he's in the voidship

	* worlds/haxima-1.002/runes.scm:
	Fixed a crasher when getting the warritrix rune

2009-09-29  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/quests-data.scm: purged a duplicate entry

	* worlds/haxima-1.002/alchemist.scm, worlds/haxima-1.002/enchanter.scm, worlds/haxima-1.002/quests-data.scm, worlds/haxima-1.002/runes.scm, worlds/haxima-1.002/warritrix.scm:
	using quest-data-complete preferentially

	* worlds/haxima-1.002/quests-mech.scm: A bunch more documentation
	Added a quest-data-complete method

2009-09-28  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/alchemist.scm, worlds/haxima-1.002/conv.scm, worlds/haxima-1.002/engineer.scm, worlds/haxima-1.002/jeffreys.scm:
	A bunch more triggers for Warritrix info updates

	* worlds/haxima-1.002/quests-data-static.scm, worlds/haxima-1.002/quests-data.scm:
	Some quest documentation

2009-09-27  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/conv.scm, worlds/haxima-1.002/enchanter.scm, worlds/haxima-1.002/engineer.scm, worlds/haxima-1.002/gregor.scm, worlds/haxima-1.002/necromancer.scm, worlds/haxima-1.002/quests-data-static.scm, worlds/haxima-1.002/steward.scm, worlds/haxima-1.002/warritrix.scm:
	Wise quests pass 1- linked in results of find-in-files: wise

	* worlds/haxima-1.002/conv.scm, worlds/haxima-1.002/quests-data-static.scm, worlds/haxima-1.002/quests-data.scm:
	Placeholder quest entries for all of the wise

2009-09-26  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/enchanter.scm, worlds/haxima-1.002/quests-data-static.scm, worlds/haxima-1.002/quests-data.scm, worlds/haxima-1.002/quests-mech.scm, worlds/haxima-1.002/quests.png, worlds/haxima-1.002/sprites.scm:
	Partial work toward tracking the players progress at finding the various wise

	* worlds/library/artwork/hirespeople/paladin.xcf, worlds/haxima-1.002/hirespeople.png, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/statue-of-justice.scm, worlds/haxima-1.002/valus.scm:
	Added a bedraggled version of the paladin sprite for those in disgrace

	* worlds/haxima-1.002/jeffreys.scm, worlds/haxima-1.002/player.scm, worlds/haxima-1.002/quests-data-static.scm, worlds/haxima-1.002/quests-data.scm, worlds/haxima-1.002/statue-of-justice.scm, worlds/haxima-1.002/warritrix.scm:
	Convert and fix glasdrin convs

2009-09-25  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/skills.scm: Jump should span at least one tile

2009-09-22  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/character.cpp: X)amine was showing the names of un-met NPC's

	* worlds/haxima-1.002/runes.scm: Fixed a crasher when picking up runes

	* worlds/haxima-1.002/effects.scm:
	Think I finally got the slimes tuned right.

	* worlds/haxima-1.002/sounds.scm: Fixed path to ballad.ogg

2009-09-18  kaypy  <kaypy@localhost.localdomain>

	* win32/Makefile: added terrain editor to win32

2009-09-18  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/session.c: Fix for problem starting new game on x86_64

2009-09-16  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/effects.scm: Tuning slime split probability

	* worlds/haxima-1.002/spells.scm:
	Added royal cape as an ingredient to all the ward spells

	* worlds/haxima-1.002/slywan.scm:
	Change slywan's alignment directly to avoid 'Slyway is charmed' log message

	* worlds/haxima-1.002/earl.scm, worlds/haxima-1.002/tooth.scm:
	Added grease to merchandise of earl and tooth

	* worlds/haxima-1.002/books.scm:
	Added royal cape to the books on ward spells

2009-09-15  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Being.cpp: Fixed a hang on rendezvous

	* worlds/haxima-1.002/music/Makefile.am: Fixed music installation

2009-09-13  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/skills.scm: Tuning skills

	* worlds/haxima-1.002/quests-data-static.scm:
	Fixed some typos in the quest text

	* worlds/haxima-1.002/potions.scm:
	Decided that gain-stats potions are rare enough that they shouldn't fail

	* worlds/haxima-1.002/pitfalls.scm:
	Fixed a cut-and-paste that prevents the Arm Trap skill from working

	* worlds/haxima-1.002/edward.scm: Fixed typo in conv

	* worlds/haxima-1.002/nate.scm: Nate responds to NAME keyword

	* worlds/haxima-1.002/lia.scm: Made some scrolls cheaper

	* worlds/haxima-1.002/shroom.scm:
	Shroom responds to queries about royal cape

	* worlds/haxima-1.002/anaxes.scm, worlds/haxima-1.002/fing.scm, worlds/haxima-1.002/tim.scm:
	Some characters shouldn't respond to the 'common folk' keywords

	* worlds/haxima-1.002/ability.scm: Ratlings summon more critters

	* src/ztats.c, src/kern.c:
	Fixed a crasher due to the quest pane not removing itself during session teardown

	* worlds/haxima-1.002/effects.scm:
	Fixed a bug that prevented ensnare from being removed

	* src/map.c: Xray works in total darkness

2009-09-12  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Party.cpp:
	Fixed a crasher that occurred after talking to party members in wilderness mode

2009-09-09  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/start-new-game.scm: Removed reference to florinth

	* worlds/haxima-1.002/quests-data-static.scm: Grammatical error

	* worlds/haxima-1.002/shard.scm: Removed refs to florinth

	* worlds/haxima-1.002/gen.scm: Removed some spaces and uppercases words

2009-08-30  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/books.scm, worlds/haxima-1.002/chanticleer.scm, worlds/haxima-1.002/enchanter.scm, worlds/haxima-1.002/ini.scm, worlds/haxima-1.002/jeffreys.scm, worlds/haxima-1.002/player.scm, worlds/haxima-1.002/quests-data-static.scm, worlds/haxima-1.002/quests-data.scm, worlds/haxima-1.002/runes.scm, worlds/haxima-1.002/silas.scm, worlds/haxima-1.002/start-new-game.scm, worlds/haxima-1.002/steward.scm:
	First pass at warritrix and absalot rune quest info

2009-08-22  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* configure.ac: Turned on skills and quests by default

2009-08-21  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/arms.scm:
	Fix for 1843026: vial slimes set to user's faction

2009-06-24  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/ascii.c, src/common.h, src/dimensions.c, src/player.cpp, src/vehicle.cpp, src/wind.c, worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/vehicles.scm:
	Fix for 1900156: Has anyone seen East or South winds for a while?

	Haxima:
	o In cast-wind-change don't allow HERE
	o Alway ensure at least 10 turns on a wind change spell
	o For ships switched tailwind to be better than crosswind

	Kernel:
	o Log to the console whenever the wind shifts
	o Change wind directions to be 8-way instead of 4-way (changed vehicle code to
	  accomodate)
	o Make wind widget wide enough for longest string
	o Log player party movement cost in developer mode

2009-06-23  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c:
	Fix for 1900157: kern_ui_select_party_member() unconditionally uses
	cmdwin_pop() after calling select_party_member(), but in cases where there is
	only one party member there was nothing to pop. Now there is.

	* worlds/haxima-1.002/runes.scm:
	Fix for crasher when picking up certain runes

	* src/character.cpp, src/play.c:
	Fix for 2129810: added some explanatory log messages

	* win32/Makefile, win32/config.h: Fix for 2360126: applied patch

2009-06-21  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/map.c: Fix for 2364311: avoid divide-by-zero error

	* worlds/haxima-1.002/npc-types.scm:
	Fix for 2364368: added sleep immunity to demons (incl Nossifer)

	* worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/effects.scm:
	Fix for 2398446: added list of acid-immune weapon types

	* worlds/haxima-1.002/alchemist.scm:
	Fix for 2404468: reworded 'search' to be 'probe'

	* worlds/haxima-1.002/alchemist.scm:
	Fix for 2404478: reworded a statement

	* worlds/haxima-1.002/640x480_splash.png, worlds/haxima-1.002/splash.png:
	Fix for 2466986: removed version number from splash images

	* worlds/haxima-1.002/gamestart-mech.scm:
	Fix for 2467008: make the blue gate in the character creation map black

2009-04-11  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/conv.scm, worlds/haxima-1.002/ghertie.scm, worlds/haxima-1.002/gholet.scm, worlds/haxima-1.002/henry.scm, worlds/haxima-1.002/jewelry.scm, worlds/haxima-1.002/jorn.scm, worlds/haxima-1.002/meaney.scm, worlds/haxima-1.002/oscar.scm, worlds/haxima-1.002/quests-data-static.scm, worlds/haxima-1.002/quests-data.scm, worlds/haxima-1.002/runes.scm, worlds/haxima-1.002/the-man.scm:
	pirate rune quest and subquests
	I think I have tested most of the paths through this, but it gets a touch baroque and thus could use more playtesting

	* worlds/haxima-1.002/gamestart.scm, worlds/haxima-1.002/start-new-game.scm:
	moved cheating tweaks into gamestart where they can tweak more

	* worlds/haxima-1.002/effects.scm: added a generalized on-death method

	* worlds/haxima-1.002/kobj.scm, worlds/haxima-1.002/powers.scm:
	added an ifc for objects that need a callback when obtained via odd means such as pickpocketing (basically, anything that doesnt go via ifc-get ought to trigger ifc-receive instead)

2009-04-09  kaypy  <kaypy@localhost.localdomain>

	* src/map.c: Rounding tweak for viewscreens with even numbers of tiles

	* src/closure.h: gcc didnt like repeated identifier

2008-12-12  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/newterrain.png, worlds/haxima-1.002/palette.scm, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/terrains.scm:
	Added another tombstone

2008-12-11  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/newterrain.png, worlds/haxima-1.002/palette.scm, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/terrains.scm:
	Added a tombstone

2008-12-08  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/event.c, src/terrain_editor.c:
	Engine changes:
	o The terrain editor UI now has two status panes: the terrain palette and a
	  list of commands.

2008-12-04  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/map.c: Fixed mouse-clicking on the map while zoomed out

2008-12-01  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/start-new-game.scm:
	Accidentally committed my test version of this earlier, restoring it.

	* src/terrain_editor.c, src/terrain_map.c, src/terrain_map.h:
	Added undo (ctrl-z) and redo (ctrl-r) commands to terrain editor

2008-11-30  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/terrain.c, src/terrain.h: Removed dead code

	* src/terrain.c, src/terrain.h:
	Removed the current terrain index and quick entries from the palette struct and terrain code (moved to terrain editor on my last commit)

	* src/terrain_editor.c:
	Part 1 of moving the current terrain and quick terrain settings from the palette struct to the terrain editor code

	* src/terrain_editor.c:
	Terrain editor now correctly handles dragging the mouse to paint

	* worlds/haxima-1.002/florinth.scm:
	The great and wicked city of Florinth. Now mostly blank.

	* src/cmd.c, src/cmd.h, src/map.c, src/status.c, src/terrain.c, src/terrain.h, src/terrain_editor.c:
	Engine changes:
	o Terrain editor now displays the terrain pallete in a scrolling status
	  window. Clicking on a terrain selects it for "painting".

	* src/Makefile.am, src/cmd.c, src/cmd.h, src/terrain_editor.c, src/terrain_editor.h:
	Engine changes:
	o Moved code for terrain editing from cmd.c to newly created terrain_editor.c.

	* src/status.c, src/status.h:
	Changed a comment and removed some dead code

2008-11-29  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/terrain.h, src/terrain.c:
	Engine changes:
	o Terrain palette entries are now listed in two ways: by glyph lookup (the old
	  way, which helps load maps faster) and now by the order in which things are
	  added to the palette (the even older way, which allows the map editor to list
	  them in the same order as the script)

	* worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/shard.scm, worlds/haxima-1.002/start-new-game.scm:
	Changes to haxima:
	o (mk-dungeon-level ...) now binds rooms in diagonal directions.

	* src/character.cpp, src/common.c, src/place.c, src/place.h:
	Engine changes:
	o After exiting to wilderness, the party is positioned on the tile adjacent to
	  the town in the exit direction. We'll see how this goes.

2008-11-28  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/shard.scm, worlds/haxima-1.002/start-new-game.scm:
	Forgot the island on my last commit.

	* worlds/haxima-1.002/shard.scm, worlds/haxima-1.002/start-new-game.scm:
	Extended the Shard. Added new island.

2008-11-25  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/character.cpp, src/character.h:
	Prompt the user to abort a task on damage. Allow them to ignore damage.

	* worlds/haxima-1.002/occs.scm, worlds/haxima-1.002/skills.scm:
	Another attempt to tune skill level requirements

	* worlds/haxima-1.002/effects.scm: Removed some debug

	* worlds/haxima-1.002/powers.scm:
	Pickpocket rolls to succeed before showing target inventory

	* worlds/haxima-1.002/skills.scm: Made lockpicking a passive skill

	* worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/pitfalls.scm, worlds/haxima-1.002/skills.scm, worlds/haxima-1.002/tools.scm:
	Changes to haxima:
	o Arming traps now entails some risk
	o Tweaked stealth mode rolls

	* scripts/dice_rolls.pl:
	Perl script for computing dice roll probablities with 2 dice

2008-11-24  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/abe.scm, worlds/haxima-1.002/quests-data.scm, worlds/haxima-1.002/runes.scm:
	void temple rune quest upgraded

	* worlds/haxima-1.002/abe.scm, worlds/haxima-1.002/angriss-lair.scm, worlds/haxima-1.002/angriss.scm, worlds/haxima-1.002/gen.scm, worlds/haxima-1.002/kama.scm, worlds/haxima-1.002/quests-data-static.scm, worlds/haxima-1.002/quests-data.scm, worlds/haxima-1.002/runes.scm, worlds/haxima-1.002/warritrix.scm:
	spider rune quest upgraded
	angriss' lair location given by description
	(sextant coords from goblins just seemed wierd)

	* worlds/haxima-1.002/shard.scm, worlds/haxima-1.002/special.scm:
	moving angriss' lair a little (to a more readily describably location)

2008-11-23  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/skills.scm:
	Changes to haxima:
	o Added a "stuck" effect that works like ensnare but rolls against thiefly
	  ability
	o Wriggle now has a very good chance of getting stuck.

2008-11-23  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/quests-data.scm, worlds/haxima-1.002/runes.scm:
	fire sea rune quest (such as it is) upgraded

	* worlds/haxima-1.002/alchemist.scm, worlds/haxima-1.002/quests-data-static.scm, worlds/haxima-1.002/quests-data.scm, worlds/haxima-1.002/runes.scm:
	kurpolis rune quest upgraded

	* worlds/haxima-1.002/quest-sys.scm: quest-set-icon! fixed

2008-11-23  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/game.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/pitfalls.scm:
	Changes to haxima:
	o Using pitfalls entails some risk. Roll against thiefly ability. This is the
	  arm trap skill.

2008-11-23  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/enchanter.scm, worlds/haxima-1.002/quests-data.scm, worlds/haxima-1.002/quests-mech.scm:
	a batch of subquests (although they wont all be set at once for much longer)

	* worlds/haxima-1.002/conv.scm: typo

	* worlds/haxima-1.002/runestones.png, worlds/haxima-1.002/sprites.scm:
	runestone group sprite

	* worlds/haxima-1.002/alchemist.scm, worlds/haxima-1.002/quests-data-static.scm, worlds/haxima-1.002/quests-data.scm:
	dragons blood quest upgraded

	* worlds/haxima-1.002/quest-sys.scm, worlds/haxima-1.002/ztats-quest-ui.scm:
	tweaked quest-status callback. Also made the display routine actually invoke it

2008-11-23  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/occs.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/skills.scm:
	Changes to haxima:
	o Reduced fatigue time
	o Added warrior skill sets
	o Jump now causes fatigue and is blocked by it
	o Tuned jump range
	o Bugfix: can't sprint through people or impassable terrain

	* worlds/haxima-1.002/containers.scm, worlds/haxima-1.002/disarm-trap.scm, worlds/haxima-1.002/door.scm, worlds/haxima-1.002/skills.scm, worlds/haxima-1.002/the-man.scm:
	Changes to haxima:
	o Removed mana cost for skills.
	o Removed ap cost for some skills (replacing with multi-turn tasks)
	o Removed the "detect trap" skill. Use existing s)earch command instead,
	  thiefly ability already used to roll for success. Magic detect trap left
	  as-is (no trip chance).
	o Modified the "disarm trap" skill to be multi-turn
	o When describing doors and chests, disarmed traps are annotated

	* worlds/haxima-1.002/game.scm: Revised canonical difficulty classes

2008-11-22  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/quest-sys.scm, worlds/haxima-1.002/quests-mech.scm, worlds/haxima-1.002/ztats-quest-ui.scm:
	support for subquests

	* worlds/haxima-1.002/gregor.scm: 'if' glitch
	decapitalization

2008-11-20  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/skills.scm:
	Changes to haxima:
	o Added simple fatigue effect
	o Sprint causes fatigue
	o Fatigue prevents sprint

	* src/cmd.c, src/result.h: Engine changes:
	o New result code: not-now

	* worlds/haxima-1.002/skills.scm:
	Fixing some errors; not sure what I was testing before my last commit

	* worlds/haxima-1.002/occs.scm, worlds/haxima-1.002/scrolls.scm, worlds/haxima-1.002/skills.scm:
	Changes to haxima:
	o Added two new ability calculators for strength-based acrobatics and
	  dexterity-based acrobatics.
	o The sprint skill now uses strength-based acrobatics to compute max range.

	* worlds/haxima-1.002/tools.scm: Time to pick a lock depends on dc

2008-11-19  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/character.cpp, src/ctrl.c, src/foogod.c, src/foogod.h, src/player.cpp:
	Foogod title bar now shows party movement mode and active party member

	* worlds/haxima-1.002/conv.scm: No need to *lie* about the directions

	* worlds/haxima-1.002/tools.scm:
	Using picklocks now takes multiple turns

	* worlds/haxima-1.002/conv.scm:
	Made default directions somewhat helpful

	* worlds/library/artwork/creatures/chicken.xcf: Changes to chicken art

	* src/character.cpp:
	Was passing the gob incorrectly to the task procedure

	* src/cmd.c, src/cmd.h: Can't quit while engaged in a task

2008-11-18  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/powers.scm:
	Charm only hurts diplomacy on failure against a non-immune target

	* worlds/haxima-1.002/effects.scm:
	Paralyzed party members cannot rendezvous in follow mode

2008-11-17  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/player.cpp: Can't rendezvous to exit if a party member is charmed

	* src/character.cpp:
	o NPC's now (in addition to PC's) log messages when they start, end or abort a
	  task.
	o setPlayerControlled(false) (ie, charm) cancels tasks
	o Fixed an extra space char in describe(); made spacing consistent; changed "a
	  LX" to "an LX"

	* worlds/haxima-1.002/creatures.png, worlds/haxima-1.002/gregors-hut.scm, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/scrolls.png, worlds/haxima-1.002/species.scm, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/trigrave.scm:
	Chickens

	* worlds/library/artwork/creatures/chicken.xcf: Chicken

	* worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/scrolls.png, worlds/haxima-1.002/scrolls.scm, worlds/haxima-1.002/spells.png, worlds/haxima-1.002/spells.scm:
	Decided to go ahead and incorporate my test scroll as a new spell: Rel Xen Quas or Beastly Illusion will charm it's target with faction-monster, making decent folk attack them. Not sure if it's useful. Also tweaked some of the spell sprites to make party effect sprites more consistent with Vas An Nox.

	* worlds/haxima-1.002/scrolls.scm:
	Added a scroll to test charm on oneself

	* worlds/haxima-1.002/effects.scm:
	Modified the charm effect to use kern-char-set-player-controlled as well as changing the target's current faction

	* src/character.cpp, src/cmd.c:
	Changed setPlayerControlled for charm; it tries to do the right thing for party control when in solo or follow mode

	* src/object.c: Removed some dead code

2008-11-16  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/character.cpp: Death and sleep cancel tasks

	* src/cmd.c:
	Loitering disabled while any party member is engaged in a task

	* src/character.cpp:
	Only save AP debt; a positive would be carried over as an unwarranted ap bonus when the game restarts

	* src/character.cpp: Removed some old debug

	* src/player.cpp:
	Party cannot exit to wilderness while one or more is engaged in a task

2008-11-16  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/tbl.scm: added is-tbl? check
	also, lisp if syntax is a cruel abuse upon generations of innocent coders

	* worlds/haxima-1.002/alchemist.scm:
	"find out about runes" quest upgraded (missed a file)

	* worlds/haxima-1.002/abe.scm, worlds/haxima-1.002/enchanter.scm, worlds/haxima-1.002/quests-data-static.scm, worlds/haxima-1.002/quests-data.scm:
	"find out about runes" quest upgraded

	* worlds/haxima-1.002/naz.scm: removed some debugging messages

	* worlds/haxima-1.002/quests-mech.scm:
	alter quest feedback to prevent colour glitches

2008-11-16  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/tools.scm:
	Added a special object to test multi-turn tasks.

	* src/object.c, src/object.h, src/player.cpp, src/character.cpp, src/character.h, src/cmd.c, src/kern.c:
	This set of changes is a second pass at implementing multi-turn tasks. It is
	far from well-tested and I'm certain it breaks the charm effect. But the basics
	of task starting, completing, aborting and saving/reloading are functional, and
	the party control management that goes along with it. Tasks in wilderness are
	not supported yet. Canceling tasks are accomplished by setting the PC to solo
	mode (the player will be prompted to confirm).

	o Added kern-char-task-begin, -end, -continue and -abort.
	o Added corresponding methods to the Character class
	o Ripped a bunch of code out of setCurrentFaction that was used to implement
	  charm, but was munging things up now, and which probably never belonged there
	  in the first place.
	o Similarly I tore out the code I recently put in setControlMode, for similar
	  reasons.
	o Had to touch a few other places to prevent code from overriding the PC
	  control mode while it was engaged in the task.

2008-11-16  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/abe.scm: tweaks to Abe's conv

2008-11-15  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/escape.c, src/escape.h:
	Might need these to build after my last commit.

	* src/Makefile.am, src/character.cpp, src/cmd.c, src/cmd.h, src/ctrl.c, src/kern.c, src/play.c, src/player.cpp:
	Added an ESC interrupt menu. This allows the user to take some action when the active PC is stuck with a high AP debt. The intention is to use this for multi-turn tasks as well.

2008-11-14  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/conv.c:
	Another bug fixed in keyword highlighting: fen comes before fens

2008-11-13  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/conv.c:
	Short keywords that appeared with punctuation after them were not getting highlighted

	* src/kern.c:
	Bug introduced on my last commit: don't register NIL conversations

	* src/conv.c, src/conv.h, src/kern.c, src/scheme-private.h, src/scheme.c:
	Processing conversation keywords is now done lazily, when a conversation is entered the first time. This fixes a bug where in some save files the file containing a conversation is loaded after the character that uses it.

	* worlds/haxima-1.002/gregor.scm:
	End conv if Gregor kills Nate when Nate is speaker

	* worlds/haxima-1.002/gregor.scm: Changed who shoots the deathball

2008-11-13  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/deric.scm, worlds/haxima-1.002/enchanter.scm, worlds/haxima-1.002/gen.scm, worlds/haxima-1.002/gwen.scm, worlds/haxima-1.002/mouse.scm, worlds/haxima-1.002/quests-data-static.scm, worlds/haxima-1.002/quests-data.scm, worlds/haxima-1.002/quests-mech.scm, worlds/haxima-1.002/runes.scm, worlds/haxima-1.002/thiefs_den.scm, worlds/haxima-1.002/traps_1.scm, worlds/haxima-1.002/traps_2.scm, worlds/haxima-1.002/traps_3.scm, worlds/haxima-1.002/traps_4.scm:
	thief quest upgraded

	* worlds/haxima-1.002/hackle.scm: swapping allcaps for colour highlight

	* worlds/haxima-1.002/chanticleer.scm: typo

2008-11-13  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/game.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/skills.scm, worlds/haxima-1.002/tools.scm:
	Reverted lockpicking and unlock spells; removed unlock as a skill

	* worlds/haxima-1.002/demo.scm:
	Renamed the Gate Portal as Demo Scene to make the starting console message clear that the player is watching a demo

	* src/kern.c:
	kern.c includes config.h so the quest status page will work when configured.

	* worlds/haxima-1.002/gregor.scm:
	Gregor kills Nate. Cleaned up his conv a bit, too.

	* worlds/haxima-1.002/game.scm, worlds/haxima-1.002/quest-talk-to.scm:
	Getting rid of obsolete quest file

	* src/conv.c: Bugfix: short keywords not getting detected in some cases

	* worlds/haxima-1.002/ini.scm:
	For Ini, 'deep' was a keyword but he gave the default reply unless he was flagged as ready to join the party. I added an alternate default reply so it doesn't look like a bug.

	* scripts/RELEASE_CHECKOFF: Some updated notes

2008-11-12  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/camping-map.scm, worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/glasdrin.scm, worlds/haxima-1.002/npc-types.scm:
	Changes to haxima:
	o The camping ambush was still being added via the obsolete
	  kern-set-camping-proc. Fixed it to use kern-add-hook.
	o Fixed the statue curse: same problem. Now uses kern-rm-hook as well.
	o Reverted faction-glasdrin to be its own value so that the exile curse won't
	  affect the player in all cities. Fixed the glasdrin guard spawn pts to spawn
	  guards specific to glasdrin so they will enforce the exile curse.

	* src/kern.c, src/session.c, src/session.h: Engine:
	o Session no longer saves its hooks. All session hooks are either being loaded
	  on startup via script files or via effects. Saving them was just causing them
	  to be added multiple times on reload.
	o Added kern-rm-hook and session_rm_sym_hook. To be removed, a hook proc must
	  have been a symbol.

	* worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/skills.scm, worlds/haxima-1.002/tools.scm:
	Changes to haxima:
	o Picklocks are no longer u)sable, the player must y)use the picklock skill
	o Breaking lockpicks is done in the skill based on critical failure
	o First pass at level requirements for wrogue skills

	* src/cmd.c, src/ctrl.c, src/result.h: Engine:
	o Added #include to enable skills if configured
	o Added a new result code: critical failure
	o Colorized reporting of result codes in the console

2008-11-11  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/sounds.scm, worlds/haxima-1.002/music/Lute-and-recorder-ballad.ogg, worlds/haxima-1.002/music/Minuet-like-Mozart.ogg, worlds/haxima-1.002/music/ballad.ogg, worlds/haxima-1.002/music/bassoons-and-harpsichord.ogg, worlds/haxima-1.002/music/double-trios.ogg, worlds/haxima-1.002/music/dragon-quest.ogg, worlds/haxima-1.002/music/dragon-slayer.ogg, worlds/haxima-1.002/music/fair-camelot.ogg, worlds/haxima-1.002/music/game-music2.ogg, worlds/haxima-1.002/music/harpsichord-piece.ogg, worlds/haxima-1.002/music/into-battle.ogg, worlds/haxima-1.002/music/medieval-quest.ogg, worlds/haxima-1.002/music/minstrel-dance.ogg, worlds/haxima-1.002/music/music.scm, worlds/haxima-1.002/music/plainchant-recorder-trio.ogg, worlds/haxima-1.002/music/wind-trio.ogg:
	Lets try Ogg music

2008-11-11  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/containers.scm, worlds/haxima-1.002/door.scm, worlds/haxima-1.002/powers.scm:
	Changes to haxima:
	o Locked and magically locked doors and chests have a difficulty
	  class. Currently everything defaults to "normal".
	o The lock and magic unlock powers roll to succeed.

	* worlds/haxima-1.002/statue-of-justice.scm:
	Status of Justice's name is known to player

	* worlds/haxima-1.002/game.scm:
	Removed some commented-out code; added some generic difficulty class values; changed glasdrin faction to match normal men (otherwise guards in glasdrin won't attack if you assault the populace or get exiled by the statue)

2008-11-10  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/conv.c:
	Maybe I should at least *compile* my changes before checking them in.

	* src/conv.c:
	Fixed crasher if unknown NPC initiaites conversation with player

	* worlds/haxima-1.002/gamestart.scm:
	Statue names are automatically known to player

	* worlds/haxima-1.002/gamestart-statues.scm:
	Gave the starting statues some personality.

2008-11-09  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/nazghul.c: Removed some dead code

	* COPYING, src/ascii.c, src/cmd.c, src/ctrl.c, src/images.c, src/images.h, src/map.c, src/menus.c, src/play.c, src/screen.h, src/screen_dims.h, src/sprite.c, worlds/haxima-1.002/kern-init.scm:
	I did not get all of Eero's 16bpp patch applied. He sent me some new patches, which are applied now.

	* src/character.cpp, src/cmd.c, src/combat.c, src/conv.c, src/kern.c, src/log.c, src/log.h, src/nazghul.c, src/player.cpp:
	Added log_banner(), which provides a consistent format for especially notable log messages. Converted some existing messages over to use it.

	* src/scheme.c:
	Fixing a crash that may occur when a hook procedure loads a file.

	* configure.ac: Bumped version to 0.7.0 on trunk for next time

	* configure.ac: Bumped version to 0.6.2 for next time

	* NEWS: Updated NEWS

	* src/character.cpp, src/character.h, src/conv.c, src/kern.c:
	In conversations, the NPC's name is not printed until the player queries NAME

	* NEWS: Added a few more changes to NEWS

	* src/Makefile.am: Removed bitfield.h from source list

	* NEWS: Updated NEWS for 0.6.1 release

	* worlds/haxima-1.002/bart.scm: Removed duplicate word in conv

2008-11-09  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/game.scm:
	uses kern-set-start-proc to initiate hotfix

	* worlds/haxima-1.002/game.scm:
	hotfix for saves with voidgap/deeps bug.

	still needs hook code in kern

2008-11-08  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/powers.scm: pullling in spell fixes

	* worlds/haxima-1.002/voidgap-passage.scm: pulling in fix from 1.4

	* worlds/haxima-1.002/scrolls.scm: pull in scroll fixes

	* worlds/haxima-1.002/necromancer.scm:
	pulled in conversation fix from 1.16

	* worlds/haxima-1.002/naz.scm:
	pulled in some fixes and stuff I will need for save update

	* worlds/haxima-1.002/mouse.scm: pulled in conversation fix from 1.19

	* worlds/haxima-1.002/enchanter.scm: pulled in spelling fix from 1.25

2008-11-08  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/fields.scm:
	Ported over chance to avoid sleep fields so that permanent sleep fields are not unavoidably lethal to one-man parties

	* worlds/haxima-1.002/effects.scm:
	Ported over fix for FR 2216959- prevent multiple protection spells on one character.

	* worlds/haxima-1.002/silas.scm:
	Ported over fix for Silas not giving the player a clue about the final rune

2008-11-08  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/silas.scm:
	silas is more forthcoming about the final rune

	* worlds/haxima-1.002/powers.scm:
	undo cone tweak- had undesirable side effects

	* worlds/haxima-1.002/powers.scm:
	fixed poison wind and sleep wind spells. tweaked cone display

	* worlds/haxima-1.002/fields.scm:
	sleep fields have a slight avoidance chance, so a character stuck in a permanent sleep field will have a chance to get out eventually

	* src/kern.c:
	(kern-script-version) with no arguments returns current version

2008-11-08  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* configure.ac: Bumped version to 0.6.1 in prep for next release

	* src/Makefile.am, src/nazghul.c, src/nazghul.h, src/screen.c:
	Merged over Eero's 16bpp patch

2008-11-07  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/effects.scm:
	quickfix for FR 2216959- prevent multiple protection spells on one character.

	* worlds/haxima-1.002/enchanter.scm, worlds/haxima-1.002/quests-data-static.scm:
	adding quest update notifications
	tweaked order of quest completion

	* worlds/haxima-1.002/quests-mech.scm: bug fixing in quest callbacks

	* worlds/haxima-1.002/game.scm, worlds/haxima-1.002/start-new-game.scm:
	moved quest-ui flag to somewhere it doesnt break reloads

	* worlds/haxima-1.002/enchanter.scm:
	use quest complete with notification

	* worlds/haxima-1.002/quests-mech.scm: quest notifications
	used wrong loading type for refreshing questlist on save load

	* worlds/haxima-1.002/quests-data-static.scm: bugfix- unmatched quotes

	* worlds/haxima-1.002/ztats-quest-ui.scm:
	disable quest ui based on script side tag

	* worlds/haxima-1.002/start-new-game.scm:
	added script side quest interface disabling

	* worlds/haxima-1.002/quests-mech.scm:
	added procedure to reload quests-data to refresh quest info
	mechanisms to handle postponing experience granted for partial completion of unassigned quests

	* worlds/haxima-1.002/quests-data.scm:
	quest data should now be created/expanded as necessary for out of date save games, provided they load quests-data.scm in the first place

2008-10-29  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/quests-data-static.scm:
	Passing a function a bunch of arguments and passing it a list containing those arguments are not the same thing. It is important to remember this.

2008-10-29  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c:
	Bugfix: if you hit ESC when selecting a guard for camping it would deref a null pointer when checking if the guard was dead

2008-10-26  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/quests-data-static.scm, worlds/haxima-1.002/quests-mech.scm, worlds/haxima-1.002/start-new-game.scm:
	Separated out static quest data from quest utilities

	* worlds/haxima-1.002/ztats-quest-ui.scm:
	Second pass at fixing quest description listing- Scrolling now respects lower limit of description text

	* worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/ztats-quest-ui.scm:
	First pass at fixing quest description listing- No longer draws over bottom of display when overlong

	* src/event.c, src/kern.c, src/ztats.c: Tweaks to menu controls

	* worlds/haxima-1.002/quests-data.scm:
	Quests should now all use the kern-ui-paginate-text function to lay out text nicely

	* src/kern.c:
	Added a kern function that takes a list of lines of text and returns them in a paginated format.

2008-10-12  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* configure.ac, src/kern.c:
	Disabling the quest UI by default, since it's still half-baked. Developers may
	enable it with a configure option:

	   ./configure --with-quests

	Or by editing config.h:

	   #define USE_QUESTS

	This does *not* effectively disable quests, however. Some conversation scripts
	are broken, apparently because they can't get quest data.

	* src/ctrl.c, configure.ac, src/cmd.c:
	Disabling the Y)use command (and hence skills) by default, in preparation for
	the next release, since skills are still half-baked. For developers, there is
	now a configure option to enable them:

	  ./configure --with-skills

	Or, if you do not use configure, add this to config.h:

	  #define USE_SKILLS 1

2008-10-06  kaypy  <kaypy@localhost.localdomain>

	* scripts/retab.html:
	A javascript app that handles lining up those tables like in arms.scm nicely

	* worlds/library/artwork/terrain/city.xcf: Larger set of buildings

	* worlds/library/artwork/terrain/towns.xcf:
	Some higher res collections of houses

2008-10-05  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/enchanters-tower.scm, worlds/haxima-1.002/green-tower.scm, worlds/haxima-1.002/sprites.scm:
	Some towns use the new tower icons

	* worlds/haxima-1.002/bigobjects.png:
	a bunch of stuff hadnt worked quite right with the towers
	(mostly scaling had been set to nearest pixel, rather than antialiasing)

	* worlds/library/artwork/terrain/tower.xcf:
	saved at right resolution this time.

	* worlds/haxima-1.002/bigobjects.png: big tower sprites

	* worlds/library/artwork/terrain/tower.xcf:
	tower, intact or ruined, with optional town

2008-09-27  kaypy  <kaypy@localhost.localdomain>

	* INSTALL:
	Added a few of the more recent libraries to the requirements list
	Some additional instructions for cvs builds and a pointer to the win32
	instructions

2008-09-26  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/quests-mech.scm, worlds/haxima-1.002/quests-data.scm, worlds/haxima-1.002/gregor.scm, worlds/haxima-1.002/enchanters-tower.scm, worlds/haxima-1.002/enchanter.scm, worlds/haxima-1.002/conv.scm, worlds/haxima-1.002/books.scm:
	inital quest to go meet the enchanter

	* worlds/haxima-1.002/kobj.scm:
	signal-kobj now safely ignores inputs to non-present ifcs

	* worlds/haxima-1.002/start-new-game.scm: start was a little off-center

	* worlds/haxima-1.002/tbl.scm:
	tbls were not roundtripping to savefiles correctly
	also tightened specifications of tbl-append

	* worlds/haxima-1.002/nossifer.scm, worlds/haxima-1.002/quests-mech.scm:
	additional 'whereami' text after talking to N

	* worlds/haxima-1.002/quest-sys.scm, worlds/haxima-1.002/quests-mech.scm:
	quests kept in order of in progress/complete/failed
	fixed some bugs resulting from unexpected behaviour of pair? function

2008-09-24  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/gregor.scm, worlds/haxima-1.002/conv.scm, worlds/haxima-1.002/engineer.scm, worlds/haxima-1.002/abe.scm:
	removed now redundant quest update calls

	* worlds/haxima-1.002/quests-mech.scm, worlds/haxima-1.002/quests-data.scm:
	updating prebuild quests can trigger status update hook

	* worlds/haxima-1.002/ztats-quest-ui.scm:
	quest list ui colored based on completion state

	* worlds/haxima-1.002/quest-sys.scm:
	quest completion includes failure option

	* worlds/haxima-1.002/tbl.scm:
	mechanism to preload a tbl when building it

2008-09-22  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/start-new-game.scm, worlds/haxima-1.002/quests-mech.scm, worlds/haxima-1.002/quest-sys.scm, worlds/haxima-1.002/quests-data.scm, worlds/haxima-1.002/gregor.scm, worlds/haxima-1.002/gamestart-mech.scm, worlds/haxima-1.002/engineer.scm, worlds/haxima-1.002/conv.scm, worlds/haxima-1.002/books.scm, worlds/haxima-1.002/abe.scm:
	Uses optional tags rather title for quest lookups
	Reconciles active and pregenerated quests after reload

2008-09-21  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/quests-mech.scm: Spelling fix

2008-09-15  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/quest-sys.scm, worlds/haxima-1.002/quests-data.scm, worlds/haxima-1.002/quests-mech.scm, worlds/haxima-1.002/conv.scm, worlds/haxima-1.002/engineer.scm, worlds/haxima-1.002/gregor.scm, worlds/haxima-1.002/abe.scm:
	More detail on the 'Where am I?' quest

	* worlds/haxima-1.002/ztats-quest-ui.scm:
	Cleaned out some superflouous debugging printlns

	* worlds/haxima-1.002/books.scm, worlds/haxima-1.002/gregor.scm, worlds/haxima-1.002/quests-data.scm, worlds/haxima-1.002/ztats-quest-ui.scm:
	A few more quests started
	Prev patches had broken zstats-quest-ui up/down controls

	* worlds/haxima-1.002/quests-mech.scm, worlds/haxima-1.002/quests.png, worlds/haxima-1.002/quests-data.scm, worlds/haxima-1.002/tbl.scm, worlds/haxima-1.002/ztats-quest-ui.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/quest-sys.scm, worlds/haxima-1.002/quest-talk-to.scm, worlds/haxima-1.002/sprite-sets.scm, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/start-new-game.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/gamestart-mech.scm:
	quests reenabled
	quests have icons
	quests can be removed from the log entirely
	quests can be retrieved by title (assuming uniqueness, otherwise will get the first one)
	a databank of not-yet-assigned quests is available, but not mandatory- Im thinking this is useful for quests that may have changes before the player recieves them
	added some initial cases

2008-09-13  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/quest-sys.scm, worlds/haxima-1.002/ztats-quest-ui.scm:
	quests take a list of strings for description, to allow longer, wrapped descriptions.

	* src/sprite.h, src/sprite.c, src/kern.c:
	Added a mechanism to directly paint a sprite in a sdl_rect. Intended for use with scripted UI panels

2008-06-08  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/conv.c, src/conv.h, src/menus.c, src/nazghul.c, src/sound.c, src/sound.h:
	Added a menu option for keyword highlighting

	* worlds/haxima-1.002/start-new-game.scm:
	Added version number to new game script

	* src/session.h, src/session.c, src/ascii.h, src/kern.c, src/play.c:
	Added support for script version number. If a session fails to load, check the version number and report it to the player.

	* configure.ac:
	Bumped the version number. Added min script version number.

	* src/screen.c: Moved the screen's temp buf off the stack

	* src/session.c:
	Fixed some crashes that occur on a load error. session_del() should not assume
	the player has been loaded, and session_load() was double-deallocating the
	scheme instance.

	* src/play.c: On load error, print 'error' in red

	* src/scheme.c:
	Reverting my last changes to this file; they caused a double-deallocation

2008-06-07  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/foogod.c:
	bugfix: don't assume the cfg contains progress-bar-image-filename

	* src/menus.c: Bugfix: sometimes error popup was blank

	* src/nazghul.c:
	Using the primitive error dialog window for library init errors early in startup.

	* src/terrain.c, src/scheme.c, src/sprite.c, src/Being.h, src/character.cpp, src/kern.c, src/Being.cpp:
	Fixed some leaks; attempted to fix some other complaints from valgrind

	* worlds/haxima-1.002/ztats-quest-ui.scm:
	Fixing a bug in my last commit

2008-06-06  kaypy  <kaypy@localhost.localdomain>

	* win32/readme.txt:
	Updated based on latest attempt to compile the system from scratch

2008-06-06  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/game.scm: Turning off the quest ui stuff for now

	* worlds/haxima-1.002/ztats-quest-ui.scm:
	Changed quest ui to expect the player party gob to be a table

	* worlds/haxima-1.002/quest-sys.scm, worlds/haxima-1.002/quest-talk-to.scm:
	Changed conv check hooks to expect the player party gob to be a table

	* src/conv.c, src/sprite.c: Checking in turned-off portrait test code.

	* src/status.c, src/applet.h:
	Added optional get_desired_height call for applets

	* src/kern.c, src/object.c, src/object.h: Added kern-set-portrait

	* src/scheme.c:
	Fixed a bug where a comment at the end of a loaded file could choke the interpreter

2008-05-31  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Makefile.am, src/bitset.h, src/conv.c, src/conv.h, src/kern.c:
	Kernel changes:
	o Keywords which have already been used in a conversation are highlighted
	  gray. Unused keywords are highlighted magenta. The engine "remembers" used
	  keywords until the next time the game is loaded. In other words, it does not
	  save this info as part of the session save file.

	* worlds/haxima-1.002/gregor.scm:
	Removed colorizing markup now that keywords can be automatically highlighted

	* src/kern.c, src/object.c, src/object.h, src/character.cpp, src/cmd.c, src/conv.c, src/conv.h:
	Conversation keyword highlighting

	* src/log.c: Added some brackets to an if

2008-05-30  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/demo.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/minimal-game.scm, worlds/haxima-1.002/minimal-start.scm, worlds/haxima-1.002/monsters.png, worlds/haxima-1.002/start-new-game.scm, worlds/haxima-1.002/tutorial.scm:
	Fixed main game to work with my recent changes

2008-05-27  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/sounds.scm, src/scheme-private.h, src/session.c, src/session.h, worlds/haxima-1.002/camping-map.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/minimal-game.scm, worlds/haxima-1.002/minimal-start.scm, worlds/haxima-1.002/quest-talk-to.scm, src/closure.c, src/kern.c:
	Kernel changes:
	o Moved the scm macros from kern.c to scheme-private.h for everyone to enjoy
	o Removed some duplicate macros from closure.c
	o Changed kern-add-hook to expect a symbol for the handler
	o Added session_hook_id_to_str and session_str_to_hook_id
	o session now saves the registered hook handlers (except for
	  new_game_start_hook, which needs to be a special case for now at least)

	Haxima changes:
	o Had to update all the kern-add-hook calls to match the kernel changes
	o Finally got my prototype quest offer to be persistent across sessions,
	  remove itself when accepted, and in general work the way I want it to.

2008-05-26  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/minimal-start.scm:
	Experimental end-of-conv hook that will run multiple handlers; prototyping quest offers to run as handlers and remove themselves when accepted

	* worlds/haxima-1.002/tbl.scm: Added tbl-rm! and tbl-for-each-val

	* src/kern.c:
	Added kern-define, for preserving scheme variables across sessions

2008-05-25  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/kern.c: Fixed a crasher in the new unpack_rect fx

	* worlds/haxima-1.002/game.scm, worlds/haxima-1.002/minimal-game.scm, worlds/haxima-1.002/minimal-start.scm, src/closure.c, src/closure.h, src/gob.c, src/kern.c, src/session.c, src/session.h, src/session_hooks.h, src/session_queries.h, worlds/haxima-1.002/demo.scm, src/Makefile.am, src/character.cpp:
	Kernel changes:
	o Split session hooks and queries up into separate tables.
	o Hooks can have multiple handlers. Running the hooks does not return a value.
	o Queries only have one handler and return an int.

	Haxima changes:
	o Fixed the query registration as per the kernel changes.
	o Random experimental stuff in minimal-*.scm

	* worlds/haxima-1.002/enchanter.scm: Spelling fix

2008-05-23  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/minimal-game.scm, worlds/haxima-1.002/minimal-start.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/quest-sys.scm, worlds/haxima-1.002/quest-talk-to.scm, worlds/haxima-1.002/tbl.scm, worlds/haxima-1.002/ztats-quest-ui.scm, src/conv.c, src/session_hooks.h:
	Kernel changes:
	o Added conv_end_hook

	Haxima changes:
	o Re-implemented player gob in minimal game as a table.
	o Changed quest stuff accordingly

2008-05-21  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/quest-talk-to.scm, worlds/haxima-1.002/minimal-start.scm, worlds/haxima-1.002/quest-sys.scm, worlds/haxima-1.002/minimal-game.scm:
	Haxima changes:
	o Added a simplified talk-to quest which just awards xp when complete.

	* worlds/haxima-1.002/minimal-game.scm, worlds/haxima-1.002/minimal-start.scm, worlds/haxima-1.002/quest-sys.scm, worlds/haxima-1.002/quest-talk-to.scm:
	Haxima changes:
	o Had to change the quest ctor to require symbols instead of raw
	  procedures. This was necessary to support saving quests as part of the
	  object's gob (closures can't be saved).
	o Added a proc for the conv_start_hook
	o Talk-to quests can now be completed.

2008-05-20  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/ztats-quest-ui.scm, worlds/haxima-1.002/minimal-start.scm, worlds/haxima-1.002/sounds.scm, worlds/haxima-1.002/start-new-game.scm, worlds/haxima-1.002/tutorial.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/minimal-game.scm, worlds/haxima-1.002/camping-map.scm, worlds/haxima-1.002/demo.scm, src/session.h, src/session_hooks.h, src/menus.c, src/play.c, src/session.c, src/conv.c, src/kern.c, src/character.cpp, src/closure.c, src/closure.h, src/combat.c, src/Makefile.am:
	Kernel changes:
	o Consolidated all of our ad-hoc session hook procedures (camping, start game,
	  change music, query combat attributes, etc) into one table. This means they
	  can re-use the same code to load, run and clean them up, instead of having to
	  cut-and-paste them. There's also a new session_hooks.h file where all of the
	  hooks need only be declared once. After adding your hook there, you just need
	  to write the code to call it from someplace in the kernel source (a one-line
	  change).
	o Added a conv_start_hook (for talk-to quests).

	Haxima changes:
	o Replaced all the new-obsolete kern calls with kern-add-hook.

	Note: the changed kern calls are not ones needed by saved games, only by the
	new game startup scripts, so this should not break save-game compatibility.

2008-05-19  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/minimal-game.scm, worlds/haxima-1.002/minimal-start.scm:
	Adding a very simple but fast-loading game for development and test

2008-05-18  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/kern.c, worlds/haxima-1.002/ztats-quest-ui.scm:
	Exported ASCII_H to the script as kern-ascii-h

	* src/quest.h, src/Makefile.am, src/quest.c:
	Removed old prototype quest stuff

	* worlds/haxima-1.002/ztats-quest-ui.scm, src/applet.h, src/kern.c, src/ztats.c:
	Kernel changes:
	o Changed kern-event-push/pop-keyhandler to kern-event-run-keyhandler
	o Removed the unused "stop" operation from the applet struct
	o Added kern-screen-erase and kern-screen-update

	Haxima changes:
	o Added quest viewer applet for individual quest details

	* src/ztats.h, worlds/haxima-1.002/ztats-quest-ui.scm, src/status.h, src/ztats.c, src/macros.h, src/status.c, src/cmd.c, src/kern.c, src/applet.h, src/Makefile.am:
	Kernel changes:
	o Added an applet struct
	o Added statusRunApplet and statusGetCurrentApplet
	o Added a "select" operation to the ztats panes
	o Converted the ztats UI to run as an applet

	Haxima changes:
	o Modified quest log ui to implement a nop "select" proc

2008-05-17  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c, src/event.c, src/event.h, src/kern.c, src/status.c, src/ztats.c, src/ztats_pane.h:
	Kernel changes:
	o eventPopKeyHandler now returns the keyhandler that was popped
	o added kern-event-push-keyhandler
	o added kern-event-pop-keyhandler
	o added a 'select' operation to the ztats_pane
	o added eventRunKeyHandler to manage all the boilerplate of
	  pushing/running/popping key handlers

	* src/event.h, src/kern.c, src/event.c:
	Fix for bug [ 1734069 ] pathfinder confused by diagonal gaps. The pathfinder
	was written so that if the character could get one tile away from the
	destination then this was good enough. This is ok for for combat pathfinding
	and following the leader; but for commuting it's not ok when the last step is
	impassable, because the character needs to actually get there or it will keep
	trying to commute over and over. I added a new pathfinding flag to indicate
	that "adjacent is NOT ok", and set this flag for commuting.

2008-05-16  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/ztats-quest-ui.scm:
	Got the quest log listing pane to scroll properly

	* worlds/haxima-1.002/game.scm: Added scroll directions

	* worlds/haxima-1.002/naz.scm: Added some rect and incr/decr utilities

	* src/status.h:
	Ensure enum (which must be in synch with script) starts at zero

2008-05-15  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/ztats-quest-ui.scm, src/kern.c:
	kernel passes ztats ui dimension rect as a list back to scheme; added kern-screen-shade

	* worlds/haxima-1.002/quest-sys.scm, worlds/haxima-1.002/quest-talk-to.scm, worlds/haxima-1.002/ztats-quest-ui.scm, src/kern.c:
	Kernel changes:
	o kern-screen-print expects the rect arg to be a list now

	Script changes:
	o ztats-quest-ui.scm was
	  ...updated to match kern-screen-print
	  ...modified to print all the quests attached to the party
	o quest-sys.scm prints a console msg when a quest is assigned

	* worlds/haxima-1.002/naz.scm:
	Added two new utilities: repeat and string-lower

	* worlds/haxima-1.002/game.scm: Load the quest files

	* src/kern.c:
	kern-obj-get-place returns NIL if the object has a NULL place

	* worlds/haxima-1.002/ztats-quest-ui.scm:
	Display a little bit about current quests

	* worlds/haxima-1.002/quest-talk-to.scm: Added basic talk-to quest type

	* worlds/haxima-1.002/quest-sys.scm: Added basic quest type

	* worlds/haxima-1.002/sounds.scm:
	Changed music-on-combat-change to check for a null location (fixes a crashed when we start the game on the world map)

	* worlds/haxima-1.002/naz.scm:
	Added some more utilities, and changed player-member-loc to check for a null location

	* worlds/haxima-1.002/game.scm, worlds/haxima-1.002/ztats-quest-ui.scm:
	Added ztats-quest-ui.scm, which implements a stub for a quest log ztats pane.

	* src/kern.c:
	Added kern-ztats-add-pane, kern-ztats-set-title and kern-screen-print.

	* src/gob.c: Just a todo comment

2008-05-14  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/ztats_spells.h, src/ztats_reagents.c, src/ztats_reagents.h, src/ztats_spells.c, src/ztats_pm.h, src/ztats_pm.c, src/ztats_misc.h, src/ztats_pane.c, src/ztats_pane.h, src/ztats_items.c, src/ztats_items.h, src/ztats_misc.c, src/ztats_container_pane.h, src/ztats_container_pane.c, src/ztats_arms.c, src/ztats_arms.h, src/ztats.h, src/ztats.c, src/quest.h, src/status.c, src/status.h, src/player.h, src/quest.c, src/kern.c, src/player.cpp, src/Makefile.am, src/Party.cpp, src/Party.h:
	Rewrote ztats UI.

	* src/sound.h:
	Fixed a c++ name-mangling compile error that cropped up out of the blue

	* src/sound.c: Fixed what looks like an = vs == bug

	* src/combat.c: Removed some dead code

2008-05-10  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* configure.ac, worlds/haxima-1.002/Makefile.am, worlds/haxima-1.002/music/Makefile.am:
	Andreas Bauer's fix for the music installation

2008-04-06  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/mouse.scm:
	fix for 1934040- kat/thud will no longer talk after betraying you.

2008-03-17  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/voidgap-passage.scm:
	fix for 1916322- the voidgap dungeon setup wrote some garbage over the endless deepness setup

2008-03-02  kaypy  <kaypy@localhost.localdomain>

	* src/menus.c, src/nazghul.c, src/play.c, src/sound.c, src/sound.h:
	music-volume setting (unfortunately doesnt work on midi!)
	better handling of music loading errors

	* src/menus.c: Added music credits to title page

2008-03-01  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/void-temple.scm, worlds/haxima-1.002/voidgap-passage.scm, worlds/haxima-1.002/westpass.scm, worlds/haxima-1.002/abandoned-cellar.scm, worlds/haxima-1.002/abandoned-farm.scm, worlds/haxima-1.002/absalot.scm, worlds/haxima-1.002/altar-room.scm, worlds/haxima-1.002/ancient-derelict.scm, worlds/haxima-1.002/angriss-lair.scm, worlds/haxima-1.002/ankh-shrine.scm, worlds/haxima-1.002/bandit-hideout.scm, worlds/haxima-1.002/bole.scm, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/combat-maps.scm, worlds/haxima-1.002/crypt.scm, worlds/haxima-1.002/dank-cave.scm, worlds/haxima-1.002/eastpass.scm, worlds/haxima-1.002/enchanters-tower.scm, worlds/haxima-1.002/endless-deeps.scm, worlds/haxima-1.002/engineers-hut.scm, worlds/haxima-1.002/fire_sea.scm, worlds/haxima-1.002/forsaken-prison.scm, worlds/haxima-1.002/glasdrin.scm, worlds/haxima-1.002/goblin-kingdoms.scm, worlds/haxima-1.002/green-tower-lower.scm, worlds/haxima-1.002/green-tower.scm, worlds/haxima-1.002/gregors-hut.scm, worlds/haxima-1.002/keep.scm, worlds/haxima-1.002/kraken-lakes.scm, worlds/haxima-1.002/kun.scm, worlds/haxima-1.002/lich-tomb.scm, worlds/haxima-1.002/lost-halls.scm, worlds/haxima-1.002/mans-hideout.scm, worlds/haxima-1.002/merciful-death.scm, worlds/haxima-1.002/moongate-clearing.scm, worlds/haxima-1.002/mushroom-cave.scm, worlds/haxima-1.002/necromancers-lair.scm, worlds/haxima-1.002/old-absalot.scm, worlds/haxima-1.002/old-mine.scm, worlds/haxima-1.002/oparine.scm, worlds/haxima-1.002/poor-house.scm, worlds/haxima-1.002/prison.scm, worlds/haxima-1.002/road_to_absalot.scm, worlds/haxima-1.002/shard.scm, worlds/haxima-1.002/slimy-cavern.scm, worlds/haxima-1.002/thiefs_den.scm, worlds/haxima-1.002/traps_1.scm, worlds/haxima-1.002/traps_2.scm, worlds/haxima-1.002/traps_3.scm, worlds/haxima-1.002/traps_4.scm, worlds/haxima-1.002/treasury.scm, worlds/haxima-1.002/trigrave.scm:
	Add music data to all the places

	* worlds/haxima-1.002/game.scm: Init music hooks

	* worlds/haxima-1.002/pseudorandom-map.scm:
	Music compatible random maps content freezing

	* worlds/haxima-1.002/statue-of-justice.scm: Typo in text

	* worlds/haxima-1.002/gamestart-statues.scm: Fixed spelling
	Statues respond to abbreviated stat names

	* worlds/haxima-1.002/naz.scm:
	Method to retrieve location of player party members (which occasionally differs from the location of the player party)

	* worlds/haxima-1.002/sounds.scm:
	Utility methods for tracking music in and out of combat (+ transitions) for different places

	* worlds/haxima-1.002/music/wind-trio.mid, worlds/haxima-1.002/music/Lute-and-recorder-ballad.mid, worlds/haxima-1.002/music/Minuet-like-Mozart.mid, worlds/haxima-1.002/music/ballad.mid, worlds/haxima-1.002/music/bassoons-and-harpsichord.mid, worlds/haxima-1.002/music/credits.txt, worlds/haxima-1.002/music/double-trios.mid, worlds/haxima-1.002/music/dragon-quest.mid, worlds/haxima-1.002/music/dragon-slayer.mid, worlds/haxima-1.002/music/fair-camelot.mid, worlds/haxima-1.002/music/game-music2.mid, worlds/haxima-1.002/music/harpsichord-piece.mid, worlds/haxima-1.002/music/into-battle.mid, worlds/haxima-1.002/music/medieval-quest.mid, worlds/haxima-1.002/music/minstrel-dance.mid, worlds/haxima-1.002/music/music.scm, worlds/haxima-1.002/music/plainchant-recorder-trio.mid:
	Added Jim Paterson's midi music (the zip on the ftp site says we have permission)

	* src/kern.c, src/session.c, src/session.h:
	Hooks for game start and for changes in combat state

	* src/combat.c:
	Entering combat map sets combat state _after_ participants are positioned (helps with combat state change hook)

2008-02-23  kaypy  <kaypy@localhost.localdomain>

	* src/character.cpp, src/combat.c, src/place.c:
	Combat.state is more proactive abour tracking changes

	* src/sound.c:
	accepts a full path, so you can point it at your local mp3s if you want

2008-02-21  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/sounds.scm, src/sound.c, src/sound.h, src/kern.c, src/play.c, src/session.c, src/session.h:
	First pass at shuffle play music

	* src/sound.c:
	Music seems to work, for sufficiently hacky values of 'work'

2008-02-04  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/gamestart-mech.scm, worlds/haxima-1.002/gamestart-statues.scm, worlds/haxima-1.002/gamestart.scm:
	working statue char creation

	* worlds/haxima-1.002/start-new-game.scm: initial stats tweaked

2008-02-03  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/bigobjects.png, worlds/haxima-1.002/gamestart-mech.scm, worlds/haxima-1.002/gamestart-statues.scm, worlds/haxima-1.002/gamestart.scm, worlds/haxima-1.002/sprites.scm:
	First pass at statue/conversation based character generation
	Not yet functional

	* worlds/haxima-1.002/fields.scm, worlds/haxima-1.002/sfx.png:
	Added acid fields (I just needed something yellow, really)

2008-01-13  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/session.c: Fixed a 3k leak that happened on quit

2008-01-12  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/play.c:
	Bugfix: reloading a game with a start-proc would not run the start-proc, which might result in a crash

2007-12-30  kaypy  <kaypy@localhost.localdomain>

	* src/sound.c: more paranoid memory handling
	removed music for the moment

2007-12-10  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c, src/status.c, src/status.h:
	y)use ui now scrolls like everything else

2007-12-09  sglasby  <sglasby@localhost.localdomain>

	* worlds/haxima-1.002/kern-init.scm:
	Added a new config value for the progress bar image file.

	* src/foogod.c: Changed foogod_load_progress_bar_sprites() to load
	a distinct file, rather than load the image from an
	inline XPM.

	(A rather strange problem, perhaps associated with
	an oddly-build RPM of SDL_image came up for OpenSUSE,
	so it seems better to use a PNG.)

	* worlds/haxima-1.002/progress_bar_image.png:
	The progress bar sprite pieces, as a PNG file.
	(There was a problem under at least one compilation environment,
	with loading this image as an inline XPM.)

	* worlds/haxima-1.002/tetzl.scm, worlds/haxima-1.002/the-man.scm, worlds/haxima-1.002/thorald.scm, worlds/haxima-1.002/thud.scm, worlds/haxima-1.002/tim.scm, worlds/haxima-1.002/tooth.scm, worlds/haxima-1.002/valus.scm, worlds/haxima-1.002/warritrix.scm, worlds/haxima-1.002/zane.scm:
	Added various comments.

	* worlds/haxima-1.002/silas.scm, worlds/haxima-1.002/slywan.scm, worlds/haxima-1.002/steward.scm:
	Added some comments.

2007-12-08  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/conv.scm, worlds/haxima-1.002/ini.scm, worlds/haxima-1.002/jeffreys.scm, worlds/haxima-1.002/statue-of-justice.scm, worlds/haxima-1.002/steward.scm, worlds/haxima-1.002/valus.scm:
	Added asides for Ini

	* src/kern.c: Oops. status.c doesn't like NULL containers.

	* worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/skills.scm:
	Pickpocket can fail (with consequences)

	* worlds/haxima-1.002/skills.scm, worlds/haxima-1.002/statue-of-justice.scm, src/cmd.c, src/kern.c, src/status.c, src/status.h:
	kern-ui-select-item now takes a kchar arg and browses *their* inventory, instead of being hardcoded to the player. The pickpocket skill exploits this.

	* src/terrain.c: Performance tweak for looking up terrains in palettes

	* configure.ac: Sam's changes to configure.ac for SDL_Mixer

2007-12-07  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/skills.scm:
	Oops. Didn't see the multiplier on my last. Also added basic pickpocket skill.

	* worlds/haxima-1.002/skills.scm: Skills use the base-skill-ap variable

	* worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/tools.png:
	Shiny new chest sprites

	* worlds/library/artwork/furniture/chest.xcf: Art for new chest sprites

	* worlds/haxima-1.002/containers.scm, worlds/haxima-1.002/glasdrin.scm, worlds/haxima-1.002/keys.scm, worlds/haxima-1.002/sprite-sets.scm, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/steward.scm, worlds/haxima-1.002/tools.png, worlds/haxima-1.002/tools.scm:
	Locked and magically locked chests with some ugly sprites for same.

2007-12-06  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/statue-of-justice.scm, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/parties.scm, worlds/haxima-1.002/effects.png, worlds/haxima-1.002/effects.scm:
	Finished the 'curse of unrest' effect. The SOJ in glasdrin uses it.

	* src/kern.c: NPC party ambush direction was not random

	* src/combat.c:
	Introducing a party into combat that did not come from the world map (or someplace) caused a crash

	* src/Being.cpp: Turned off some debug

2007-12-05  sglasby  <sglasby@localhost.localdomain>

	* worlds/haxima-1.002/selene.scm, worlds/haxima-1.002/shroom.scm, worlds/haxima-1.002/roland.scm, worlds/haxima-1.002/patch.scm:
	Added some comments.

	* worlds/haxima-1.002/oscar.scm: Corrected some comments.

	* worlds/haxima-1.002/oscar.scm, worlds/haxima-1.002/patch.scm, worlds/haxima-1.002/melvin.scm, worlds/haxima-1.002/meaney.scm, worlds/haxima-1.002/may.scm:
	Various comments regarding description and location, etc.

2007-12-05  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/ascii.c, src/images.c, src/images.h, src/screen.c, src/screen.h, src/sprite.c:
	Eero's 16-bit patch

	* src/status.c: Tab cleanup and removed a dead function

	* src/Makefile.am, src/map.c, src/menus.c, src/play.c, src/cmd.c, src/ctrl.c, src/nazghul.c, src/nazghul.h:
	Eero's cleanup patch

	* src/nazghul.h:
	file nazghul.h was added on branch release_0_6_0_rc2_maint on 2008-11-08 04:30:15 +0000

	* src/combat.c: Turned off some debug

	* src/screen_dims.h:
	Eero's patch for n800 screen size (kern-init.scm already patched)

2007-12-04  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/statue-of-justice.scm:
	A start on the statue curses

	* src/foogod.c:
	Show extra effects on the party (currently unused, see Party::addEffect for why)

	* src/kern.c: kern-char-set-sched

2007-12-03  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/scrolls.scm:
	feature 1843033 scrolls explicitly labelled

	* worlds/haxima-1.002/scrolls.scm:
	fix for 1843001 scrolls fail in wilderness combat

2007-12-03  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/statue-of-justice.scm, worlds/haxima-1.002/valus.scm, worlds/haxima-1.002/books.scm, worlds/haxima-1.002/conv.scm, worlds/haxima-1.002/jeffreys.scm, worlds/haxima-1.002/prison.scm:
	Replacement for the Stewardess

	* worlds/haxima-1.002/shroom.scm: Minor conv fix

2007-12-01  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/zones.scm, worlds/haxima-1.002/conv.scm, worlds/haxima-1.002/glasdrin.scm, worlds/haxima-1.002/janice.scm, worlds/haxima-1.002/jeffreys.scm:
	Replacement for Jeffries.

	* worlds/haxima-1.002/conv.scm: Tweaked generic glasdrin reply to JEFF

	* worlds/haxima-1.002/jeffreys.scm:
	Jeffries becomes a vagabond in Kun after the trial

	* worlds/haxima-1.002/conv.scm, worlds/haxima-1.002/ini.scm, worlds/haxima-1.002/jeffreys.scm, worlds/haxima-1.002/steward.scm:
	Oops. Broke some things on my last commit. Also, updated generic glasdrin conv.

	* worlds/haxima-1.002/ini.scm, worlds/haxima-1.002/jeffreys.scm, worlds/haxima-1.002/player.scm, worlds/haxima-1.002/statue-of-justice.scm, worlds/haxima-1.002/steward.scm, worlds/haxima-1.002/warritrix.scm:
	Added another player flag for the trial of glasdrin being over.

2007-11-29  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/containers.scm, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/skills.scm, worlds/haxima-1.002/species.scm:
	Implemented butchering as an example crafting skill. You'll need a deer. Currently these aren't autogenerated anywhere.

	* src/ctrl.c: Turned on y)use

	* worlds/haxima-1.002/occs.scm:
	Added preliminary crafting ability to occs

	* worlds/haxima-1.002/occs.scm:
	Fixed what looks like a bug in dexterity defense

	* worlds/haxima-1.002/kern-init.scm:
	Added 880x640 splash from Eero's 16bit patch

	* worlds/haxima-1.002/steward.scm, worlds/haxima-1.002/conv.scm, worlds/haxima-1.002/jeffreys.scm, worlds/haxima-1.002/player.scm:
	Jeffreys and Stewardess act guilty after player finds Warritrix

	* worlds/haxima-1.002/zones.scm: Bug in holy grail table settings

2007-11-28  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/start-new-game.scm:
	Removed redefinitions of stuff in player.scm

	* worlds/haxima-1.002/start-new-game.scm, worlds/haxima-1.002/warritrix.scm:
	Added a gob for the player party.

	* src/player.cpp: Player party object now saves its gob

2007-11-27  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/foogod.c: Improved progress bar sprite

	* worlds/haxima-1.002/newterrain.png: Put the SOJ on a pedastal

	* src/object.c, src/status.c:
	Fixing a bug I found by accidentally reloading a new game. Normally this is not possible, I had a weird case. It still doesn't work do to that, there are more bugs.

	* worlds/haxima-1.002/newterrain.png:
	Should have checked in the new image with the new statue sprite

	* worlds/haxima-1.002/statue-of-justice.scm: Fixed a typo in the xamine

	* worlds/haxima-1.002/game.scm:
	Fixed the dtable problem I created last time I committed this file

	* worlds/haxima-1.002/sprite-sets.scm, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/statue-of-justice.scm:
	Changed SOJ's sprite

	* worlds/library/artwork/terrain/headless_statue_with_sword.xcf:
	New statue sprite

	* worlds/haxima-1.002/game.scm:
	This should have gone in with my last batch of glasdrin changes

2007-11-26  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/luximene.scm: correction to schedule comment

	* worlds/haxima-1.002/naz.scm:
	pick-loc checks for valid target locations

	* worlds/haxima-1.002/books.scm: some typos in journal

	* worlds/haxima-1.002/necromancer.scm:
	fix for 1838195- necromancer now checks you have the skull

2007-11-26  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/the-man.scm, worlds/haxima-1.002/warritrix.scm:
	Fixed up some conversation bits

	* worlds/haxima-1.002/the-man.scm, worlds/haxima-1.002/warritrix.scm:
	Trading names between the MAN and the Warritrix.

	* worlds/haxima-1.002/angela.scm, worlds/haxima-1.002/chester.scm, worlds/haxima-1.002/ini.scm, worlds/haxima-1.002/jeffreys.scm, worlds/haxima-1.002/jess.scm, worlds/haxima-1.002/patch.scm, worlds/haxima-1.002/start-new-game.scm, worlds/haxima-1.002/statue-of-justice.scm, worlds/haxima-1.002/steward.scm:
	The SOJ now exiles the player if he accuses without evidence

2007-11-25  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/angela.scm, worlds/haxima-1.002/chester.scm, worlds/haxima-1.002/patch.scm, worlds/haxima-1.002/statue-of-justice.scm:
	Stewardess now punished when convicted. The townsfolk of glasdrin are now all armed.

	* worlds/haxima-1.002/angela.scm, worlds/haxima-1.002/chester.scm, worlds/haxima-1.002/glasdrin.scm, worlds/haxima-1.002/ini.scm, worlds/haxima-1.002/jeffreys.scm, worlds/haxima-1.002/jess.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/patch.scm, worlds/haxima-1.002/statue-of-justice.scm, worlds/haxima-1.002/steward.scm:
	The status of justice in glasdrin will now hold a trial

	* src/cmd.c, src/cmd.h, src/kern.c: Added kern-ui-select-item

	* src/Being.cpp:
	If an NPC is using a cached path, and the next step is occupied, it discards the cached path so it will recompute next time

	* src/status.c: Renamed a function

2007-11-24  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/glasdrin.scm, worlds/haxima-1.002/palette.scm, worlds/haxima-1.002/statue-of-justice.scm, worlds/haxima-1.002/terrains.scm:
	Added statue of justice (doesn't do much yet)

2007-11-23  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/books.scm, worlds/haxima-1.002/glasdrin.scm:
	Added Stewardess's Journal

2007-11-21  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/foogod.c: Made the progress bar purty.

	* src/foogod.c, src/session.c:
	The progress bar code generated in the save files is now a pretty good match to actual load times. Not perfect, but probably good enough.

	* worlds/haxima-1.002/tutorial.scm: Added progress bar to tutorial

2007-11-20  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/start-new-game.scm:
	Progress bar now pretty good for start-new-game

	* worlds/haxima-1.002/game.scm:
	Pulled progress bar stuff out of generic file

	* src/menus.c, src/play.c, src/session.c, src/session.h, src/kern.c, src/foogod.c:
	Game-saving code generates (imperfect) progress bar info; delay switching foogod window back to normal so the complete progress bar is visible for a little bit of time

	* worlds/haxima-1.002/books.scm: Fixed mismatched parenthesis

2007-11-20  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/arms.scm: projectile weapons use missile sound

	* worlds/haxima-1.002/ifc.scm, src/object.h, src/object.c, src/ctrl.c:
	callback on weapon just before attack

2007-11-20  sglasby  <sglasby@localhost.localdomain>

	* worlds/haxima-1.002/kathryn.scm, worlds/haxima-1.002/lia.scm, worlds/haxima-1.002/luximene.scm:
	Checking references to places and such.

	Added notes on who and where the various characters are.

	* worlds/haxima-1.002/kalcifax.scm:
	Added some notes on who and where Kalcifax is.

	* worlds/haxima-1.002/kama.scm, worlds/haxima-1.002/gen.scm:
	Added some notes to Kama on who and where he is.

	Added some detail to a cultural interest shared by Gen and Kama.

	* worlds/haxima-1.002/books.scm:
	Added a book related to an interest of Gen's.

2007-11-20  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/demo.scm: progress bar for demo

	* worlds/haxima-1.002/game.scm:
	Use progress bar (weakly; works ok for demo but not calibrated right for new or loaded games

	* src/status.c, src/nazghul.c, src/foogod.c, src/foogod.h, src/kern.c:
	Progress bar

2007-11-19  sglasby  <sglasby@localhost.localdomain>

	* worlds/haxima-1.002/jones.scm, worlds/haxima-1.002/jorn.scm, worlds/haxima-1.002/jess.scm, worlds/haxima-1.002/joel.scm, worlds/haxima-1.002/ini.scm, worlds/haxima-1.002/jake.scm, worlds/haxima-1.002/jeffreys.scm:
	Checking place references and such.
	Added notes regarding the who and where NPCs are / are at.

	* worlds/haxima-1.002/ghertie.scm, worlds/haxima-1.002/gholet.scm, worlds/haxima-1.002/gregor.scm, worlds/haxima-1.002/hackle.scm, worlds/haxima-1.002/henry.scm:
	Checking for consistency in place references and such.
	Added some comments regarding the what and where that NPCs are / are at.

	* worlds/haxima-1.002/gen.scm:
	Added some missing responses for Goblin root words.
	Added a few composite words related to character types,
	and to make the ability to get Gen to join less subtle.
	Grouped/organized some keywords to keep the Goblin language responses together.

	Added notes regarding the type and location of Gen.

2007-11-18  sglasby  <sglasby@localhost.localdomain>

	* worlds/haxima-1.002/enchanter.scm, worlds/haxima-1.002/engineer.scm, worlds/haxima-1.002/fing.scm:
	Checking location references and such.
	Removed some duplicate definitions of a constant
	for Trigrave inn prices.
	Added comments for NPCs type and location.

	* worlds/haxima-1.002/bart.scm, worlds/haxima-1.002/bill.scm, worlds/haxima-1.002/chester.scm, worlds/haxima-1.002/dennis.scm, worlds/haxima-1.002/deric.scm, worlds/haxima-1.002/doris.scm, worlds/haxima-1.002/douglas.scm, worlds/haxima-1.002/edward.scm:
	Checking references to places and such.
	Adding suitable comments as to
	what (species, gender, profession) an NPC is,
	and where (what zone) they are at.
	Removed some duplicate instances of a trigrave inn price constant.

	* worlds/haxima-1.002/abe.scm, worlds/haxima-1.002/abigail.scm, worlds/haxima-1.002/alchemist.scm, worlds/haxima-1.002/alex.scm, worlds/haxima-1.002/amy.scm, worlds/haxima-1.002/anaxes.scm, worlds/haxima-1.002/angela.scm, worlds/haxima-1.002/angriss.scm, worlds/haxima-1.002/anne.scm:
	Double-checking place references and such,
	added comments where needed in regards to
	what (species, gender, profession) is
	and where (what zone) the NPC may be found.

2007-11-18  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/ability.scm: npcs use same cone attack as PCs

	* worlds/haxima-1.002/powers.scm:
	cleaned up, debugged and enhanced cone attacks

	* worlds/haxima-1.002/fireblast.wav, worlds/haxima-1.002/sounds.scm:
	fireblast sound for cone spells

2007-11-18  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/demon-gate.scm, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/talking-ankh.scm, worlds/haxima-1.002/ankh-shrine.scm:
	Changed the end-game map to match the demo map

2007-11-18  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/demo.scm: one word: oops

	* worlds/haxima-1.002/demo.scm: passive-ai no longer includes std-ai:
	the beggar was moving off when hit by stray fields

	* worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/ability.scm:
	collateral check for lightning bolt

	* worlds/haxima-1.002/powers.scm:
	various bugs in collateral damage routine fixed

	* worlds/haxima-1.002/ability.scm, worlds/haxima-1.002/powers.scm:
	collateral check added to fireball

2007-11-18  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/demo.scm:
	Final (famous last words) changes to the demo maps. Just undid Kris's blending, probably.

	* worlds/haxima-1.002/palette.scm, worlds/haxima-1.002/terrains.scm:
	Added a non-los blocking version of t_trees

2007-11-18  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/demo.scm: blended aging terrains

	* worlds/haxima-1.002/demo.scm: ai tweaks
	deer in 'ages passed'
	sound effect for closing gate
	display refreshes & pauses when npcs are added

	* worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/sprite-sets.scm:
	deer sprite

2007-11-17  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/demo.scm: More aging of the demo scene.

	* worlds/haxima-1.002/demo.scm:
	Started the accelerated aging process on the demo scene

	* worlds/haxima-1.002/demo.scm:
	Demo: sprites animate during pauses; player gets a chance to see that the altars are glowing, not the runes

	* worlds/haxima-1.002/ability.scm:
	NPC wizards may now cast flame wind and lightning. Watch out.

	* worlds/haxima-1.002/powers.scm:
	Renamed a parameter to make it clear that it is a LOCATION and not a kernel object

	* src/kern.c: Fixed a debug statement

	* worlds/haxima-1.002/demo.scm:
	Added some special effects to the part where the wise close the gate

2007-11-17  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/creatures.png, worlds/library/artwork/creatures/deer.xcf:
	first pass at a deer

2007-11-17  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/demo.scm: Changes to demo scene:
	o The sprites of the wise are non-random
	o Added random traveler sprites, depending on profession
	o Sparsed the travelers even more
	o Repaint the screen for each loot item the beggar picks up

2007-11-17  kaypy  <kaypy@localhost.localdomain>

	* src/character.cpp, src/character.h:
	character uses object sprites, rather than having a second local sprite

	* worlds/haxima-1.002/demo.scm: more line end problems
	beggar is more indestructable
	beggar cleans up loot and exits

	* worlds/haxima-1.002/demo.scm:
	reinforcements wander around for a bit instead of immediately exitting

	* worlds/haxima-1.002/demo.scm: guards exit after the wise leave

	* worlds/haxima-1.002/demo.scm: tweaked traveler ratios
	wise have variety of appearances
	human reinforcements appear in more timely fashion
	runes are collected asynchronously
	map tweaked

	* worlds/haxima-1.002/demo.scm: fixeed line endings

2007-11-17  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/demo.scm:
	Kris's improvements to the demo scene: another demon wave and reinforcements to repel them.

	* src/menus.c, worlds/haxima-1.002/demo.scm:
	When the demo is done the main menu goes back to the splash screen. At that point the player can opt to show the demo again.

2007-11-17  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/powers.scm: clone spell more effective
	sleep spell tweaked

2007-11-17  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/demon-gate.scm, src/kern.c:
	Made kern-end-game more general by moving messages to the script

	* src/menus.c:
	Demo only starts automatically the first time the main menu comes up after starting the program. After that the option to play it appears in the menu.

2007-11-16  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/lightning.wav, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/sounds.scm:
	added lightning sound
	fixed some bugs in field wall behaviour

	* worlds/haxima-1.002/demo.scm: uses altar-on-grass sprites
	centers view nicely in reduced size mode

2007-11-16  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* scripts/blendmap.pl: Blender can handle 3-wide glyphs now

	* worlds/haxima-1.002/demo.scm: Blended the demo map.

	* src/kern.c, src/map.c, src/map.h:
	Adding kern-map-blit-image, which isn't currently used anywhere, or planned to be used, but I already wrote and tested the code so might as well commit it.

	* worlds/haxima-1.002/demo.scm: More tweaks to the demo scene

	* worlds/haxima-1.002/effects.scm:
	No more 'poison field immune to poison' messages

2007-11-16  kaypy  <kaypy@localhost.localdomain>

	* src/ctrl.c, src/Being.cpp:
	fix for 1822685- adds AP cost to handling mechs by bumping into them

2007-11-16  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/demo.scm, worlds/haxima-1.002/gold_frame.png, worlds/haxima-1.002/haximatext.png:
	Added a frame around the demo scene

2007-11-15  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/demo.scm, worlds/haxima-1.002/haximatext.png:
	Added the logo above the demo. Started tweaking the demo map.

2007-11-15  kaypy  <kaypy@localhost.localdomain>

	* src/place.c: virtual cost of nasty tiles scaled to AP_per_turn

	* src/Being.cpp:
	npcs reevaluate their options before crossing nasty tiles

	* worlds/haxima-1.002/sfx.png, worlds/haxima-1.002/sprites.scm:
	transparent field sprites

	* worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/powers.scm:
	remaining field spells use wall effect

	* worlds/haxima-1.002/moon.scm:
	dimming the moons a trifle- night is awfully well lit

	* src/kern.c: mmode set if kern-mk-field-type
	removed some debugging

2007-11-14  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/powers.scm:
	field walls are 'solid', with extra diagonal blocking cells that cost 1/2

	* worlds/library/artwork/logos/haximatext.svg:
	vector form of the haxima text

	* worlds/library/artwork/logos/haximasplashbig.xcf, worlds/library/artwork/logos/haximasplashsmall.xcf:
	layered versions of the splash screens

2007-11-14  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/demo.scm:
	Demo scene script now runs to completion.

2007-11-13  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/demo.scm:
	In the intro scene the wise now appear and walk to the altars

2007-11-13  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/powers.scm:
	in flam grav now uses first pass at wall style field spells

	* worlds/haxima-1.002/powers.scm:
	most missile spells have sound applied

	* worlds/haxima-1.002/boom.wav, worlds/haxima-1.002/combat-maps.scm, worlds/haxima-1.002/moongate-clearing.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/shard.scm, worlds/haxima-1.002/sounds.scm, worlds/haxima-1.002/swish.wav:
	some more sound added:
	swishes and bangs fo magical projectiles
	a first pass at some changing music tracks (but I still dont have uploadable music tracks to change...)

2007-11-13  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/demo.scm:
	Pulled game.scm inline into demo.scm and trimmed it to speed up demo loading.

	* worlds/haxima-1.002/terrains.scm:
	removed obsolete terrain-blender calls

	* src/kern.c: Added kern-log-flush

2007-11-12  kaypy  <kaypy@localhost.localdomain>

	* win32/Makefile, win32/config.h, win32/configure, win32/haxima.ico, win32/readme.txt, win32/res.rc, win32/src_config.h:
	First pass at including 'everything you need to make win32 builds go'

2007-11-11  kaypy  <kaypy@localhost.localdomain>

	* src/sound.c: cleaning up old code

	* src/combat.c, src/combat.h, src/player.cpp, src/session.c:
	fix for 1829927- reset combat state between games

	* worlds/haxima-1.002/sprites.scm: alters have cobblestone background

	* worlds/haxima-1.002/terrains.scm: altars have boulder passability

	* nazghul.nsi: 0.6.0 installer

	* worlds/haxima-1.002/sounds.scm, worlds/haxima-1.002/tools.scm, worlds/haxima-1.002/gong.wav:
	clocks chime on the hour

	* src/kern.c, src/clock.c, src/clock.h: kern call to get clock ticks

2007-11-10  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/menus.c: Got rid of initial splash/demo flicker

	* worlds/haxima-1.002/kern-init.scm:
	Turning on the demo scene. To turn off just comment out the relevant line in kern-init.scm.

	* worlds/haxima-1.002/demo.scm: Updated the demo scene a bit

	* src/menus.c, src/place.c:
	Kernel support for running a demo in the map viewer while processing the main menu

	* src/session.h: Added a demo-mode flag to the session struct

	* src/map.c: Removed another old debug statement

	* src/kern.c:
	Added kern-char-set-control-mode so that a player character may be forced into using an AI

	* src/common.c, src/character.cpp: Removing some old debug

2007-11-10  kaypy  <kaypy@localhost.localdomain>

	* src/sound.c: Slight fade out when switching tracks

	* worlds/haxima-1.002/sounds.scm:
	Will play background music if insertmusic.mid is added (or the file is tweaked to point elsewhere)

	* src/sound.h, src/kern.c, src/sound.c: First pass at music playing

	* src/place.c: Removed some debugging cruft

	* src/sound.c, src/sound.h:
	Does most of the sound effects stuff again, but is rather buggy

2007-11-09  kaypy  <kaypy@localhost.localdomain>

	* src/sound.c: Converting sound to SDL_Mixer

2007-11-09  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/demo.scm:
	Started on a demo scene for the main menu

	* worlds/haxima-1.002/silas.scm: Minor typographical change

2007-11-08  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/sounds.scm, worlds/haxima-1.002/tools.scm, worlds/haxima-1.002/enchanters-tower-mech.scm, worlds/haxima-1.002/enchanters-tower.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/wind_1a.wav:
	some tweaks to the sound
	winds whistling through the brundegardt peaks

	* worlds/haxima-1.002/ai.scm, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/dog_9.wav:
	tweaked ai to add sound effects as a 'free action'-
	wolves will bark at random intervals

	* src/kern.c: kern api call for plaing a oneoff sound 'at a location'

	* src/sound.c:
	minor tweak- maximum volume for oneoff sound completely separated from repeating volumes.

	* src/sound.c:
	ambient sounds fade out nicely as the player moves away (it was a touch jerky previously)

	* worlds/haxima-1.002/gregors-hut.scm, worlds/haxima-1.002/river.wav, worlds/haxima-1.002/sounds.scm:
	general purpose "add some ambient noise here" object created
	burbling river added to Gregors Hut as example

2007-11-06  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/ticktock.wav: a better clock sound

	* src/sound.c:
	was not properly checking for repeated sounds- it only checked up to the first free slot. Now it checks all

	* worlds/haxima-1.002/sounds.scm, worlds/haxima-1.002/ticktock.wav, worlds/haxima-1.002/tools.scm:
	first pass at a clock ticking. pity the wav sucks

	* src/kern.c, src/place.c, src/place.h, src/sound.c, src/sound.h:
	first pass at ambient sound

	* src/sound.c: sound uses larger buffer to prevent glitches

2007-11-04  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/lost-halls.scm: Missing dungeon sprite

2007-11-03  kaypy  <kaypy@localhost.localdomain>

	* AUTHORS: Update for 0.6.0

	* ChangeLog: update for 0.6.0

	* scripts/cvstochangelog.pl:
	script to generate changelog from cvs log dump

2007-11-02  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* scripts/RELEASE_CHECKOFF: Added a few notes for clariication

2007-11-02  kaypy  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/potions.scm:
	some potions did not have right ap cost

	* NEWS: changes for 0.6.0

2007-11-02  Kris Parker  <kaypy@localhost.localdomain>

	* NEWS:
	changes for 0.6.0

	* worlds/haxima-1.002/potions.scm:
	some potions did not have right ap cost

2007-11-02  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* scripts/RELEASE_CHECKOFF:
	Added a few notes for clariication

2007-11-01  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/powers.scm:
	a few area where treating an object as a character could cause crashes

	* worlds/haxima-1.002/game.scm, worlds/haxima-1.002/roland.scm, worlds/haxima-1.002/start-new-game.scm:
	added 'prisoner' faction, so that rolands captors dont try to kill him until he gets out

	* worlds/haxima-1.002/game.scm, worlds/haxima-1.002/species.scm:
	gints use their own mmode so that they are not considered to be flying

2007-10-30  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/demon-gate.scm:
	demongate triggers off a slight delay rather than off the player's action
	prevents the UI doing wackyness to Nos' conversation
	
	"You have opened the way, and served your purpose well.
	     Now, receive your reward...  - ok!"

	* worlds/haxima-1.002/spells.png, worlds/haxima-1.002/spells.scm:
	use smoke icon for bet ylem hur spell

2007-10-30  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/arms.png, worlds/haxima-1.002/arms.scm:
	Smoke bombs have their own sprite now

	* worlds/haxima-1.002/books.scm:
	Added In Nox Por to the starter magic book. I don't see how one can make it through Brundegardt without it.

	* worlds/haxima-1.002/meaney.scm:
	Meaney will heal any time (no shop hours)

	* worlds/haxima-1.002/moongate-clearing.scm:
	Looks like t_spell_book_force_magick_123 doesn't exist anymore.

2007-10-29  Kris Parker  <kaypy@localhost.localdomain>

	* src/combat.c:
	previous patch had ... undesirable ... side effects

	* src/combat.c:
	fix for 1821991: combat critters will be generated in substandard (eg hazardous) positions if nice positions are not available

	* src/magic.c:
	adjusted magic objtype to spell routine to work with new spell names

2007-10-29  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/gregor.scm:
	Removed a lot of the newlines from Gregor's conv. Sorry, but I have a very strong opinion about the way it looks.

2007-10-28  Kris Parker  <kaypy@localhost.localdomain>

	* src/kern.c:
	kern_place_is_visible was unreliable in temporary combat maps

	* worlds/haxima-1.002/moon.scm, worlds/haxima-1.002/start-new-game.scm:
	moon positions reset, eclipse disabled

	* worlds/haxima-1.002/moons.png:
	gave the moons a slight shadow, so you can see a difference between 'new moon' and 'moon is on the other side of the planet'

	* worlds/haxima-1.002/npc-types.scm:
	fixed incorrect object type in accursed loot

	* worlds/haxima-1.002/powers.scm:
	fix for 1815725: gem now centers view before scrying

	* worlds/haxima-1.002/shard.scm:
	tweaked moongate destinations- the first gate you run across will take you to the enchanters tower

	* worlds/haxima-1.002/terrains.scm:
	swamp terrain effect was broken

2007-10-28  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/kalcifax.scm:
	Updated Kalcifax's conv to match the moongate change

2007-10-27  Sam Glasby  <sglasby@localhost.localdomain>

	* worlds/haxima-1.002/abandoned-farm.scm:
	Added a spellbook (curses), which belonged to Ilya's mother.

	* worlds/haxima-1.002/angriss-lair.scm:
	Added two spellbooks to the meat locker
	- Force magick (battle)
	- White magick 2

	* worlds/haxima-1.002/books.scm:
	Added the rest of the currently-planned spellbooks.
	Checked them in a saved game, may still need some
	upcasing of spell runes and other minor tweaks.
	
	Next, it will be needful to place at least one copy of each
	somewhere in the game.  (And better yet, more than one
	of at least the lesser / common ones.)

	* worlds/haxima-1.002/brundegardt.scm:
	Added two of the new spellbooks in loot areas.
	- The Divination spellbook, near the Eye
	- The Deadly Winds spellbook, in the griffin nest.

	* worlds/haxima-1.002/enchanters-tower.scm:
	Added various spellbooks to the treasuries and library.
	The Enchanter has rather a lot of spellbooks, naturally.

	* worlds/haxima-1.002/fire_sea.scm, worlds/haxima-1.002/necromancers-lair.scm:
	Missed arg 2 of some kern-mk-obj calls.

	* worlds/haxima-1.002/fire_sea.scm:
	Added two spellbooks to the dragon hoard
	- Misc enchantment
	- Greater illusion
	
	Added a spellbook in the lava in the fire slime chamber
	- Deadly Winds

	* worlds/haxima-1.002/game.scm:
	Trivial formatting change, did not merge for some reason.

	* worlds/haxima-1.002/mans-hideout.scm:
	Added two of the new spellbooks in the TOOLS room.
	- The lesser illusions book
	- The force magick / mechanisms book

	* worlds/haxima-1.002/necromancers-lair.scm:
	Added various spellbooks to the library.

	* worlds/haxima-1.002/old-absalot.scm:
	Added some suitable spellbooks to Silas's chest.

	* worlds/haxima-1.002/road_to_absalot.scm:
	Added a spellbook in the Fire Bridge
	- Force magick (matter)

	* worlds/haxima-1.002/thiefs_den.scm:
	Added a few spellbooks (doubtless "collected")
	to the thief's den.
	- Lesser illusion
	- Force magick (fields)
	- Force magick (matter)

	* worlds/haxima-1.002/treasury.scm:
	Added three spellbooks to the treasury.
	- Force magick (high magick)
	- Greater illusions
	- Gates

2007-10-27  Kris Parker  <kaypy@localhost.localdomain>

	* doc/users_guide.html:
	updated spell list in manual

2007-10-26  Sam Glasby  <sglasby@localhost.localdomain>

	* worlds/haxima-1.002/books.scm:
	Added spellbooks for white magic, force magic, necromancy.
	Various others planned, as per notes in:
	    ftp://ftp.haxima.org/other/dev_notes/spell_book_notes.txt
	
	These will need to be placed in the world in sensible places.
	Note that the scheme for these books is such
	that some books overlap, and contain some of the same spells,
	this is purposeful, as they have themes.

	* worlds/haxima-1.002/spells.scm:
	Spelling change for consistency.

2007-10-26  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/fields.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/spells.scm:
	smoke spell
	dispell magic spell

	* worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/spells.scm:
	single target sleep spell

2007-10-26  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/ctrl.c:
	Fixed a typo that caused some garbage in the cmdwin while attacking

	* worlds/haxima-1.002/arms.scm:
	Smoke only drifts in wind on the surface combat maps

	* worlds/haxima-1.002/tim.scm:
	Fixed grammar in Tim's conv

2007-10-25  Sam Glasby  <sglasby@localhost.localdomain>

	* worlds/haxima-1.002/spells.scm:
	The Vision <IN QUAS WIS> spell was too high Circle
	to be at all practical.
	
	The reagent costs (nightshade + mandrake) are 8..11 + 8..11 gold,
	whereas you can buy a gem for 10..20 gold.
	
	It may be sensible to increase gem prices as well,
	but lowering the Circle of this spell will at least
	make this more accessible, and less costly in MP.

	* worlds/haxima-1.002/spells.scm:
	Lined up the spell table again a bit,
	and fixed a typo with Summon Slime.

	* worlds/haxima-1.002/spells.scm:
	Changed spell names to include an English name,
	as well as the spell runes.
	(No point in being obscure, and many/most players
	will not know the the entire list by heart, by runes alone.)
	
	Some formatting, lined up the spell table.

2007-10-25  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/character.cpp:
	When party members in follow mode move, the map is marked dirty but not repainted.

	* worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/powers.scm:
	Fixed a bug in In Nox Por. Added some messages around poisoning.

2007-10-24  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/arms.scm:
	reverting flaming oil to dropping fire field

	* worlds/haxima-1.002/powers.scm:
	teleport range was borked by previous patch

2007-10-24  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/ctrl.c, src/event.c, src/skill.c, src/skill_set.c, src/skill_set_entry.c, src/templ.c:
	Check config.h for HAVE_MALLOC_H

	* worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/enchanters-tower.scm, worlds/haxima-1.002/green-tower.scm, worlds/haxima-1.002/palette.scm, worlds/haxima-1.002/terrains.scm:
	Reverted my forest visibility change (when Sam and Kris both agree I know I better listen). Added a forest terrain which is opaque, and fixed a couple of the town maps where I know opaque forest was presumed during the design.

2007-10-23  Tim Douglas  <timdoug@localhost.localdomain>

	* src/skill.c, src/skill_set.c, src/skill_set_entry.c, src/templ.c:
	check to see if malloc.h exists before including it -- fixes OSX build

2007-10-23  Kris Parker  <kaypy@localhost.localdomain>

	* src/character.cpp:
	save actual AP per turn rather than adjusted value

	* worlds/haxima-1.002/powers.scm:
	telekinesis range was borked by previous patch

2007-10-23  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/game.scm:
	Inflated the base AP values to reduce the armour penalty

	* worlds/haxima-1.002/start-new-game.scm:
	Changed the moon starting positions and phases so that there is not an eclipse early in the first day and the player won't be given the opportunity to unwittingly teleport off to the Engineer's Hut on the first day.

	* worlds/haxima-1.002/terrains.scm:
	Making the basic forest type opaque, because we still have some town-scale maps that rely on forest to conceal hidden things

2007-10-22  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/endless-deeps-mech.scm, worlds/haxima-1.002/lost-halls-mech.scm, worlds/haxima-1.002/voidgap-mech.scm:
	commented out random dungeon checking feedback

	* worlds/haxima-1.002/powers.scm:
	gave all powers a return code

2007-10-22  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/game.scm:
	Reverted to one-move-per-turn (I think)

	* worlds/haxima-1.002/pseudorandom-map.scm:
	Commented-out debug printlns

	* worlds/haxima-1.002/roland.scm:
	Fixed Roland to work with pathfinding changes

2007-10-21  Sam Glasby  <sglasby@localhost.localdomain>

	* src/cmd.c:
	Improved cmd_save_current_place()
	by using file_open_in_save_dir() rather than fopen().

	* src/cmd.c, src/cmd.h, src/ctrl.c, src/event.h:
	Added an edit-mode command CTRL-O which invokes
	cmd_save_current_place(), terrain_map_save().
	
	This is not finished yet, it lacks UI code to select a save file name.
	(Currently saves to '_test_save_place' in the current directory.)

	* src/cmd.c:
	Added some command help to the Terraform command.

	* src/cmd.c:
	Changed the Terraform status text for the copy / set-pen command.
	
	Added a Terraform status text for the flood-fill command.

	* src/session.c, src/session.h:
	Added a couple of prototypes to enable a save-single-thing
	function to be defined elsewhere.
	
	Also, where does Session->indent get initialized?
	It looks like we may be relying on the compiler initializing it to 0.

	* src/terrain_map.c:
	Added some comments to the output of terrain_map_composite_save()
	to aid manual editing of composite maps.

2007-10-20  Sam Glasby  <sglasby@localhost.localdomain>

	* worlds/haxima-1.002/shard.scm:
	Added some comments to aid manual editing of the shard map.

2007-10-19  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/conv.scm:
	(aside) returns true if something is said, so you can stick a bunch of them in an (or) block

	* worlds/haxima-1.002/conv.scm:
	(aside) was glitchy in the case of null or not present speakers

	* worlds/haxima-1.002/voidgap-mech.scm, worlds/haxima-1.002/voidgap-passage.scm:
	fortified the dungeon entrance (its too close to town to be plausibly unguarded)
	toned the dungeon down a fair bit

2007-10-19  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/character.cpp, src/kern.c, src/kern_intvar.c, src/object.c, src/object.h, src/place.c, worlds/haxima-1.002/ai.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/parties.scm, worlds/haxima-1.002/tutorial.scm:
	Improvements to kraken
	
	o Added a 'submerged' flag for objects
	o Submerged object sprites are alpha-blended on the map
	o Submerged objects get a bonus to defense (set by the script)
	o Kraken submerge when coursing toward their target but surface to attack or
	  chomp
	o Kraken will submerge and flee if they can't chomp their way to their target

2007-10-18  Sam Glasby  <sglasby@localhost.localdomain>

	* worlds/haxima-1.002/luximene.scm:
	Added responses for Luximene for the WISE and the ACCUrsed.
	    (The default responses presume a knowledge of
	    contemporary events, and did not fit.)

	* worlds/haxima-1.002/necromancer.scm:
	Enhanced some of the Necromancer's responses
	related to the main quest, including some synonyms.
	
	Added to the response for HEALTH.

2007-10-18  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/powers.scm:
	blink range clamped

	* worlds/haxima-1.002/shard.scm:
	world map rearranged to put void temple just out of teleport range of voidgap

	* worlds/haxima-1.002/shard.scm, worlds/haxima-1.002/start-new-game.scm, worlds/haxima-1.002/voidgap-mech.scm, worlds/haxima-1.002/voidgap-passage.scm:
	added new random dungeon "Tunnels to Voidgap"

2007-10-18  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/character.cpp, src/cursor.cpp:
	The camera follows the cursor or any player characters if they move off-screen

	* src/cmd.c:
	The . key now means HERE when the player is prompted for a direction, like the 5 on the numeric keypad.

2007-10-17  Sam Glasby  <sglasby@localhost.localdomain>

	* worlds/haxima-1.002/abe.scm:
	Enhanced Abe's responses related to the RUNEs,
	including a more explicit reference to RUNE
	when speaking of the KEYs to the Demon Gate.

	* worlds/haxima-1.002/bandit-hideout.scm, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/mans-hideout.scm, worlds/haxima-1.002/shard.scm, worlds/haxima-1.002/special.scm:
	Updated all of the "hidden" places on the shard map
	to match the angriss-lair implementation,
	by which a step trigger is used to mark the location of
	the once-hidden place when the player finds the exact location.

	* worlds/haxima-1.002/books.scm:
	Minor formatting in the starting spellbooks.
	Added some emphasis to the letter from the Enchanter.

	* worlds/haxima-1.002/gregor.scm:
	Updated various responses.
	Added some more synonyms.
	Gregor gives clearer directions about how to reach the Enchanter.
	Colorized many important keywords as RED,
	and certain important non-keywords as GREEN.

	* worlds/haxima-1.002/the-man.scm:
	Added a response about the Accursed.
	Added a synonym for Rogue / Wrogue.

2007-10-17  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/game.scm:
	Smoke now drifts in the wind

	* worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/fields.scm:
	Changes to smoke:
	o Changed smoke from a field type to a regular object type
	o Smoke now dissipates after a random interval
	o Smoke is now at the projectile layer, so it is rendered over most other
	  objects (it is semi-transparent)

	* worlds/haxima-1.002/terrains.scm:
	x)amine shows translation for runic signs (SF feature request)

2007-10-16  Kris Parker  <kaypy@localhost.localdomain>

	* src/object.c:
	disabling end of turn spam

	* worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/powers.scm:
	magic missile uses its own projectile rather than regular arrow

	* worlds/haxima-1.002/lost-halls-mech.scm:
	Misplaced rock

	* worlds/haxima-1.002/spells.scm, worlds/haxima-1.002/zane.scm:
	typos

2007-10-16  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Being.cpp, src/astar.c, src/astar.h, src/cmd.c, src/cmd.h, src/ctrl.c, src/event.c, src/event.h, src/kern.c, src/map.h, src/place.c, src/status.c, src/status.h, worlds/haxima-1.002/alchemist.scm, worlds/haxima-1.002/bill.scm, worlds/haxima-1.002/chester.scm, worlds/haxima-1.002/conv.scm, worlds/haxima-1.002/earl.scm, worlds/haxima-1.002/engineer.scm, worlds/haxima-1.002/henry.scm, worlds/haxima-1.002/jake.scm, worlds/haxima-1.002/jess.scm, worlds/haxima-1.002/jim.scm, worlds/haxima-1.002/jones.scm, worlds/haxima-1.002/lia.scm, worlds/haxima-1.002/may.scm, worlds/haxima-1.002/melvin.scm, worlds/haxima-1.002/miggs.scm, worlds/haxima-1.002/moon.scm, worlds/haxima-1.002/moons.png, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/roland.scm, worlds/haxima-1.002/shroom.scm, worlds/haxima-1.002/spells.scm, worlds/haxima-1.002/sprite-sets.scm, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/start-new-game.scm, worlds/haxima-1.002/tooth.scm, worlds/haxima-1.002/zane.scm:
	Changes to the merchant system.
	
	o Saying 'buy' or 'sell' may jump directly to the buy and sell menus.
	o Merchants now give a "sales pitch" on every item they sell.
	o Merchants may give more feedback if the player does or does not buy anything.

	* src/kern.c:
	Re-added kern-los-invalidate, but now it takes no args and just flushes all cached vmasks

	* src/object.c:
	Fixed bug where LOS was still blocked when smoke evaporated

	* worlds/haxima-1.002/addons.png, worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/fields.scm, worlds/haxima-1.002/sprites.scm:
	Added smoke bombs.

	* worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/parties.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/spells.scm:
	Changes to low and mid-level summoning spells
	o Switched the order of In Bet Xen (now L2) and Kal Xen (now L5)
	o In Bet Xen and Kal Xen each now summon different critters depending on the
	  caster's power

	* worlds/haxima-1.002/earl.scm, worlds/haxima-1.002/tooth.scm:
	A couple of merchants will trade in smoke bombs

	* worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/powers.scm:
	We had two versions of terrain-ok-for-field. Removed one duplicate and fixed the remaining one to work if the location is off-map.

	* worlds/haxima-1.002/npc-types.scm:
	Fixed a bug in loot drops (using var instead of tag) and added smoke bombs to wrogue loot.

2007-10-13  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/hackle.scm:
	Tweaks to the Hackle/Mesmeme discussion

2007-10-11  Kris Parker  <kaypy@localhost.localdomain>

	* src/kern.c:
	added kern-missile-fire-to-max

	* worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/spells.scm:
	lightning bolt spell added

	* worlds/haxima-1.002/palette.scm, worlds/haxima-1.002/terrains.scm, worlds/haxima-1.002/traps_4.scm:
	slightly easier labyrinth of burning glass

	* worlds/haxima-1.002/spells.png, worlds/haxima-1.002/spells.scm:
	lightning spell icon

2007-10-11  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/play.c:
	Undoing a fix I did earlier. This supposed fix seems to cause a hang when the party exits from combat after a reload. I can't reproduce the original problem after undoing the fix.

	* worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/spells.png, worlds/haxima-1.002/spells.scm:
	Implemented feature request 1622424, Vas An Nox

2007-10-10  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/map.c:
	Lights outside the map view now cast light into the view.

	* src/scheme.c:
	Bugfix: loaded files ending in a comment with no newline would cause the next valid line to be discarded

2007-10-09  Kris Parker  <kaypy@localhost.localdomain>

	* src/object.c:
	fading of movement sounds is linear rather than asymptotic

	* src/sound.c:
	first step to better sound: sound does not replay if it is already being played

2007-10-08  Sam Glasby  <sglasby@localhost.localdomain>

	* src/Arms.cpp, src/Arms.h, src/character.cpp, src/cmd.c, src/common.h, src/ctrl.c, src/kern.c, src/play.c, worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/game.scm:
	- There is some cleanup in game.scm (AP values not used and so forth)
	  which remains, some of these should be scrapped, and some will be useful as
	  guidelines for setting other values.
	
	
	I rather imagine that further drafts will be needed
	before the system is tuned in a satisfactory way.
	
	In the meantime, the AP-per-round and AP costs
	in (game.scm arms.scm) should produce interesting results.
	
	I recommend experimentation with the AP values,
	there are many possibilities...

	* src/status.c:
	Various tweaks to status displays.
	- Now shows range, AP cost, AP mod
	- Ztats page contents reordered a bit.

2007-10-08  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/abe.scm, worlds/haxima-1.002/alchemist.scm, worlds/haxima-1.002/alex.scm, worlds/haxima-1.002/angela.scm, worlds/haxima-1.002/anne.scm, worlds/haxima-1.002/bart.scm, worlds/haxima-1.002/chester.scm, worlds/haxima-1.002/deric.scm, worlds/haxima-1.002/doris.scm, worlds/haxima-1.002/edward.scm, worlds/haxima-1.002/fing.scm, worlds/haxima-1.002/gen.scm, worlds/haxima-1.002/gregor.scm, worlds/haxima-1.002/gregors-hut.scm, worlds/haxima-1.002/henry.scm, worlds/haxima-1.002/jess.scm, worlds/haxima-1.002/joel.scm, worlds/haxima-1.002/jones.scm, worlds/haxima-1.002/lia.scm, worlds/haxima-1.002/may.scm, worlds/haxima-1.002/melvin.scm, worlds/haxima-1.002/miggs.scm, worlds/haxima-1.002/necromancer.scm, worlds/haxima-1.002/oscar.scm, worlds/haxima-1.002/patch.scm, worlds/haxima-1.002/shroom.scm, worlds/haxima-1.002/slywan.scm, worlds/haxima-1.002/steward.scm, worlds/haxima-1.002/the-man.scm, worlds/haxima-1.002/trigrave.scm:
	most npcs now have some sort of equipment

	* worlds/haxima-1.002/abe.scm, worlds/haxima-1.002/abigail.scm, worlds/haxima-1.002/alchemist.scm, worlds/haxima-1.002/alex.scm, worlds/haxima-1.002/amy.scm, worlds/haxima-1.002/anaxes.scm, worlds/haxima-1.002/angela.scm, worlds/haxima-1.002/angriss.scm, worlds/haxima-1.002/anne.scm, worlds/haxima-1.002/bart.scm, worlds/haxima-1.002/bill.scm, worlds/haxima-1.002/chester.scm, worlds/haxima-1.002/dennis.scm, worlds/haxima-1.002/deric.scm, worlds/haxima-1.002/doris.scm, worlds/haxima-1.002/douglas.scm, worlds/haxima-1.002/edward.scm, worlds/haxima-1.002/enchanter.scm, worlds/haxima-1.002/engineer.scm, worlds/haxima-1.002/fing.scm, worlds/haxima-1.002/gen.scm, worlds/haxima-1.002/ghertie.scm, worlds/haxima-1.002/gholet.scm, worlds/haxima-1.002/gregor.scm, worlds/haxima-1.002/gregors-hut.scm, worlds/haxima-1.002/hackle.scm, worlds/haxima-1.002/henry.scm, worlds/haxima-1.002/ini.scm, worlds/haxima-1.002/jake.scm, worlds/haxima-1.002/jeffreys.scm, worlds/haxima-1.002/jess.scm, worlds/haxima-1.002/joel.scm, worlds/haxima-1.002/jones.scm, worlds/haxima-1.002/jorn.scm, worlds/haxima-1.002/kalcifax.scm, worlds/haxima-1.002/kama.scm, worlds/haxima-1.002/kathryn.scm, worlds/haxima-1.002/lia.scm, worlds/haxima-1.002/luximene.scm, worlds/haxima-1.002/may.scm, worlds/haxima-1.002/meaney.scm, worlds/haxima-1.002/melvin.scm, worlds/haxima-1.002/mesmeme.scm, worlds/haxima-1.002/miggs.scm, worlds/haxima-1.002/mouse.scm, worlds/haxima-1.002/nate.scm, worlds/haxima-1.002/necromancer.scm, worlds/haxima-1.002/nossifer.scm, worlds/haxima-1.002/oscar.scm, worlds/haxima-1.002/patch.scm, worlds/haxima-1.002/road_to_absalot.scm, worlds/haxima-1.002/roland.scm, worlds/haxima-1.002/selene.scm, worlds/haxima-1.002/shroom.scm, worlds/haxima-1.002/silas.scm, worlds/haxima-1.002/slywan.scm, worlds/haxima-1.002/start-new-game.scm, worlds/haxima-1.002/steward.scm, worlds/haxima-1.002/talking-ankh.scm, worlds/haxima-1.002/tetzl.scm, worlds/haxima-1.002/the-man.scm, worlds/haxima-1.002/thorald.scm, worlds/haxima-1.002/thud.scm, worlds/haxima-1.002/tim.scm, worlds/haxima-1.002/tooth.scm, worlds/haxima-1.002/trigrave.scm, worlds/haxima-1.002/tutorial.scm, worlds/haxima-1.002/warritrix.scm, worlds/haxima-1.002/zane.scm:
	removed the 'armour based' speed values from individual characters, now that modifications based on actual armour can be used instead

	* worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/game.scm:
	centralized speed settings into 3 values in game.scm, with everything else normalized off those

	* worlds/haxima-1.002/game.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/skills.scm, worlds/haxima-1.002/spells.scm:
	centralized speed settings into values in game.scm, with everything else normalized off those

2007-10-07  Sam Glasby  <sglasby@localhost.localdomain>

	* src/Makefile.am, src/kern_intvar.c, src/kern_intvar.h:
	Adding a facility for the script to store a hash of
	    "name" => integer
	values, for the purpose of declaring policy via script
	which otherwise might require hard-coded constants in common.h
	or similar.
	
	The first use of this feature will be to replace the use of
	the constant NAZGHUL_BASE_ACTION_POINTS, so that the Action Point
	costs for various actions are entirely controlled by the script.
	    (Movement and attack AP costs are already in game.scm arms.scm,
	    but some half dozen actions require that the kernal know
	    some AP cost to use.)
	
	The API for kern_intvar is nearly identical to that
	for cfg.c cfg.h, save that integers are stored.
	
	A seperate hash is used, as the data stored is of
	a per-session nature, rather than a global-for-all-games config nature.
	
	This data is not currently saved, but a function
	kern_intvar_save() is provided.

2007-10-07  Kris Parker  <kaypy@localhost.localdomain>

	* src/combat.c, src/player.cpp, src/player.h:
	party stops loitering when attacked in world map

	* src/player.cpp:
	party loitering check moved after turn start. loitering in the wilderness was accumulating AP otherwise...

	* worlds/haxima-1.002/vehicles.scm:
	onramps now cascade trigger to avoid appearance of 'half ramps'

2007-10-07  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/kern.c:
	Workaround for bug 1808708: if the player is kamping on a ship, a pirate ambush will abort kamping and switch back to the wilderness view.

	* worlds/haxima-1.002/camping-map.scm, worlds/haxima-1.002/loc.scm, worlds/haxima-1.002/naz.scm:
	Changed the script adjacency-checking to use diagonals. This fixes the problem I saw where pirates could not pathfind in the wilderness to ambush the player. That problem only occurred if the pirates ended up diagonal to the player. This would have affected other npc party types as well.

2007-10-06  Kris Parker  <kaypy@localhost.localdomain>

	* src/Party.cpp, src/Party.h:
	added command for a party to absorb its members ap debt

	* src/ctrl.c:
	player party absorbs members ap debt as required
	party AP is displayed in cmdwin prompt for now

	* src/ctrl.c, src/object.c, src/place.c:
	moved bump ifc behaviour to ctrl, with the handle behaviour
	fixed incorrect bump callback

	* src/player.cpp:
	player gets diagonal movement costs

	* worlds/haxima-1.002/camping-map.scm:
	camping checks for passability before allowing npc parties to attack

	* worlds/haxima-1.002/lost-halls-mech.scm, worlds/haxima-1.002/lost-halls.scm:
	stairs portal based on bump rather than step

	* worlds/haxima-1.002/npc-types.scm:
	quick'n'nasty 'add loot drops' by dint of tweaking the standard drops from stock npcs

	* worlds/haxima-1.002/portals.scm, worlds/haxima-1.002/road_to_absalot.scm:
	portal based on bump rather than step- can be used as virtual edge tile

	* worlds/haxima-1.002/tutorial_town.scm:
	diagonal entrances

2007-10-06  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/combat.c:
	Unlogged bugfix: pirate ship could end up on wrong side of map depending on whom was attacking whom

	* src/kern.c:
	Fix for bug 1612006: pirates disembark before ambushing the campsite

	* src/macros.h:
	Added normalize() macro

	* src/play.c:
	Unlogged bugfix: assert in combat if you reload during combat and immediately camp. Needed to reset the combat state on reload.

	* worlds/haxima-1.002/camping-map.scm:
	During camping, an ambushing npc party will now move toward the player. This way a pirate ambush will leave the ship next to the shore.

	* worlds/haxima-1.002/naz.scm:
	can-pathfind? proc checks adjacency first; the kernel pathfinding code returns null in this case, which is not to be confused with being unable to produce a path

	* worlds/haxima-1.002/powers.scm:
	Gate spell checks for passability

2007-10-05  Kris Parker  <kaypy@localhost.localdomain>

	* src/player.cpp:
	player party checks for diagonal movement between impassable terrains

	* src/player.cpp:
	enable diagonal entrances to towns

	* worlds/haxima-1.002/absalot.scm, worlds/haxima-1.002/ancient-derelict.scm, worlds/haxima-1.002/bandit-hideout.scm, worlds/haxima-1.002/bole.scm, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/eastpass.scm, worlds/haxima-1.002/enchanters-tower.scm, worlds/haxima-1.002/engineers-hut.scm, worlds/haxima-1.002/glasdrin.scm, worlds/haxima-1.002/kun.scm, worlds/haxima-1.002/moongate-clearing.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/oparine.scm, worlds/haxima-1.002/poor-house.scm, worlds/haxima-1.002/road_to_absalot.scm, worlds/haxima-1.002/tutorial_town.scm, worlds/haxima-1.002/void-temple.scm, worlds/haxima-1.002/westpass.scm:
	diagonal entrances

	* worlds/haxima-1.002/arms.scm:
	incorrect cannon projectile

	* worlds/haxima-1.002/palette.scm, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/terrains.scm:
	secret in natural rock

	* worlds/haxima-1.002/road_to_absalot.scm:
	cleaned up natural rock walls

	* worlds/haxima-1.002/shard.scm:
	deep water removed from near merciful death to prevent pirate ships from being spawned there

	* worlds/library/artwork/terrain/nrockwall.xcf:
	hires natural rock wall terrains

2007-10-04  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/effects.scm:
	fix for 1807516: logic error in conditional damage was only affecting non-beings

2007-10-04  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Being.cpp, src/astar.c, src/character.cpp, src/place.c, src/place.h:
	Fix for bug [ 1734069 ] pathfinder confused by diagonal gaps. The pathfinder
	was written so that if the character could get one tile away from the
	destination then this was good enough. This is ok for for combat pathfinding
	and following the leader; but for commuting it's not ok when the last step is
	impassable, because the character needs to actually get there or it will keep
	trying to commute over and over. I added a new pathfinding flag to indicate
	that "adjacent is NOT ok", and set this flag for commuting.

	* worlds/haxima-1.002/douglas.scm:
	Douglas notices Mesmeme in the player's party

	* worlds/haxima-1.002/hackle.scm:
	Hackle notices Mesmeme in the player party

	* worlds/haxima-1.002/kama.scm:
	When kama joins it improves player relations with forest goblins

2007-10-02  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/fire_sea.scm, worlds/haxima-1.002/forsaken-prison.scm, worlds/haxima-1.002/goblin-kingdoms.scm, worlds/haxima-1.002/green-tower-lower.scm, worlds/haxima-1.002/keep.scm, worlds/haxima-1.002/kraken-lakes.scm, worlds/haxima-1.002/lost-halls-mech.scm, worlds/haxima-1.002/lost-halls.scm, worlds/haxima-1.002/mans-hideout.scm, worlds/haxima-1.002/mushroom-cave.scm, worlds/haxima-1.002/old-absalot.scm, worlds/haxima-1.002/old-mine.scm, worlds/haxima-1.002/prison.scm, worlds/haxima-1.002/road_to_absalot.scm:
	natural rock

	* worlds/haxima-1.002/meaney.scm:
	missing space in "come back during business hours" text

	* worlds/haxima-1.002/silas.scm:
	fixed missing 'dennis' conversation element

2007-10-02  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/object.c, src/object.h, src/player.cpp, src/session.h, src/sprite.c, src/status.c:
	Fix for bug 1632199 (An Tym animations). This breaks up the "synchronized
	dancing" sprites and causes only player-controlled objects to be animated
	during Time Stop.

2007-09-22  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/door.scm:
	fix for 1800347 door LOS glitches

2007-09-22  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/kern.c, src/session.c, src/session.h, src/terrain.h:
	Moved terrains to their own list on load; first step toward showing a terrain palette

2007-09-20  Kris Parker  <kaypy@localhost.localdomain>

	* scripts/blenddat.txt, scripts/unblenddat.txt:
	updated with newer terrains

	* scripts/mergemap.pl:
	merge more resistant to formatting issues

	* scripts/palette.txt:
	dense/light trees added

2007-09-20  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/necromancer.scm:
	When meeting the Necromancer, if the Luximene quest has been offered but not
	completed,  then he checks if the player has the skull.

2007-09-09  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/ankh-shrine.scm, worlds/haxima-1.002/dank-cave.scm, worlds/haxima-1.002/endless-deeps-mech.scm, worlds/haxima-1.002/endless-deeps.scm:
	natural rock

	* worlds/haxima-1.002/newterrain.png:
	some black areas added to natural rock terrain to make is not quite so jarring when it appears without proper edging

2007-09-01  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/brundegardt.scm:
	natural rock

	* worlds/haxima-1.002/naz.scm:
	misplaced bracket in evade was causing ai to jam
	also re-allowed diagonal evasion

2007-08-26  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/ability.scm:
	scale up ability ap costs

	* worlds/haxima-1.002/angriss-lair.scm:
	natural rock in angriss' lair

	* worlds/haxima-1.002/arms.scm:
	projectiles have at least obj-ifc. nil ifcs do bad stuff

	* worlds/haxima-1.002/powers.scm:
	fix for 1781344 Crash on kill with VAS FLAM spell

2007-08-19  Kris Parker  <kaypy@localhost.localdomain>

	* src/map.c:
	support for weapons that always fire to max range

2007-08-04  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/template/kern-init.scm, worlds/template/start-new-game.scm, worlds/template/gfx/640x480_splash.png, worlds/template/gfx/addons.png, worlds/template/gfx/adornments.png, worlds/template/gfx/arms.png, worlds/template/gfx/bigobjects.png, worlds/template/gfx/bodies.png, worlds/template/gfx/books.png, worlds/template/gfx/cannon.wav, worlds/template/gfx/charset.png, worlds/template/gfx/clothes.png, worlds/template/gfx/cursor.png, worlds/template/gfx/damage.wav, worlds/template/gfx/effects.png, worlds/template/gfx/enter_moongate.wav, worlds/template/gfx/food.png, worlds/template/gfx/frame.png, worlds/template/gfx/hirespeople.png, worlds/template/gfx/horse.wav, worlds/template/gfx/humanoids.png, worlds/template/gfx/jewelry.png, worlds/template/gfx/map.png, worlds/template/gfx/money.png, worlds/template/gfx/monsters.png, worlds/template/gfx/moons.png, worlds/template/gfx/newfolkas.png, worlds/template/gfx/newfolks.png, worlds/template/gfx/newmonst.png, worlds/template/gfx/newterrain.png, worlds/template/gfx/occlogos.png, worlds/template/gfx/pitfalls.png, worlds/template/gfx/potions.png, worlds/template/gfx/reagents.png, worlds/template/gfx/rowing.wav, worlds/template/gfx/rune.png, worlds/template/gfx/runestones.png, worlds/template/gfx/scrolls.png, worlds/template/gfx/sfx.png, worlds/template/gfx/shapes.png, worlds/template/gfx/ship.png, worlds/template/gfx/signs.png, worlds/template/gfx/special.png, worlds/template/gfx/spells.png, worlds/template/gfx/splash.png, worlds/template/gfx/tools.png, worlds/template/gfx/tower.png, worlds/template/gfx/walk.wav, worlds/template/lib/ability.scm, worlds/template/lib/ai.scm, worlds/template/lib/arms.scm, worlds/template/lib/beds.scm, worlds/template/lib/bim.scm, worlds/template/lib/blendterrains.scm, worlds/template/lib/books.scm, worlds/template/lib/bridge.scm, worlds/template/lib/camping-map.scm, worlds/template/lib/cast-ui.scm, worlds/template/lib/combat-maps.scm, worlds/template/lib/containers.scm, worlds/template/lib/conv.scm, worlds/template/lib/door.scm, worlds/template/lib/drawbridge.scm, worlds/template/lib/edge-spawn.scm, worlds/template/lib/effects.scm, worlds/template/lib/fields.scm, worlds/template/lib/food.scm, worlds/template/lib/game.scm, worlds/template/lib/gate-guard.scm, worlds/template/lib/generic-mech.scm, worlds/template/lib/hidden.scm, worlds/template/lib/ifc.scm, worlds/template/lib/init.scm, worlds/template/lib/items.scm, worlds/template/lib/jewelry.scm, worlds/template/lib/keys.scm, worlds/template/lib/kobj.scm, worlds/template/lib/landslide.scm, worlds/template/lib/lever.scm, worlds/template/lib/loc.scm, worlds/template/lib/main-menu.scm, worlds/template/lib/mimic.scm, worlds/template/lib/money.scm, worlds/template/lib/monster-generator.scm, worlds/template/lib/moon.scm, worlds/template/lib/moongate.scm, worlds/template/lib/naz.scm, worlds/template/lib/npc-types.scm, worlds/template/lib/objs.scm, worlds/template/lib/occs.scm, worlds/template/lib/palette.scm, worlds/template/lib/parties.scm, worlds/template/lib/pitfalls.scm, worlds/template/lib/portals.scm, worlds/template/lib/portcullis.scm, worlds/template/lib/potions.scm, worlds/template/lib/powers.scm, worlds/template/lib/pre-entry-hooks.scm, worlds/template/lib/prices.scm, worlds/template/lib/pseudorandom-map.scm, worlds/template/lib/reagents.scm, worlds/template/lib/runes.scm, worlds/template/lib/scrolls.scm, worlds/template/lib/skills.scm, worlds/template/lib/sounds.scm, worlds/template/lib/special.scm, worlds/template/lib/species.scm, worlds/template/lib/spells.scm, worlds/template/lib/spider.scm, worlds/template/lib/sprite-sets.scm, worlds/template/lib/sprites.scm, worlds/template/lib/step.scm, worlds/template/lib/tblit.scm, worlds/template/lib/terrain-to-ptype.scm, worlds/template/lib/terrains.scm, worlds/template/lib/timer.scm, worlds/template/lib/tools.scm, worlds/template/lib/town-entry.scm, worlds/template/lib/traps.scm, worlds/template/lib/troll.scm, worlds/template/lib/vehicles.scm, worlds/template/lib/weather-vane.scm, worlds/template/lib/wind-bridge.scm, worlds/template/lib/yellow-slime.scm, worlds/template/people/sample-char.scm, worlds/template/places/sample.scm, worlds/template/places/world.scm, worlds/template/places/zones.scm:
	First pass at a minimal template for new games

2007-07-22  Kris Parker  <kaypy@localhost.localdomain>

	* src/Arms.cpp, src/Missile.cpp, src/Missile.h, src/kern.c, src/map.c, src/map.h:
	Everything necessary for weapons that always fire to their maximum range, except for the map animation code, which is still disabled because it crashes if it goes off the map.

	* worlds/haxima-1.002/arms.scm:
	compatibility with fixed range weapons option

2007-07-16  Kris Parker  <kaypy@localhost.localdomain>

	* src/Arms.cpp, src/Arms.h, src/Missile.cpp, src/Missile.h, src/common.h, src/kern.c, worlds/haxima-1.002/arms.scm:
	Separated out MissileType from ArmsType, since they have a close approximation of nothing in common.

	* src/Missile.cpp, src/Missile.h, src/map.c:
	MissileTypes can now use the Enter ifc for custom handling of each tile they pass over

2007-07-08  Kris Parker  <kaypy@localhost.localdomain>

	* src/status.c:
	reformatted

	* src/status.c:
	Reverting to a working version while I try to figure out a way to make it work AND do what we want

2007-07-06  Kris Parker  <kaypy@localhost.localdomain>

	* src/Arms.cpp, src/Arms.h, src/kern.c, src/map.c:
	support for beam projectiles

	* worlds/haxima-1.002/arms.scm:
	stun wand uses beam attack

	* worlds/haxima-1.002/sfx.png, worlds/haxima-1.002/sprites.scm:
	lightning bolt sprite

	* worlds/library/artwork/effects/heart.xcf, worlds/library/artwork/effects/lightning.xcf:
	some sfx graphics

2007-07-05  Kris Parker  <kaypy@localhost.localdomain>

	* src/kern.c:
	new kern methods:
	kern-place-is-combat-map
	kern-obj-get-hp

	* worlds/haxima-1.002/ability.scm:
	tweaked kraken deck chomp

	* worlds/haxima-1.002/sfx.png:
	spikier hit sprites

2007-07-03  Kris Parker  <kaypy@localhost.localdomain>

	* src/cmd.c, src/cmd.h, src/kern.c:
	visibility based effects respect lighting levels

	* src/kern.c, src/map.c, src/map.h:
	kern-map-flash-sprite: manually bring up a sprite flash (like the damage flash, but with an arbitary sprite)

	* worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/powers.scm:
	charm & turn undead spells use flash effect and visibility based reporting

	* worlds/haxima-1.002/powers.scm:
	some glitches in turn undead fixed

	* worlds/haxima-1.002/sfx.png, worlds/haxima-1.002/sprite-sets.scm, worlds/haxima-1.002/sprites.scm:
	a couple of sprites for flash sprite effects

	* worlds/haxima-1.002/species.scm:
	ghosts are undead!

2007-07-02  Kris Parker  <kaypy@localhost.localdomain>

	* src/kern.c:
	kern-place-is-visible? checks for whether a location can be seen

	* worlds/haxima-1.002/naz.scm:
	msg-log-visible displays a message if a given location is visible

2007-07-01  Sam Glasby  <sglasby@localhost.localdomain>

	* src/status.c:
	Fencepost error with tt not being refreshed after nn was updated,
	could have led to painting one tile beyond the bottom bounds
	of a Status window.

	* src/status.c:
	Added support for Status entries with a height
	other than 2 text lines (2 * ASCII_H).
	
	Reorganized the Arms stats (displayed in Ready, Ztats, etc)
	and added information on Range and Action Points required.
	
	The new layout groups attack-related and defense-related
	Arms stats together, and has more obvious labels.
	(The new layout is also 3 lines high, hence the previous change.)
	
	Updated some other Status mode titles.
	(The Ztats header for party member pages is still not
	working quite right; the new title displays upon initial
	Ztats display, but not after paging back and forth.
	Presumably it is being re-initialized somewhere.)
	
	Some minor formatting, typos fixed in comments,
	and notes on the units used for "line" (TILE_H vs ASCII_H units)
	in various places.

2007-07-01  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/arms.scm:
	arms action points now proportionally defined

	* worlds/haxima-1.002/blendterrains.scm, worlds/haxima-1.002/newterrain.png, worlds/haxima-1.002/palette.scm, worlds/haxima-1.002/slimy-cavern.scm, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/terrains.scm:
	slimy cavern uses natural stone walls (experimental)

	* worlds/haxima-1.002/hirespeople.png, worlds/haxima-1.002/sprites.scm, worlds/library/artwork/hirespeople/sleeper.xcf:
	hires sleeping humanoid

2007-06-30  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/abandoned-farm.scm, worlds/haxima-1.002/bole.scm, worlds/haxima-1.002/door.scm, worlds/haxima-1.002/goblin-kingdoms.scm, worlds/haxima-1.002/green-tower.scm, worlds/haxima-1.002/gregors-hut.scm:
	doors and windows use correct wall type

	* worlds/haxima-1.002/addons.png, worlds/haxima-1.002/shapes.png:
	transparency effects for moongates

	* worlds/haxima-1.002/addons.png, worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/door.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/slimy-cavern.scm, worlds/haxima-1.002/spells.scm, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/terrains.scm:
	rejigged doors to use composite sprites rather than combinatorial door explosion

	* worlds/haxima-1.002/arms.png, worlds/haxima-1.002/arms.scm:
	animated slime potion

	* worlds/haxima-1.002/arms.png, worlds/haxima-1.002/arms.scm:
	animated prismatic bolt, oil potion

	* worlds/haxima-1.002/blendterrains.scm, worlds/haxima-1.002/books.scm, worlds/haxima-1.002/endless-deeps-mech.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/terrains.scm, worlds/haxima-1.002/tools.scm:
	separated off hills pclass from forest plass as they should affect missiles differently
	changed vhard to v-hard for clarity
	added s-hard difficulty

	* worlds/haxima-1.002/combat-maps.scm:
	variable obacity forest terrains use forest combat map

	* worlds/haxima-1.002/door.scm, worlds/haxima-1.002/poor-house.scm:
	added some new door types

	* worlds/haxima-1.002/game.scm:
	reduced forest obstructivity to be more in line with its opacity

	* worlds/haxima-1.002/game.scm:
	sfast changed to s-fast

	* worlds/haxima-1.002/gamestart-mech.scm:
	one-off messages do not trigger for npcs

	* worlds/haxima-1.002/shard.scm:
	added some irregularity to forrest visibility near green tower

2007-06-29  Kris Parker  <kaypy@localhost.localdomain>

	* src/common.c, src/common.h, src/map.c, src/sprite.c, src/sprite.h:
	Support for 8 way missile sprites

	* src/map.c, src/map.h:
	Simplified and sped up missile animations

	* worlds/haxima-1.002/arms.png, worlds/haxima-1.002/arms.scm:
	separate arrow/bolt on ground sprites
	directional spear sprite

	* worlds/haxima-1.002/arms.png, worlds/haxima-1.002/arms.scm:
	Added diagonal arrow and bolt sprites

	* worlds/haxima-1.002/arms.scm:
	enabled magic sword animations
	magic axe uses alternate return mmode

	* worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/game.scm:
	Returning animation for magic axe
	Cannon has greater terrain penetration

	* worlds/haxima-1.002/palette.scm:
	another &*%^$ forgotten checkin

2007-06-28  Kris Parker  <kaypy@localhost.localdomain>

	* src/Being.cpp, src/Being.h, src/character.cpp, src/character.h:
	NPCs kick player out of bed more sanely

	* src/map.c, src/map.h, src/sprite.c, src/sprite.h:
	support for animated projectiles

	* worlds/haxima-1.002/arms.png, worlds/haxima-1.002/arms.scm:
	magic axe tumbles in flight

2007-06-27  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/sprites.scm:
	Cannon Sprites
	The obligatory "Kris was too dumb to check this in the first time" checkin

2007-06-26  Kris Parker  <kaypy@localhost.localdomain>

	* src/Arms.cpp, src/kern.c:
	kern-fire-missile had stopped triggering hit-loc events
	added kern-armstype-fire-in-direction

	* worlds/haxima-1.002/ancient-derelict.scm, worlds/haxima-1.002/merciful-death.scm, worlds/haxima-1.002/terrains.scm:
	upgraded ancient derelict and merciful death

	* worlds/haxima-1.002/arms.scm:
	cannon object

	* worlds/haxima-1.002/arms.scm:
	temp-ifc needed to be updated to reflect advanced hit-loc ifc

	* worlds/haxima-1.002/terrains.scm:
	ship terrains in table
	is-deck updated

	* worlds/haxima-1.002/vehicles.scm:
	added working cannons to voidship combat map

	* worlds/haxima-1.002/vehicles.scm:
	added working cannons to ship combat map

	* worlds/haxima-1.002/vehicles.scm:
	cleaning up

2007-06-25  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/oparine.scm, worlds/haxima-1.002/zones.scm:
	upgraded barts boat

2007-06-24  Sam Glasby  <sglasby@localhost.localdomain>

	* src/character.cpp:
	Repaint map after each (visible) NPC move.
	
	This improves the appearance when an NPC makes
	multiple tiles of movement on one turn.
	
	(Before, such characters seemed to "blink" into the new position.)

	* worlds/haxima-1.002/effects.scm:
	Added a message when a character fails to resist paralysis,
	losing his turn.

	* worlds/haxima-1.002/terrains.scm:
	Added a small glow to t_deep_lava, to improve the ambience
	of the dragons lair entrance chamber.

2007-06-24  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/palette.scm, worlds/haxima-1.002/ship.png, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/vehicles.scm:
	support for objects in turnable vehicles combat maps
	vehicle boarding ramps only available when terrain is suitable
	vehicles have steering wheels again

	* worlds/haxima-1.002/ship.png, worlds/haxima-1.002/sprite-sets.scm, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/terrains.scm, worlds/haxima-1.002/vehicles.scm:
	improved voidship
	forgotten checkin for enemy vehicle compatibility

2007-06-23  Kris Parker  <kaypy@localhost.localdomain>

	* src/combat.c:
	Enemy vehicles now use new combat map scheme

	* src/combat.c, src/combat.h, src/kern.c, src/vehicle.h, worlds/haxima-1.002/loc.scm, worlds/haxima-1.002/palette.scm, worlds/haxima-1.002/pseudorandom-map.scm, worlds/haxima-1.002/ship.png, worlds/haxima-1.002/sprite-sets.scm, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/terrains.scm, worlds/haxima-1.002/vehicles.scm:
	First pass at scheme based vehicle maps

2007-06-21  Sam Glasby  <sglasby@localhost.localdomain>

	* worlds/haxima-1.002/alchemist.scm, worlds/haxima-1.002/bill.scm, worlds/haxima-1.002/chester.scm, worlds/haxima-1.002/earl.scm, worlds/haxima-1.002/engineer.scm, worlds/haxima-1.002/jim.scm, worlds/haxima-1.002/lia.scm, worlds/haxima-1.002/may.scm, worlds/haxima-1.002/melvin.scm, worlds/haxima-1.002/shroom.scm, worlds/haxima-1.002/tooth.scm, worlds/haxima-1.002/zane.scm:
	- Added various items to merchants which seemed lacking.
	
	- Minor price tweaks on some items.
	
	- The Engineer now sells various devices (crossbows, sextans, chronometers)
	
	- The Alchemist now sells some additional potions, some at exorbitant rates.
	
	- Various types of bows and crossbows are available from merchants,
	  also spiked helm and shield.

	* worlds/haxima-1.002/books.scm, worlds/haxima-1.002/moongate-clearing.scm:
	Defined a couple of books with low-level spells,
	added them to the start area.

	* worlds/haxima-1.002/chester.scm, worlds/haxima-1.002/earl.scm, worlds/haxima-1.002/jones.scm, worlds/haxima-1.002/tooth.scm:
	Tidied up indentation in shop inventories.
	Made t_arrow and t_bolt more consistently available.

	* worlds/haxima-1.002/gamestart-mech.scm:
	Added some feedback in the stats-setting mechanism.
	
	It would be nicer to print a message mentioning only the stat(s)
	changed upon stepping on one of the special tiles,
	but that would require restructuring how the mechanisms work.

	* worlds/haxima-1.002/gamestart.scm:
	Added the full variety of melee / missile / thrown weapons
	and armor / shield, to the quick-start equipment for test purposes.

	* worlds/haxima-1.002/moongate-clearing.scm:
	Modest increase to the starting gear.

2007-06-18  Kris Parker  <kaypy@localhost.localdomain>

	* src/combat.c, src/kern.c, src/terrain.h, worlds/haxima-1.002/combat-maps.scm:
	first pass at scheme based combat maps

2007-06-16  Kris Parker  <kaypy@localhost.localdomain>

	* src/player.cpp:
	One of the new comments was causing the savegame to crash when reloading
	(Dont ask me why comments in scheme can break things, but they seem to be able to...)

	* worlds/haxima-1.002/effects.scm:
	fire/lightning do not effect regular objects for the moment (it wasnt having any in game effect, and the graphic effects were occuring in places they oughtnt)

2007-06-13  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/arms.scm:
	getting the rest of the missile drops happening
	some cleanups in the ifc routine

	* worlds/haxima-1.002/arms.scm:
	ifc builder for missiles that should have a chance of being retrieved

2007-06-10  Sam Glasby  <sglasby@localhost.localdomain>

	* src/kern.c:
	Fixed a typo:  obj_decc_ref vs obj_dec_ref.

	* worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/species.scm:
	Comprehensive review / changes to Action Point costs
	for weapons and unarmed attacks.
	
	Added new types of bows and crossbows.
	Added magic axe (returns when thrown) -- should perhaps print a message?
	Added thrown rocks
	    (This is not quite perfect yet,
	     only one species-native weapon at a time is supported,
	     so how does a character get one?
	     Perhaps add 99 of them into party inventory in start-new-game.scm,
	     but that seems a bit inelegant.)
	
	Tweaked damage values for a few weapons to improve their usefullness,
	such as 2H weapons, thrown spear, and axe.
	
	Secondary weapons (spiked helm and spiked shield) have very low AP cost
	for their minor attacks.
	AP costs for dual-weapon-wielding still needs review.
	
	Some changes to beast/monster native weapons
	(small fast t_F_fangs and great toothy f_G_fangs, with various AP costs).

	* worlds/haxima-1.002/arms.scm:
	Changed default AP cost for attacks to 75,
	such that "speed-human" is sufficient for 2 attacks per round
	(or 3 tiles of "norm" movement).
	
	Also, canonicalized the +to-hit for t_sling_4
	(missed it in the previous checkin).

2007-06-10  Kris Parker  <kaypy@localhost.localdomain>

	* src/kern.c:
	added an obj_inc_ref pair to kernel methods that can result in a move() (and hence to scheme callbacks with potentially destructive results)

2007-06-09  Sam Glasby  <sglasby@localhost.localdomain>

	* src/place.c:
	Minor formatting change when saving edge_entrance info.

	* worlds/haxima-1.002/arms.scm:
	Untabified various tables for consistency in formatting.
	Tidied some columns.
	Canonicalized some values like "0" --> "+0" and "2" --> "+2".

2007-06-09  Kris Parker  <kaypy@localhost.localdomain>

	* src/Being.cpp, src/ctrl.c:
	Critters stop trying to keep wandering around if they are killed by an energy field

	* src/Party.cpp:
	npc parties try to avoid harmful terrains when diagonally attacking

	* src/combat.c:
	Combat maps grab tiles that are adjactent (based on dx/dy) instead of what the parties happen to be on. Means npc diagonal attacks dont give such wierd results

	* src/object.c:
	fix for 1713270: objects now trigger sense updates on removal

	* worlds/haxima-1.002/powers.scm:
	added a "put field here" generic command that applies procs as appropriate and allows field to momentarily be placed eg over water, but they will vanish immediately after
	(somehow the first attempt only committed the stuff that *uses* the command...)

2007-06-08  Kris Parker  <kaypy@localhost.localdomain>

	* src/kern.c:
	fields use mmodes

	* worlds/haxima-1.002/species.scm:
	species speeds now defined relative to nominal human speed

2007-06-08  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Makefile.am:
	Added missing objectfreezer files to build list

	* src/cmd.c:
	Bugfix for [ 1632199 ] An Tym bugs

2007-06-05  Kris Parker  <kaypy@localhost.localdomain>

	* src/character.cpp:
	if custom speed is 0, default to species speed

	* src/object.c:
	end of turn messages now check target is a being

	* worlds/haxima-1.002/kobj.scm, worlds/haxima-1.002/npc-types.scm:
	generic npcs use species speed
	moving "can drop" function to kobj.scm

	* worlds/haxima-1.002/powers.scm:
	added a "put field here" generic command that applies procs as appropriate and allows field to momentarily be placed eg over water, but they will vanish immediately after

2007-06-04  Sam Glasby  <sglasby@localhost.localdomain>

	* src/character.cpp, src/character.h, src/kern.c, src/object.c, src/species.c:
	Added per-character Action Points per round, in addition
	to the existing Species-specific AP/round which stock characters inherit.
	
	These changes require corresponding changes in the .scm,
	specifically, a new parameter passed to kern-mk-char.
	    (AP_per_turn aka spd, after the mp arg and before the lvl arg)
	
	The corresponding changes in the .scm files are in the next checkin.

	* src/ctrl.c:
	Removed the ESC-to-exit-combat keybinding.
	
	With ESC used for both exit-from-UI-things and exit-combat-map,
	it was wasy to accidentally exit combat, leaving loot behind.
	
	Now, a message is printed in that case, mentioning both means
	of exiting the combat map (the '<' command, and walking off the map edge).

	* worlds/haxima-1.002/abe.scm, worlds/haxima-1.002/abigail.scm, worlds/haxima-1.002/alchemist.scm, worlds/haxima-1.002/alex.scm, worlds/haxima-1.002/amy.scm, worlds/haxima-1.002/anaxes.scm, worlds/haxima-1.002/angela.scm, worlds/haxima-1.002/angriss.scm, worlds/haxima-1.002/anne.scm, worlds/haxima-1.002/bart.scm, worlds/haxima-1.002/bill.scm, worlds/haxima-1.002/chester.scm, worlds/haxima-1.002/dennis.scm, worlds/haxima-1.002/deric.scm, worlds/haxima-1.002/doris.scm, worlds/haxima-1.002/douglas.scm, worlds/haxima-1.002/edward.scm, worlds/haxima-1.002/enchanter.scm, worlds/haxima-1.002/engineer.scm, worlds/haxima-1.002/fing.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/gen.scm, worlds/haxima-1.002/ghertie.scm, worlds/haxima-1.002/gholet.scm, worlds/haxima-1.002/gregor.scm, worlds/haxima-1.002/gregors-hut.scm, worlds/haxima-1.002/hackle.scm, worlds/haxima-1.002/henry.scm, worlds/haxima-1.002/ini.scm, worlds/haxima-1.002/jake.scm, worlds/haxima-1.002/jeffreys.scm, worlds/haxima-1.002/jess.scm, worlds/haxima-1.002/joel.scm, worlds/haxima-1.002/jones.scm, worlds/haxima-1.002/jorn.scm, worlds/haxima-1.002/kalcifax.scm, worlds/haxima-1.002/kama.scm, worlds/haxima-1.002/kathryn.scm, worlds/haxima-1.002/lia.scm, worlds/haxima-1.002/luximene.scm, worlds/haxima-1.002/may.scm, worlds/haxima-1.002/meaney.scm, worlds/haxima-1.002/melvin.scm, worlds/haxima-1.002/mesmeme.scm, worlds/haxima-1.002/miggs.scm, worlds/haxima-1.002/mouse.scm, worlds/haxima-1.002/nate.scm, worlds/haxima-1.002/necromancer.scm, worlds/haxima-1.002/nossifer.scm, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/oscar.scm, worlds/haxima-1.002/patch.scm, worlds/haxima-1.002/road_to_absalot.scm, worlds/haxima-1.002/roland.scm, worlds/haxima-1.002/selene.scm, worlds/haxima-1.002/shroom.scm, worlds/haxima-1.002/silas.scm, worlds/haxima-1.002/slywan.scm, worlds/haxima-1.002/species.scm, worlds/haxima-1.002/start-new-game.scm, worlds/haxima-1.002/steward.scm, worlds/haxima-1.002/talking-ankh.scm, worlds/haxima-1.002/tetzl.scm, worlds/haxima-1.002/the-man.scm, worlds/haxima-1.002/thorald.scm, worlds/haxima-1.002/thud.scm, worlds/haxima-1.002/tim.scm, worlds/haxima-1.002/tooth.scm, worlds/haxima-1.002/trigrave.scm, worlds/haxima-1.002/tutorial.scm, worlds/haxima-1.002/warritrix.scm, worlds/haxima-1.002/zane.scm:
	Script changes to match engine changes which add
	per-character Action Points per round (spd) to match
	the per-Species value which stock characters inherit.
	
	The values defined (largely in game.scm and species.scm)
	will need a lot of balancing.
	
	For the moment, values which result in multiple tiles of
	movement per round are set, so that the feature can be seen and tuned.

2007-06-04  Kris Parker  <kaypy@localhost.localdomain>

	* src/kern.c:
	tweak to error messages

	* worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/powers.scm:
	prismatic gaze updated to use mostly powers based effects. This still doesnt solve the problem in bug 1687641, either its taken care of in the cast-ui phase, or the field spells can screw up too...

	* worlds/haxima-1.002/blendterrains.scm:
	tree corners had wrong pclass

	* worlds/haxima-1.002/game.scm:
	shoals were set to walking passable while I was testing drowning code and accidently got checked in

2007-06-03  Sam Glasby  <sglasby@localhost.localdomain>

	* src/angband.c:
	Trivial formatting change in OPAQUE and VISIBLE macros.

2007-06-01  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/blendterrains.scm, worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/terrains.scm, worlds/haxima-1.002/wind-bridge.scm:
	chasm effect moved to wind-bridge code rather than terrain
	objects marked "do not drop" for water or space

	* worlds/haxima-1.002/npc-types.scm:
	generic npcs will not drop objects on forbidden terrains

2007-05-27  Sam Glasby  <sglasby@localhost.localdomain>

	* src/character.cpp, src/player.cpp, src/sprite.c:
	Appended some text in saved games to label things.

2007-05-26  Kris Parker  <kaypy@localhost.localdomain>

	* src/character.cpp:
	fix for bug with npcs not using missile weapons

2007-05-25  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/arms.scm:
	thrown weapons need a separate projectile type now. arms.scm wasnt giving them one, so it crashed whenever they were used...

2007-05-24  Kris Parker  <kaypy@localhost.localdomain>

	* src/Arms.cpp, src/Arms.h, src/Missile.cpp, src/Missile.h, src/object.c, src/object.h:
	ObjectType now has moment mode implemented

	* src/cmd.c, src/ptable.h:
	drop checks object mmode

	* src/kern.c:
	other object types use object mmode

	* src/kern.c:
	added kern-obj-get-movecost method- gets movement cost for a given object:pclass

	* worlds/haxima-1.002/arms.scm:
	projectiles and ammo separated in scm

	* worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/ifc.scm:
	mmodes for objects added

	* worlds/haxima-1.002/arms.scm:
	Separating ammo (on the ground or in inventory) from missiles (projectile in flight)

	* worlds/haxima-1.002/fields.scm, worlds/haxima-1.002/game.scm:
	mmodes for fields added

	* worlds/haxima-1.002/game.scm, worlds/haxima-1.002/terrains.scm:
	added separate pclass for checking general canfly/canswim statuses

	* worlds/haxima-1.002/npc-types.scm:
	can-fly check based on can-fly pclass

2007-05-23  Kris Parker  <kaypy@localhost.localdomain>

	* src/Arms.cpp, src/Arms.h, src/character.cpp, src/kern.c:
	Separating ammo (on the ground or in inventory) from missiles (projectile in flight)

2007-05-22  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/lost-halls.scm, worlds/haxima-1.002/runes.scm:
	fix for bug 1720802: to make a one-off trigger on pickup, you can create a dummy object, and have its get-ifc swap in the real one (which doesnt have the pickup effect)

2007-05-21  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/blendterrains.scm, worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/terrains.scm:
	you now only fall into chasms or void if you are actually on a square with the space pclass
	hence if you bump into a chasm square you are just blocked, but if it opens up beneath you then you are gone

	* worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/palette.scm, worlds/haxima-1.002/terrains.scm:
	fixed mountain terrains vs missile passibility in griffon peak

2007-05-20  Kris Parker  <kaypy@localhost.localdomain>

	* src/cmd.c:
	ap for readying weapons revised, ap debt limit for equipping in combat

	* src/cmd.c:
	ap for getting objects revised, ap debt limit for getting large stacks in combat

	* worlds/haxima-1.002/arms.scm:
	ap for readying weapons revised, ap debt limit for equipping in combat
	improved shield defense somewhat

	* worlds/haxima-1.002/game.scm, worlds/haxima-1.002/species.scm:
	many 'fast' critters should have reduced movement cost rather than extra AP

	* worlds/haxima-1.002/naz.scm:
	ap for getting objects revised

2007-05-19  Kris Parker  <kaypy@localhost.localdomain>

	* src/ctrl.c:
	switching from solo to roundrobin doesnt end your turn

	* src/ctrl.c, src/kern.c:
	experimental dual-weapon ap mod. we may reverse it later, but I need to do more changes to those files, and this way its a separate cvs entry

	* worlds/haxima-1.002/arms.scm:
	flaming sword ap fixed

	* worlds/haxima-1.002/books.scm, worlds/haxima-1.002/enchanters-tower-mech.scm, worlds/haxima-1.002/endless-deeps-mech.scm, worlds/haxima-1.002/engineer.scm, worlds/haxima-1.002/gen.scm, worlds/haxima-1.002/keys.scm, worlds/haxima-1.002/potions.scm, worlds/haxima-1.002/scrolls.scm, worlds/haxima-1.002/special.scm, worlds/haxima-1.002/tools.scm:
	usable item ap fixes

	* worlds/haxima-1.002/pseudorandom-map.scm:
	upgrades to random dungeons for lost halls. should have been checked in way back. oops

	* worlds/haxima-1.002/shard.scm:
	link shard to new lost halls

2007-05-18  Kris Parker  <kaypy@localhost.localdomain>

	* src/Missile.cpp:
	missile obstruction probability changed to percentile rather than d20

	* src/cmd.c:
	mix now takes a long time. ideally, you wouldnt get the spell until afterwards, but that'd be more complex

	* src/cmd.c:
	spells use ap as defined in spell list rather than hardcoded function

	* src/common.h:
	base action points now 50

	* src/kern.c:
	allow kern-place-set-neighbor to remove neighbors using null argument

	* worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/species.scm, worlds/haxima-1.002/start-new-game.scm:
	base action points now 50
	missile obstruction probability changed to percentile rather than d20

	* worlds/haxima-1.002/ini.scm:
	ini gives more information about the lost halls

	* worlds/haxima-1.002/lost-halls-mech.scm, worlds/haxima-1.002/lost-halls.scm:
	pseudorandomificated version of the lost halls

	* worlds/haxima-1.002/spells.scm:
	spell ap cost: 25+25/level

2007-05-15  Kris Parker  <kaypy@localhost.localdomain>

	* src/Missile.cpp, src/Party.cpp, src/character.cpp, src/kern.c, src/place.c, src/place.h, src/player.cpp:
	mechs now affect movement costs for their tiles.
	this did terrible, terrible things to the AI, but it seems to work again now.

2007-05-14  Sam Glasby  <sglasby@localhost.localdomain>

	* src/angband.c:
	
	
	Added some commentary in check_ray_set() related to the
	diagonal LOS artifact removal.

2007-05-12  Kris Parker  <kaypy@localhost.localdomain>

	* src/Arms.cpp, src/Arms.h, src/Missile.cpp, src/Missile.h, src/kern.c, worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/game.scm:
	first pass at using terrain passibility for missile obstruction

	* worlds/haxima-1.002/palette.scm, worlds/haxima-1.002/terrains.scm:
	added some variable density forests/trees

2007-05-10  Kris Parker  <kaypy@localhost.localdomain>

	* src/Arms.cpp, src/ctrl.c:
	workaround for glitchyness with null objects in hooks
	Better handling for obtructions when firing at empty tiles

	* src/Missile.cpp:
	partially opaque terrain partially blocks missiles

	* src/dice.c, src/dice.h:
	can access dice routines with numeric values instead of strings if needed

	* worlds/haxima-1.002/blendterrains.scm, worlds/haxima-1.002/terrains.scm:
	partial opacity tweaked and extended
	blended terrains match their base terrains opacities

2007-05-08  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/blendterrains.scm, worlds/haxima-1.002/terrains.scm:
	swamp now allows double avoidance check
	flyers can still get poisoned, but have better chances than walkers
	swamp will only trigger when the target is about to get a turn- poison is otherwise too lethal on the worldmap

	* worlds/haxima-1.002/blendterrains.scm, worlds/haxima-1.002/terrains.scm:
	blended lava terrain passability fixed
	wall torches somewhat less lethal
	wilderness scale lava terrain gives avoidance chance

	* worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/powers.scm:
	mkdice routine made more generally available

	* worlds/haxima-1.002/terrains.scm:
	cleaned out some debugging

2007-05-07  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/arms.scm:
	flaming sword now does fire damage

	* worlds/haxima-1.002/arms.scm:
	doom staff fireballs slowly use mana, plus some other extra effects

2007-05-06  Kris Parker  <kaypy@localhost.localdomain>

	* src/Arms.cpp, src/Arms.h, src/Missile.cpp, src/Missile.h, src/ctrl.c, src/kern.c, src/object.c, src/object.h:
	More detail available for weapon callbacks- now has user, target, whether it hit, and whether it did damage.
	Callbacks on melee weapons should hopefully work, too, although I havent tested it.

	* worlds/haxima-1.002/arms.scm:
	More detail available for weapon callbacks

2007-05-03  Kris Parker  <kaypy@localhost.localdomain>

	* src/character.cpp:
	bug 1710622 added guard clauses to prevent dead people from getting synchronized or introduced

	* worlds/haxima-1.002/scrolls.scm:
	bug 1666217 scrolls now use their own context checking (for the important ones anyway, Ill deal with the rest some other time)

2007-05-01  Kris Parker  <kaypy@localhost.localdomain>

	* src/Being.cpp:
	fix for 1700846:
	check for zero length paths even in impassable path regeneration

	* worlds/haxima-1.002/arms.scm:
	slime potion was using directional sprite type without having directional sprite images.

2007-04-29  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/newterrain.png, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/terrains.scm:
	hiresed rock wall, rock secret
	added rock window

	* worlds/library/artwork/terrain/rockwall.xcf:
	hires rock wall and associated terrains

2007-03-29  Kris Parker  <kaypy@localhost.localdomain>

	* src/objectfreezer.c:
	a few checks for null before doing stuff on potentially empty trees

	* src/objectfreezer.c, src/objectfreezer.h, src/session.c:
	objects in the freezer need to be manually start() ed since they arent in the regular Session->data_objects list

2007-03-27  Kris Parker  <kaypy@localhost.localdomain>

	* src/objectfreezer.c:
	copy lookup keys to prevent them being eaten by the garbage collector

	* worlds/haxima-1.002/endless-deeps-mech.scm, worlds/haxima-1.002/endless-deeps.scm, worlds/haxima-1.002/pseudorandom-map.scm:
	pseudorandom maps now use objectfreezer to remember room contents

2007-03-25  Kris Parker  <kaypy@localhost.localdomain>

	* src/kern.c, src/objectfreezer.c, src/objectfreezer.h, src/session.c, src/session.h:
	renamed objectfreezer methods to match rest of codebase
	objectfreezer should no longer leak like a ruptured colander

	* src/kern.c:
	kern-obj-thaw-at handles locating object correctly

	* src/objectfreezer.c, src/objectfreezer.h, src/session.c, src/session.h:
	object freezer now works across save files

2007-03-24  Kris Parker  <kaypy@localhost.localdomain>

	* src/kern.c, src/objectfreezer.c, src/objectfreezer.h, src/session.h:
	first pass at object freezer
	at this stage can store objects for current session only (no save/load)

2007-03-18  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/portcullis.scm, worlds/haxima-1.002/traps_3_mechs.scm:
	Fix for 1682961: gave portcullises a separate handler for remote open/close events. It looks like they are only used by traps_3.

2007-03-14  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Missile.cpp, src/angband.c:
	Kernel changes:
	o Bugfix: bushes were blocking missiles, because their transparency was
	  recently changed to be somewhere between transparent and opaque. The missile
	  code was interpreting anything non-transparent as opaque. Come to think of
	  it, this might not be quite what is wanted yet, because missiles (which use
	  bresenham) will fly further than los (which uses highly optimized
	  ray-casting) through semi-opaque terrain.

	* worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/powers.scm:
	Haxima changes:
	o powers-resurrect checks if target is really dead
	o cast-ui-dospell-nolos lets effect determine result code
	o cleaned up some debug printlns

2007-03-13  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c, src/result.h, worlds/haxima-1.002/potions.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/start-new-game.scm:
	Kernel changes:
	o Added new result codes to kernel
	o Result evaluation uses a lookup table now instead of a switch statement
	
	Haxima changes:
	o Fixed a couple of potion result codes
	o Fixed the heal power result codes

	* worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/runes.scm:
	Haxima changes:
	o Fixed result codes for using runes.

2007-03-12  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c, src/screen.c, worlds/haxima-1.002/books.scm, worlds/haxima-1.002/items.scm, worlds/haxima-1.002/keys.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/potions.scm, worlds/haxima-1.002/scrolls.scm, worlds/haxima-1.002/tools.scm:
	Kernel changes:
	o 'use' now checks the return value of closure calls and log the results to the
	  console (exactly like 'yuse')
	
	Haxima changes:
	o All the item procedures now return one of the standard result-* codes.

2007-03-11  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c, src/object.c, src/object.h, worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/fields.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/occs.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/skills.scm, worlds/haxima-1.002/tools.png, worlds/haxima-1.002/tools.scm:
	Kernel changes:
	o All the ObjectType methods that invoke closure_exec() now pass the result
	  back to their caller.
	
	Haxima changes:
	o Added new tool: rope & hook
	o Added passive Reach skill for wrogues, which employs the rope & hook

2007-03-10  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/screen.c:
	Added debug routines to dump some SDL types

2007-03-08  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/occs.scm:
	Haxima changes:
	o As the wrogue advances he can do more challenging things while in stealth
	  mode.

	* worlds/haxima-1.002/effects.scm:
	Haxima changes:
	o The torch effect removes the stealth effect.

2007-03-07  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c, src/ctrl.c, src/kern.c, src/object.h, worlds/haxima-1.002/effects.scm:
	Kernel changes:
	o Added a bunch of foo-done hooks, where 'foo' is a character action that
	  should probably kick the character out of stealth mode.
	
	Haxima changes:
	o Stealth effect removed when character attacks, gets, drops, uses, yuses,
	  opens, handles, mixes or casts.

	* src/effect.c, src/effect.h, src/kern.c, src/object.c, src/session.c:
	Undoing the multi-hook effect stuff. Not necessary, cumbersome, and doesn't
	even work.

2007-03-06  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/character.cpp, src/closure.c, src/closure.h, src/effect.h, src/kern.c, src/object.c, src/object.h, worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/skills.scm:
	First part of Stealth skill: character is invisible until mana runs out or it
	moves.

2007-03-02  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Makefile.am, src/angband.c, src/character.cpp, src/character.h, src/effect.c, src/effect.h, src/kern.c, src/object.c, src/object.h, worlds/haxima-1.002/effects.scm:
	Changed hook id's from strings to bits. This is to allow an effects to run on
	multiple hooks, a prerequisite of the rogue's Hide skill and its advanced forms
	(Sneak and Invisibility). These changes are lightly tested so far (I tried a
	torch).

2007-02-25  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c, src/cmd.h:
	Consolidated some more of the targeting functions

2007-02-22  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/angband.c, src/place.c, worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/start-new-game.scm, worlds/haxima-1.002/terrains.scm:
	Added variable-depth LOS.

2007-02-20  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/skills.scm:
	Haxima changes:
	o Added wrogue skill: Disarm Trap. Works on chests and doors.

2007-02-19  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c:
	Fixed new h)andle crash

	* src/kern.c, src/scheme-private.h, src/scheme.c, src/scheme.h, src/session.c, worlds/haxima-1.002/mouse.scm:
	Fixing last currently known memory leak. This also ensures that if a Scheme
	variable refers to a destructible kernel object then the variable continues to
	refer to a valid memory location in the kernel, even if the world object is
	killed or "destroyed" (destroyed in a game sense, not a memory management
	sense). Caveat: this protection only applies to Scheme variables created via
	tagging an object (ie, kern-mk-char and kern-tag).
	
	Kernel changes:
	o Scheme interpreter now supports a "custom finalizer" provided by the
	  kernel. Scheme cells may be flagged to invoke this when they are gc'd.
	o The kern_mk_char and kern_tag -- which define Scheme variables to refer to
	  destructible kernel objects -- flag the reference and add an incremental ref
	  count to the referred object.
	o The custom finalizer decrements the extra refcount.
	o To prevent reference cycles (which do exist) between the kernel and
	  interpreter from causing a leak on session teardown, the scheme cleanup
	  function unprotects all cells before running the final gc.
	
	Haxima changes:
	o Removed the hack in mouse.scm which manually added an extra refcount to Thud
	  and Kathryn. This hack caused these objects to leak. The above changes render
	  this unnecessary.

	* src/scheme.c, src/session.c:
	Replaced the big memory leak with a small one

2007-02-18  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/skills.scm, worlds/haxima-1.002/tools.png, worlds/haxima-1.002/tools.scm:
	Kernel changes:
	o Yuse checks for tools and materials
	o Yuse consumes materials
	o Yuse UI shows material available
	o Yuse UI show lack of tools or material in red; avail in green
	
	Haxima changes:
	o Added grease
	o Wriggle skill requires 1 grease

	* worlds/haxima-1.002/skills.scm:
	Sprint adds yusers current ap to extend range

2007-02-16  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/portcullis.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/skills.scm, worlds/haxima-1.002/terrains.scm:
	Added Wriggle skill.
	
	Kernel changes:
	o Removed obsolete comment
	
	Haxima changes:
	o Added new movement mode: "wriggle"
	o Added new passability class: "bars"
	o Changed portculli and windows to have pclass "bars"

	* src/kern.c, src/place.c, src/place.h, worlds/haxima-1.002/loc.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/skills.scm:
	At long, long, last...
	
	SPRINT IS FINISHED!!!
	
	Kernel changes:
	o Added kern-place-apply-tile-effects
	
	Haxima changes:
	o Sprint now moves the yuser and applies tile effects along the way

2007-02-14  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/kern.c, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/skills.scm:
	Kernel changes:
	o Added kern-place-get-movement-cost
	
	Haxima changes:
	o Added (line x1 y1 x2 y2); returns a line as a list of (x.y) pairs
	o Sprint destination targeting now accounts for movement cost

2007-02-07  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* scripts/ANNOUNCEMENT, scripts/RELEASE_CHECKOFF, src/kern.c, src/templ.c, src/templ.h, worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/skills.scm:
	Some progress on Sprint: UI now builds a template of tiles for radius and LOS.

2007-02-04  Kris Parker  <kaypy@localhost.localdomain>

	* src/character.cpp, src/place.h:
	direction when moving of edge of map is determined by location relative to map rather than direction of last move

	* src/place.c:
	removed a bunch of debugging output from the previous fix (oops)

	* src/place.c:
	fix for 1634496: diagonal movement now only checks neighbors for passability, rather than actually attempting to move onto them.

2007-02-04  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Makefile.am, src/cmd.c, src/cmd.h, src/cursor.cpp, src/cursor.h, src/list.h, src/templ.c, src/templ.h:
	Step 1 of a new targeting ui function. This will replace the existing
	select_target and its kin when I'm completely done. The new function will allow
	spells to auto-target friends, foes, or whatever; it will also enable some of
	the UI enhancements I want for the Sprint skill.

2007-02-03  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/endless-deeps-mech.scm:
	tweaked random paramters- dungeon was not being very connected.
	also centred checked area properly

	* worlds/haxima-1.002/endless-deeps.scm:
	special rooms are marked as not connecting to the dungeon

	* worlds/haxima-1.002/pseudorandom-map.scm:
	fixed problem with checking algorithm
	a lot of cleaning up

2007-01-30  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/endless-deeps-mech.scm, worlds/haxima-1.002/endless-deeps.scm:
	endless deeps are checked for cohesion on first entry only

	* worlds/haxima-1.002/pseudorandom-map.scm:
	cohesion checking now creates new links based on an input factory function

2007-01-30  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/object.c, src/status.c:
	Adding action points to status display. Kind of useless right now.

2007-01-29  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/endless-deeps-mech.scm, worlds/haxima-1.002/pseudorandom-map.scm:
	cleaned out cohesion debugging output. set up checking in endless deeps

2007-01-29  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c, src/kern.c, src/skill.h, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/pitfalls.scm, worlds/haxima-1.002/skills.scm:
	Added support for "passive skills". Y)use does not apply to passive
	skills. They are meant to be used by other parts of the script to check if a
	character has a certain skill. For example, the 'use handler in the pitfall
	objects (beartrap and caltrops) now checks if a character has the passive "arm
	trap" skill.

	* src/object.c:
	Merged over set-ttl 0 bugfix

	* src/object.c:
	Should have tested that last fix. NOW the set-ttl 0 bug is fixed.

	* src/object.c:
	Fixed a (kern-obj-set-ttl kobj 0) crasher

2007-01-28  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/humanoids.png, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/parties.scm, worlds/haxima-1.002/sprites.scm, worlds/library/artwork/humanoids/nixiesword.xcf:
	nixie with sword

	* worlds/haxima-1.002/pseudorandom-map.scm:
	works once somewhere prototype of random map linking

	* worlds/library/artwork/humanoids/nixiespear.xcf:
	one spear nixie water subsprite was backwards

2007-01-28  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/kern.c, worlds/haxima-1.002/powers.scm:
	Jumping now checks for blocking corner terrain at distance 1.

2007-01-27  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/humanoids.png, worlds/library/artwork/humanoids/nixiespear.xcf:
	nixie with spear

	* worlds/haxima-1.002/humanoids.png, worlds/library/artwork/humanoids/nixieciv.xcf:
	tweaked nixie

	* worlds/haxima-1.002/pseudorandom-map.scm:
	"ugly but it works" prototype of random dungeon continuity testing. (doesnt yet fix unlinked areas)

2007-01-27  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c, src/kern.c, src/skill.h, worlds/haxima-1.002/skills.scm:
	Skills now have a "wilderness ok" flag. If the flag is not set the skill can't
	be used in the wilderness.

2007-01-26  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/endless-deeps-mech.scm, worlds/haxima-1.002/endless-deeps.scm, worlds/haxima-1.002/pseudorandom-map.scm:
	random map links now contain passability data (for continuity testing)

	* worlds/haxima-1.002/fing.scm, worlds/haxima-1.002/humanoids.png, worlds/haxima-1.002/sprites.scm, worlds/library/artwork/humanoids/nixieciv.xcf:
	first pass at hires nixies

2007-01-26  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* ChangeLog, Makefile.am, NEWS, haxima.desktop, worlds/haxima-1.002/abe.scm, worlds/haxima-1.002/alchemist.scm, worlds/haxima-1.002/anaxes.scm, worlds/haxima-1.002/gregor.scm, worlds/haxima-1.002/hackle.scm, worlds/haxima-1.002/kalcifax.scm, worlds/haxima-1.002/melvin.scm, worlds/haxima-1.002/shroom.scm, worlds/haxima-1.002/start-new-game.scm, worlds/haxima-1.002/steward.scm:
	Merging over icons, desktop and typo fixes from 0.5.6-rc2

	* doc/USERS_GUIDE, doc/users_guide.html, worlds/haxima-1.002/books.scm, worlds/haxima-1.002/engineer.scm, worlds/haxima-1.002/necromancer.scm, worlds/haxima-1.002/reagents.scm:
	Merging over 2nd typo fix from 0.5.6-rc2

	* doc/USERS_GUIDE, doc/users_guide.html, worlds/haxima-1.002/books.scm, worlds/haxima-1.002/engineer.scm, worlds/haxima-1.002/necromancer.scm, worlds/haxima-1.002/reagents.scm, worlds/haxima-1.002/shroom.scm:
	Applied mwinterrowd's 2nd typos patch

	* worlds/haxima-1.002/abe.scm, worlds/haxima-1.002/alchemist.scm, worlds/haxima-1.002/anaxes.scm, worlds/haxima-1.002/gregor.scm, worlds/haxima-1.002/hackle.scm, worlds/haxima-1.002/kalcifax.scm, worlds/haxima-1.002/melvin.scm, worlds/haxima-1.002/shroom.scm, worlds/haxima-1.002/steward.scm:
	Applying mwinterrowd's first typos patch

2007-01-25  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/endless-deeps-mech.scm, worlds/haxima-1.002/endless-deeps.scm, worlds/haxima-1.002/pseudorandom-map.scm:
	improvements to random dungeon hardlink storage

	* worlds/haxima-1.002/endless-deeps.scm, worlds/haxima-1.002/pseudorandom-map.scm:
	hooks in hardlinks reenabled

2007-01-23  Janne Johansson  <icepic@localhost.localdomain>

	* doc/GAME_RULES, doc/MAP_HACKERS_GUIDE, doc/USERS_GUIDE, doc/world_building/sound_sample_media.txt:
	various nitpicks in docs and spelling fixes

2007-01-22  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* Makefile.am:
	Added icons and .desktop to distro list

	* haxima.desktop:
	file haxima.desktop was initially added on branch release_0_5_5_maint.

	* haxima.desktop:
	Added icons and .desktop file

	* worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/skills.scm:
	Added Detect Trap as a skill

2007-01-21  Kris Parker  <kaypy@localhost.localdomain>

	* src/scheme.c:
	save file support for vectors

2007-01-21  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/character.cpp, src/character.h, src/kern.c, src/object.c, src/object.h, worlds/haxima-1.002/ability.scm, worlds/haxima-1.002/ai.scm, worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/loc.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/skills.scm:
	Added Jump skill

2007-01-20  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/ascii.c, src/ascii.h, src/cmd.c, src/screen.c:
	screenPrint now ignores the special control characters when figuring out how big strings are

	* src/cmd.c, src/kern.c, src/status.c:
	Kernel changes:
	o kern_mk_skill_set checks for null skill
	o Y)use skill listings now show required tools and material
	o scrolling skills was not advancing selection
	o Tweaked color format in skill listing

2007-01-19  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* ChangeLog, NEWS, configure.ac:
	Final update for 0.5.6-rc1

2007-01-16  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/endless-deeps-mech.scm:
	endless deeps uses random prng seeds to vary from game to game. Unfortunately, this can result in them not being particularly endless, or even being particularly not endless

	* worlds/haxima-1.002/endless-deeps-mech.scm, worlds/haxima-1.002/endless-deeps.scm, worlds/haxima-1.002/pseudorandom-map.scm:
	z coordinate added to random dungeons.

2007-01-16  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Container.cpp, src/Container.h, src/cmd.c, src/object.h, src/scheme.c, src/status.c, src/status.h:
	Some minor code cleanup and yet another experimental status browser function.

2007-01-15  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/endless-deeps-mech.scm, worlds/haxima-1.002/pseudorandom-map.scm:
	slightly simpler syntax for random dungeon hardlink hooks

	* worlds/haxima-1.002/endless-deeps.scm, worlds/haxima-1.002/pseudorandom-map.scm:
	store customisable hardlink function, and actual hardlink data

2007-01-13  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/endless-deeps-mech.scm, worlds/haxima-1.002/pseudorandom-map.scm:
	hooks added to allow random map templates to add objects as well as terrain

2007-01-13  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c, src/skill.h, worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/door.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/skills.scm:
	Y)using the unlock skill now works.

2007-01-12  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* configure.ac, src/cmd.c, src/cmd.h, src/ctrl.c, src/kern.c, src/node.c, src/node.h, src/occ.c, src/occ.h, src/scheme.c, src/scheme.h, src/session.c, src/skill.c, src/skill.h, src/skill_set.c, src/skill_set_entry.c, src/skill_set_entry.h, src/species.h, src/status.c, src/status.h, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/occs.scm, worlds/haxima-1.002/skills.scm:
	y)use now shows occupation skills in the status browser

2007-01-10  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Makefile.am, src/cfg.c, src/kern.c, src/repstr.c, src/repstr.h, src/session.h, src/skill.c, src/skill.h, src/skill_set.c, src/skill_set.h, src/skill_set_entry.c, src/skill_set_entry.h:
	More skill groundwork

2007-01-09  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c:
	Updated built-in help with k)amp and l)oiter

	* src/kern.c, src/place.c, src/play.c, src/session.c, src/skill.h:
	More bugfixes from 0.5.5 maintenance branch; mixed in with some skill stuff unfortunately

	* src/kern.c:
	One last tweak to get that time accel thing re-loading properly

	* src/kern.c, src/session.c:
	Bugfix for [ 1629974 ] loitering in wilderness uses too much food.
	
	Addendum to the previous fix. Saving/loading the floating-point time
	acceleration value was not done properly, causing it to be zero on reload and
	wreaking havoc.

	* src/nazghul.c, src/play.c:
	Moved the 'welcome to' with the version info to the initial startup (not the game load)

	* src/object.c, src/player.cpp, src/session.h:
	Merged bugfix from 0.5.5 maintenance branch

	* src/object.c, src/player.cpp, src/session.h:
	Bugfix for [ 1629974 ] loitering in wilderness uses too much food.
	
	Loitering for 1 hour was actually using up almost 32 hours. Time acceleration
	was set to a value appropriate for one hour at town scale, not wilderness
	scale. To make the values work out for wilderness scale I had to change time
	acceleration to be a floating point and fix a few type casts.

	* src/place.c, src/play.c:
	Bugfix for [ 1624247 ] Delayed victory messages
	
	Combat status is now checked after every object executes. Seems inefficient but
	I'm not noticing any performance hit.

2007-01-06  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/endless-deeps-mech.scm, worlds/haxima-1.002/endless-deeps.scm, worlds/haxima-1.002/pseudorandom-map.scm:
	prng parameters now in random map parameter object

	* worlds/haxima-1.002/endless-deeps-mech.scm, worlds/haxima-1.002/endless-deeps.scm, worlds/haxima-1.002/pseudorandom-map.scm:
	terrain templates now in random map parameter object

	* worlds/haxima-1.002/endless-deeps-mech.scm, worlds/haxima-1.002/pseudorandom-map.scm:
	blitstats construction formalized

2007-01-06  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* scripts/RELEASE_CHECKOFF:
	Updated some notes on post-release maintenance

	* src/kern.c, src/object.c, src/object.h, src/place.c, worlds/haxima-1.002/demon-gate.scm, worlds/haxima-1.002/powers.scm:
	Merged bugfix from 0.5.5 maintenance branch

	* src/kern.c, src/object.c, src/object.h, src/place.c, worlds/haxima-1.002/demon-gate.scm:
	Bugfix for [ 1622833 ] Killing Nossifer with time stopped. Added a new object
	attribute: ignoreTimeStop. The object which checks for end-of-game has this
	attribute set.

	* worlds/haxima-1.002/powers.scm:
	Fix for [ 1629421 ] unusual fireball behavior vs. lich. Fixed a parenthesis
	error in power.scm.

2007-01-05  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/endless-deeps-mech.scm, worlds/haxima-1.002/endless-deeps.scm, worlds/haxima-1.002/pseudorandom-map.scm:
	blitstats stored in map params

	* worlds/haxima-1.002/npc-types.scm:
	minor glitch- wrong sprite for deeps troll geomancer

2007-01-05  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/place.c:
	Merging bugfix from 0.5.5. maintenance branch

	* src/place.c:
	Bugfix for [ 1627495 ] crash when dying in tutorial cave
	
	There was a case where place_exec() would return w/o decrementing a refcount on
	the player party, triggering an assert in session_del().

2007-01-04  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/endless-deeps.scm, worlds/haxima-1.002/pseudorandom-map.scm:
	beginning to shift random map data into structures suitable for runtime storage

2007-01-04  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/alchemist.scm, worlds/haxima-1.002/green-tower-lower.scm, worlds/haxima-1.002/kama.scm, worlds/haxima-1.002/moongate.scm:
	Merging bug fixes from 0.5.5 maintenance branch

	* worlds/haxima-1.002/alchemist.scm:
	Fix for [ 1626202 ] Alchemist and the passage into Absalot. Fixed some logic
	bugs in the Alkie's conversation.

	* worlds/haxima-1.002/green-tower-lower.scm, worlds/haxima-1.002/kama.scm:
	Fix for [ 1626207 ] Releasing Kama from prison. Instead of pathfinding, Kama's
	jail door is now tagged and stored in Kama's gob so he can check its state
	directly.

	* worlds/haxima-1.002/moongate.scm:
	Fix for [ 1622837 ] Loopback moongate doesn't stay. Iff the source and
	destination gates are the same don't set the destination gate sprite to
	"closed" after showing the animation.

2007-01-03  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/character.cpp:
	Merging in NPC inventory count fix from 0.5.5 maintenance branch

	* src/character.cpp:
	Bugfix for [ 1623756 ] Jorn has too many magical items
	
	The code which arms NPC's was putting on and taking off different pieces of
	equipment to try them out. Every time it took it off it incremented the
	inventory counter, but it wasn't decrementing it when it put things on, so the
	counts were messed up on all NPC's who arm themselves.

2007-01-02  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/endless-deeps-mech.scm, worlds/haxima-1.002/pseudorandom-map.scm:
	changed namespace for generic random dungeon code

	* worlds/haxima-1.002/pseudorandom-map.scm:
	notes of room linkages added

2007-01-01  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/bigobjects.png, worlds/haxima-1.002/species.scm, worlds/haxima-1.002/sprites.scm, worlds/library/artwork/monsters/dragonsleep.xcf:
	sprite for sleeping dragon

	* worlds/haxima-1.002/bigobjects.png, worlds/haxima-1.002/monsters.png, worlds/haxima-1.002/parties.scm, worlds/haxima-1.002/sprites.scm:
	dragon sprites used

	* worlds/haxima-1.002/endless-deeps-mech.scm, worlds/haxima-1.002/pseudorandom-map.scm, worlds/haxima-1.002/start-new-game.scm:
	refactored generic random map code from the endless deeps to pseudorandom-map.scm

	* worlds/library/artwork/monsters/dragon.xcf:
	new attempt at dragon sprite

2007-01-01  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* scripts/RELEASE_CHECKOFF, worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/fields.scm, worlds/haxima-1.002/portcullis.scm:
	Merging bugfixes from maintenance branch to main trunk

	* worlds/haxima-1.002/Makefile.am:
	Fixing the missing-distro-files problem once and for all.

	* worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/fields.scm:
	Fix for 1622430: "Undead beings aren't immune to sleep fields". Field immunity
	was just messed up in general.
	
	Also fixed 1623757: "Items can get poisoned". Poison wasn't checking that it
	was being applied to a character.

2006-12-31  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* configure.ac:
	Added the png link fix on the 0.5.6 branch

	* src/Party.cpp:
	If an NPC party tries to make a diagonal attack it selects a passable adjacent square to attack from instead.

	* src/astar.c, src/astar.h, src/place.c:
	Turned on diagonal movement for NPC pathfinding

	* src/astar.c, src/character.cpp, src/common.c, src/ctrl.c, src/place.c, src/place.h:
	Turning on diagonal movement for player characters only. Can't move through pinched corners.

	* src/character.cpp, src/effect.c, src/kern.c, src/map.c, src/occ.c, src/session.c:
	Fixed some memory leaks reported by a profiler. Thanks to Eero for giving me a report.

	* src/cmd.c, src/kern.c, src/object.c, src/object.h, worlds/haxima-1.002/ifc.scm, worlds/haxima-1.002/jewelry.scm, worlds/haxima-1.002/runes.scm, worlds/haxima-1.002/special.scm, worlds/haxima-1.002/start-new-game.scm:
	Quest items can be tagged special, so they won't get dropped in temporary combat maps and lost forever.

	* src/cmd.c:
	Added direction prompt to d)rop

	* src/cmd.c:
	Added a quantity prompt to d)rop

	* src/cmd.c, src/status.c:
	Drop now respects readied arms

	* src/cmd.c, src/cmd.h, src/ctrl.c, src/menus.c, src/status.c, src/status.h, worlds/haxima-1.002/spells.scm:
	Initial cut at a D)rop command

	* worlds/haxima-1.002/Makefile.am:
	Added the 640x480 splash fix on the 0.5.6 branch

	* worlds/haxima-1.002/portcullis.scm:
	Bugfix 1622407: o)pen works on portcullises

2006-12-30  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Makefile.am, src/kern.c, src/session.c, src/session.h, src/skill.c, src/skill.h, worlds/haxima-1.002/Makefile.am, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/skills.scm:
	Started adding code to support skills

	* src/cmd.c:
	Bugfix: clicking on close window multiple times caused an endless loop

2006-12-23  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/Makefile.am:
	Missing small-screen splash in distro

2006-12-20  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* scripts/RELEASE_CHECKOFF:
	Added instructions for uploading releases for release maintainers

2006-12-17  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* configure.ac:
	Added check for libpng

2006-12-15  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* AUTHORS, ChangeLog, NEWS, configure.ac, doc/USERS_GUIDE:
	Final changes before release

	* scripts/ANNOUNCEMENT:
	Adding a file for boilerplate release announcements

	* scripts/RELEASE_CHECKOFF:
	Some tweaks to the release checkoff list

	* worlds/haxima-1.002/Makefile.am:
	The spell image file needs to be in the install

	* worlds/haxima-1.002/spells.png, worlds/haxima-1.002/spells.scm:
	Added all the spell sprites

	* worlds/haxima-1.002/start-new-game.scm:
	Fixing the start file

2006-12-14  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c, src/kern.c, src/magic.c, src/magic.h, src/status.c, worlds/haxima-1.002/spells.scm, worlds/haxima-1.002/start-new-game.scm:
	Spells ready to show sprites in status browser; other spell stats now shown

2006-12-13  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c:
	C)ast now shows how many mixtures are remaining

	* src/cmd.c:
	M)ix command now shows how many of that spell are already mixed before the player begins reagent selection

	* src/cmd.c:
	G)et and S)earch now use up standard AP

	* src/cmd.c:
	Disable '>' when standing over a town to prevent abuse

	* src/map.c:
	Bugfix: with fast critters sometimes the damage flash on their victim would appear to happen before they moved

	* src/vmask.c:
	Bugfix: one more time for that pernicious LOS bug; using the place pointer instead of it's name in the hash key

2006-12-12  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/humanoids.png:
	lich sprite added

	* worlds/haxima-1.002/monsters.png, worlds/haxima-1.002/species.scm, worlds/haxima-1.002/sprites.scm:
	gazer sprites used

	* worlds/haxima-1.002/sprites.scm:
	lich sprite used

	* worlds/library/spritenotes.txt:
	old sprite notes I never got around to cvsing in

	* worlds/library/artwork/humanoids/lich.xcf:
	lich sprite

	* worlds/library/artwork/monsters/gazer.xcf, worlds/library/artwork/monsters/gazersleep.xcf:
	gazer sprites

2006-12-11  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/humanoids.png, worlds/library/artwork/humanoids/skeletonarcher.xcf, worlds/library/artwork/humanoids/spearskeleton.xcf:
	skeleton spearthrower and skeleton archer icons

	* worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/sprites.scm:
	skeleton sprites upgraded

2006-12-10  Kris Parker  <kaypy@localhost.localdomain>

	* doc/users_guide.html:
	Graphical foogod symbols added

	* worlds/haxima-1.002/humanoids.png:
	warrior skeleton sprite

	* worlds/haxima-1.002/humanoids.png, worlds/library/artwork/humanoids/deadarcher.xcf:
	deadarcher- floating armour, with bow

	* worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/sprites.scm:
	craven archers use new icon

	* worlds/library/artwork/humanoids/skeleton.xcf, worlds/library/artwork/humanoids/swordskeleton.xcf:
	generic and warrior skeletons

	* worlds/library/artwork/monsters/dragon.xcf:
	Attempt at a dragon.

2006-12-10  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* ChangeLog:
	Updated

	* doc/USERS_GUIDE:
	Updated text USERS_GUIDE to reflect changes in foogod window icons

	* src/combat.c, src/ctrl.c, src/pinfo.h, src/player.h:
	Attempting to fix the sporadic camping-on-fireplace bug. Looks like it was caused by an unitialized and obsolete flag. Removing the flag

	* src/ctrl.c:
	Re-initialize the list of suggested targets for every attack cycle; should fix rare assert on line 663

	* src/foogod.c, src/foogod.h, src/kern.c, src/object.c, src/session.c, src/session.h, worlds/haxima-1.002/effects.png, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/sprites.scm:
	Replaced cryptic letters with cryptic icons to show global effects in the foogod window

	* worlds/haxima-1.002/ai.scm, worlds/haxima-1.002/npc-types.scm:
	Nixies shouldn't have torches

	* worlds/haxima-1.002/arms.scm:
	Reducing the range of the doom staff by 1

	* worlds/haxima-1.002/arms.scm:
	Extending range of prismatic gaze by 1; Mesmeme a bit too underpowered in the late game

	* worlds/haxima-1.002/conv.scm:
	People in Oparine ought to know where it is

	* worlds/haxima-1.002/dennis.scm:
	Dennis replies to keyword Selene

	* worlds/haxima-1.002/effects.scm:
	Removed fizzle from prismatic attack; there are enough failure cases already

	* worlds/haxima-1.002/engineer.scm:
	Grammatical tweak to conv

	* worlds/haxima-1.002/naz.scm:
	Added make-allies

	* worlds/haxima-1.002/road_to_absalot.scm:
	What we need are a few more zorns

	* worlds/haxima-1.002/silas.scm:
	A few more tweaks to Silas

	* worlds/haxima-1.002/silas.scm:
	Improvements to Silas's conversation

	* worlds/haxima-1.002/tblit.scm:
	Annoying debug removed

	* worlds/haxima-1.002/the-man.scm:
	Spell recipe was wrong

	* worlds/haxima-1.002/void-temple.scm:
	Wisps were not appearing

2006-12-09  Kris Parker  <kaypy@localhost.localdomain>

	* src/Party.cpp, src/Party.h, src/object.c, src/place.c:
	fix for examine crashing on parties
	linebreaks in examine

	* src/cmd.c, src/cmd.h:
	added cardinal direction keyhandler for attack command

	* worlds/haxima-1.002/ai.scm:
	wisps use light

	* worlds/haxima-1.002/ancient-derelict.scm:
	loot on anchient derelict

	* worlds/haxima-1.002/bigobjects.png, worlds/haxima-1.002/sprites.scm, worlds/library/artwork/humanoids/balron.xcf:
	bigger balron icon

	* worlds/haxima-1.002/endless-deeps-mech.scm, worlds/haxima-1.002/npc-types.scm:
	moved alternate alignment critters to npc-types

	* worlds/haxima-1.002/road_to_absalot.scm:
	tweaks to absalot:
	alignment fixes
	lava edging
	removed too easy way through fort

2006-12-09  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Party.cpp:
	On detailed x)amine a party describes its members

	* worlds/haxima-1.002/anaxes.scm:
	Forgot to add Lich's blood to Anaxes's drops

	* worlds/haxima-1.002/anaxes.scm, worlds/haxima-1.002/books.scm, worlds/haxima-1.002/silas.scm:
	Fixed loot and lich effects for Anaxes

	* worlds/haxima-1.002/parties.scm:
	More corrections to plural party names

	* worlds/haxima-1.002/parties.scm:
	Fixed some plural party names

2006-12-08  Kris Parker  <kaypy@localhost.localdomain>

	* src/map.c:
	missile fire should now have less wierdness with obstructions

	* worlds/haxima-1.002/books.scm, worlds/haxima-1.002/enchanters-tower.scm:
	added bet flam hur spellbook

	* worlds/haxima-1.002/enchanters-tower-mech.scm:
	fix for mirror based crash

	* worlds/haxima-1.002/endless-deeps.scm:
	corpse loot fixed

	* worlds/haxima-1.002/luximene.scm:
	added lichs blood to luxs inventory

2006-12-07  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/enchanters-tower-mech.scm:
	enchanters' oddly reflecting mirrors activate in timely fashion

2006-12-07  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/character.cpp:
	Bugfix: dead characters could give a 'wakes up' message when camping

	* src/cmd.c:
	Print a snarky message if the player selects a dead character to guard the camp

	* src/effect.h, src/status.c:
	Converted some magic numbers to named constants; fixed a ztats bug which caused multiple effects to be listed offset from column 0

	* src/kern.c:
	Added (kern-ticks-per-turn)

	* src/player.cpp:
	Bugfix: dead party members starving

	* worlds/haxima-1.002/effects.scm:
	Poison now permanent, so it doesn't wear off with 2 hours of camping. Poison and disease both apply more damage per turn in the wilderness than at town scale.

	* worlds/haxima-1.002/lost-halls.scm, worlds/haxima-1.002/treasury.scm:
	Bugfix: bad chest list

2006-12-06  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c:
	Bugfix: when mixing, the number mixed flashes without a - separator; annoying

	* src/player.cpp, src/session.c:
	Bugfix: assert when quitting while aboard a vehicle

2006-12-04  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/ctrl.c:
	Adjusted console printout for attack verbage

	* worlds/haxima-1.002/chanticleer.scm:
	Fixed the hint about where to find the Lost Halls

	* worlds/haxima-1.002/effects.scm:
	Fixed typo in generic-burn

	* worlds/haxima-1.002/effects.scm:
	Removed superfluous console message for paralysis

	* worlds/haxima-1.002/enchanters-tower-mech.scm:
	Protect against evaluating tags on startup before they are declared

	* worlds/haxima-1.002/spells.scm:
	Tweak to format, moved Kal Xen Nox down with the other L8 spells

2006-12-03  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/640x480_splash.png, worlds/haxima-1.002/splash.png:
	Updated splash screens (now use a more up to date version of the logo, doesnt scale screenshot part of smaller splash)

2006-12-03  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Container.cpp, src/Container.h, src/character.cpp, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/jones.scm, worlds/haxima-1.002/occs.scm, worlds/haxima-1.002/portals.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/traps_1.scm, worlds/haxima-1.002/traps_2.scm, worlds/haxima-1.002/traps_3.scm, worlds/haxima-1.002/traps_4.scm, worlds/haxima-1.002/zones.scm:
	Haxima changes:
	o Increased time that Thief's Door in Bole is open
	o Added (floor ...) to a few more spots in powers.scm
	
	Kernel changes:
	o When an NPC unreadies arms they are put back into personal inventory (fixes
	  acid on NPC's)
	o Bugfix: NPC's with their "force drop" flag set would drop their inventories,
	  which are now abstract containers and don't function well as physical
	  objects. They now drop their contents directly instead.

	* worlds/haxima-1.002/alchemist.scm:
	Raised price of invisibility potion back up again

	* worlds/haxima-1.002/arms.png, worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/earl.scm, worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/species.scm:
	Haxima changes:
	o Raised back up the price of precision instruments.
	o Added prismatic_gaze as a natural weapon for gazers.

	* worlds/haxima-1.002/conv.scm:
	Grammar fix

	* worlds/haxima-1.002/effects.scm:
	Tweaks to console messages for burn and lightning effects

	* worlds/haxima-1.002/game.scm:
	Raising scroll prices back up a bit more

2006-12-02  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/menus.c:
	Tweaked credits

	* src/nazghul.c, worlds/haxima-1.002/kern-init.scm:
	Haxima changes:
	o Updated kern-init.scm to reflect kernel changes.
	
	Kernel changes:
	o Support a different splash screen for each supported screen dimension.

	* src/nazghul.c:
	Splash screen width computed wrong

	* src/player.cpp, worlds/haxima-1.002/alchemist.scm, worlds/haxima-1.002/books.scm, worlds/haxima-1.002/earl.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/shroom.scm, worlds/haxima-1.002/tooth.scm, worlds/haxima-1.002/zane.scm:
	Haxima changes:
	o Shroom opens shop earlier
	o Price deflation on potions, scrolls and misc items.
	o Added an in-game spell book for reference
	
	Kernel changes:
	o Time accelerated faster now while sleeping in town or k)amping

	* worlds/haxima-1.002/640x480_splash.png, worlds/haxima-1.002/kern-init.scm:
	Added the small splash image file

	* worlds/haxima-1.002/deric.scm, worlds/haxima-1.002/edward.scm:
	Haxima changes:
	o Tweaks to Edward to handle cases where the Wanderer is dead or not the party
	  leader.
	o If player took Nate straight to jail Deric would not re-assign ranger.

	* worlds/haxima-1.002/engineers-hut.scm, worlds/haxima-1.002/gamestart.scm, worlds/haxima-1.002/goblin-kingdoms.scm, worlds/haxima-1.002/necromancers-lair.scm, worlds/haxima-1.002/old-absalot.scm, worlds/haxima-1.002/prison.scm, worlds/haxima-1.002/trigrave.scm, worlds/haxima-1.002/tutorial_town.scm:
	Haxima changes:
	o Shroom opens shop earlier
	o Price deflation on potions, scrolls and misc items.
	o Added an in-game spell book for reference
	o Converted some more chests from (list (list ...) ...) to '(( ...) ...)
	  format.
	o Tweaked Zane's schedule zones
	
	Kernel changes:
	o Time accelerated faster now while sleeping in town or k)amping

2006-12-01  Kris Parker  <kaypy@localhost.localdomain>

	* doc/users_guide.html:
	tweaked html manual

	* worlds/haxima-1.002/ai.scm, worlds/haxima-1.002/npc-types.scm:
	removed light from several non tool using or dark appreciating critters

	* worlds/haxima-1.002/cast-ui.scm:
	fix for resurect spell in town

2006-12-01  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/character.cpp, worlds/haxima-1.002/conv.scm, worlds/haxima-1.002/edward.scm, worlds/haxima-1.002/naz.scm:
	Haxima changes:
	o Edward won't take Nate out of the party if he's the only living member.
	o If the only living party member talks to his/her/itself, and asks
	  his/her/itself to leave, it will give itself some excuse not to.
	
	Kernel changes:
	o Bugfix: if the current party leader was removed while in follow mode, the new
	  leader was not re-evaluated, and the kernel continued to try and use the
	  ex-member as the leader, causing a crash.
	o When a party member leaves he/she/it unreadies all weapons instead of
	  removing them from party inventory.

	* worlds/haxima-1.002/ancient-derelict.scm, worlds/haxima-1.002/angriss.scm, worlds/haxima-1.002/bill.scm, worlds/haxima-1.002/containers.scm, worlds/haxima-1.002/edward.scm, worlds/haxima-1.002/enchanter.scm, worlds/haxima-1.002/enchanters-tower.scm, worlds/haxima-1.002/endless-deeps.scm, worlds/haxima-1.002/engineer.scm, worlds/haxima-1.002/gate-guard.scm, worlds/haxima-1.002/gholet.scm, worlds/haxima-1.002/green-tower.scm, worlds/haxima-1.002/jorn.scm, worlds/haxima-1.002/kathryn.scm, worlds/haxima-1.002/lost-halls.scm, worlds/haxima-1.002/meaney.scm, worlds/haxima-1.002/merciful-death.scm, worlds/haxima-1.002/mouse.scm, worlds/haxima-1.002/nate.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/poor-house.scm, worlds/haxima-1.002/trigrave.scm, worlds/haxima-1.002/zane.scm:
	Haxima changes:
	o Fixed the broken chests that used mk-content and add-content. At least, I
	  fixed the one or two I've tested thus far.

	* worlds/haxima-1.002/brundegardt.scm:
	Haxima changes:
	o Removed door left stranded after my last map tweaks to Brundegardt.

	* worlds/haxima-1.002/brundegardt.scm:
	Weather vane was falling into the chasm...

2006-11-30  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Missile.cpp, src/ctrl.c, src/ctrl.h, src/foogod.c, src/kern.c, src/player.cpp, src/player.h, src/session.c, src/session.h, src/vehicle.cpp, worlds/haxima-1.002/thorald.scm, worlds/haxima-1.002/tutorial.scm:
	Haxima changes:
	o Bugfix: tutorial crashed on load because of my changes last night to the
	  kernel. NPC party creation using (mk-npc-party ...) must be held off until
	  after (kern-mk-player ...).
	o Thorald in the tutorial responds to 'mixi' as well as 'mix' with instruction
	  on mixing spells.
	
	Kernel changes:
	o Bugfix: vehicle save code was incorrect; resulted in a null object.
	o Bugfix: last night's kernel changes broke reload. Fixed this by moving the
	  global player_party variable into a field of the global session struct (down
	  to one global variable now, yee-haa!). Added a player_party macro which
	  references this field for backwards-compatibility.

	* worlds/haxima-1.002/brundegardt.scm:
	Tweaked the brundegardt fortress map again

	* worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/camping-map.scm, worlds/haxima-1.002/containers.scm, worlds/haxima-1.002/terrain-to-ptype.scm:
	Haxima changes:
	o Removed some debug spew.
	o Tweaked brundegardt fortress map

	* worlds/haxima-1.002/gregor.scm:
	Tweaked Gregor's conv

2006-11-29  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/character.cpp, src/foogod.c, src/nazghul.c, src/object.c, src/place.c, src/play.c, src/player.cpp, src/player.h, src/session.c, src/status.c, src/vmask.c:
	Risky kernel change that should fix the LOS bug for real. It also partially
	cleans up a big memory leak I've been ignoring since I added the main menu
	loop. The gist of it is I know destroy the current session before falling back
	to the main loop. This fixes the LOS bug by removing all the player-controlled
	beings, and hence their map views. The LOS bug was caused by a leftover map
	view from the previous session remaining active. I expect to find a few more
	(maybe a lot more) bugs after this change that are related to improper
	cleanup. Stand bye for asserts and seg faults. If it's too bad I'll back this
	out and workaround the LOS bug with an evil hack instead.

	* worlds/haxima-1.002/Makefile.am:
	Forgot to add a file to the distro list

	* worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/landslide.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/npc-types.scm:
	Added landslide to slope of Griffin Peak

	* worlds/haxima-1.002/monster-generator.scm, worlds/haxima-1.002/parties.scm, worlds/haxima-1.002/terrain-to-ptype.scm:
	Added griffin parties to wilderness encounters

	* worlds/haxima-1.002/wind-bridge.scm:
	Wind bridge now delays two turns before rotating

2006-11-28  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/door.scm, worlds/haxima-1.002/traps.scm:
	Haxima changes:
	o S)earching doors now has some chance of detecting or tripping traps.
	o Tweaked the difficulty stats on detecting/fumbling traps

	* worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/npc-types.scm:
	Haxima changes:
	o Organized the effects a bit.
	o When a sludge kraken dies it takes all its tentacles with it.

	* worlds/haxima-1.002/splash.png:
	Changed splash screen

2006-11-27  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/character.cpp, src/cmd.c, src/cmd.h, src/ctrl.c, src/kern.c, src/object.c, src/object.h, src/place.c, src/player.cpp, worlds/haxima-1.002/containers.scm, worlds/haxima-1.002/hidden.scm, worlds/haxima-1.002/ifc.scm, worlds/haxima-1.002/rune.png, worlds/haxima-1.002/traps.scm:
	S)earch now detects traps on chests, with a chance of setting them off. Doors
	do NOT support this yet.
	
	Haxima changes:
	o Containers implement the search ifc and roll to detect or trigger traps
	o Traps triggered by a s)earch are removed
	o Containers implement the describe ifc and list their detected traps
	
	Kernel changes:
	o Reworked code for describing objects to support a hook for custom
	  descriptions
	o Added kern-log-begin/continue/end

2006-11-26  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/alchemist.scm, worlds/haxima-1.002/enchanters-tower.scm, worlds/haxima-1.002/green-tower.scm, worlds/haxima-1.002/mans-hideout.scm, worlds/haxima-1.002/potions.scm, worlds/haxima-1.002/thiefs_den.scm:
	standardising on unabbreviated t_invisibility_potion. Mixing t_invisibility_potion and t_inv_potion was causing reusable chests

	* worlds/haxima-1.002/bandit-hideout.scm:
	bandit stockade blended

	* worlds/haxima-1.002/brundegardt.scm:
	blended new areas. Added some minor encounters to empty areas

	* worlds/haxima-1.002/brundegardt.scm:
	2 chests failing due to contents typos

	* worlds/haxima-1.002/combat-maps.scm:
	combat maps blended

	* worlds/haxima-1.002/food.scm:
	typo: s/wind/wine

	* worlds/haxima-1.002/mans-hideout.scm:
	I think this fixes the man's chests

	* worlds/haxima-1.002/potions.scm:
	removed total stats message on stat potions

2006-11-26  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/ctrl.c:
	Kernel changes:
	o Auto-targeting now respects LOS.

	* worlds/haxima-1.002/Makefile.am, worlds/haxima-1.002/gregor.scm, worlds/haxima-1.002/pitfalls.scm:
	Haxima changes:
	o Some files missing from Makefile.am
	o Fixed typo in Gregor's conv
	o Only pitfalls (eg caltrops) planted by player will affect NPC's

	* worlds/haxima-1.002/ability.scm, worlds/haxima-1.002/addons.png, worlds/haxima-1.002/ai.scm, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/palette.scm, worlds/haxima-1.002/species.scm, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/terrains.scm:
	Improvements to one of the brundegardt dungeon rooms:
	o Sludge kraken tentacles chomp deck into sludge shallows
	o Added sludge shallows (passable to most things)
	o Sludge krakens summon a few more tentacles

	* worlds/haxima-1.002/bandit-hideout.scm:
	Removing some caltrops

	* worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/terrains.scm, worlds/haxima-1.002/wind-bridge.scm:
	Haxima changes:
	o Chasms are now *very* unsafe for non-flying, non-abstract objects

	* worlds/haxima-1.002/npc-types.scm:
	Rangers now use the ranger occupation

2006-11-25  Kris Parker  <kaypy@localhost.localdomain>

	* src/map.c:
	Removed clock from map (these days its possible to get the time in-game)

	* worlds/haxima-1.002/enchanters-tower.scm:
	fixed script error after reload: mk-hidden must use 'object not object

	* worlds/haxima-1.002/gamestart.scm:
	Reverting to diagonal pillars in startup room

	* worlds/haxima-1.002/kalcifax.scm:
	Revert kalcifax to regular wizard sprite due to that bug with the mirrors and composite sprites

	* worlds/haxima-1.002/necromancer.scm, worlds/haxima-1.002/silas.scm:
	Some other sprites I'd missed earlier

2006-11-25  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c:
	When camping underground resting until sunrise is no longer an option

	* src/cmd.c, src/conv.c, src/conv.h, src/kern.c:
	Minor feature enhancement: player and npc names highlighted in conversation

	* src/menus.c:
	Changed localtime_r to localtime for Mingw portability

	* src/nazghul.c:
	Flushing the vmask cache before starting a game to fix LOS bugs

	* src/nazghul.c, src/play.c:
	Closing the window now exits the program instead of dropping back to the main menu

	* worlds/haxima-1.002/Makefile.am, worlds/haxima-1.002/ai.scm, worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/conv.scm, worlds/haxima-1.002/deric.scm, worlds/haxima-1.002/edward.scm, worlds/haxima-1.002/gamestart.scm, worlds/haxima-1.002/map.png, worlds/haxima-1.002/moongate-clearing.scm, worlds/haxima-1.002/nate.scm:
	Misc tweaks and fixes

	* worlds/haxima-1.002/containers.scm, worlds/haxima-1.002/monster-generator.scm, worlds/haxima-1.002/treasury.scm:
	Bugfix: mk-treasure-chest needed to use a quoted list

	* worlds/haxima-1.002/kathryn.scm:
	Permanent fix for Kathryn's response to 'scroll'

	* worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/tools.scm:
	Sextant and In Wis both report location as [x=<x> y=<y>]

2006-11-24  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/astar.c, src/ctrl.c:
	Disabling diagonal movement

	* src/character.cpp, src/character.h, src/ctrl.c:
	Seems like every year I have to fix this bug again: Bill and Sue have both
	readied flaming oil. There are two in party inventory. Bill throws, leaving
	only one, but ostensibly he and Sue both still have the weapon readied. This is
	a crash waiting to happen. This time I fixed it by forcing Bill to unready, but
	allowing Sue to remain readied.

	* src/character.cpp:
	Fixed another annoying must-be-in-follow-mode message when player is alone

	* src/cmd.c:
	Bugfix: opening doors was not decrementing action points

	* src/kern.c:
	Bugfix: kern-obj-get-name would (sometimes?) crash if the object had a null name

	* src/kern.c, src/map.c, worlds/haxima-1.002/Makefile.am, worlds/haxima-1.002/addons.png, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/eye-of-brune.scm, worlds/haxima-1.002/sprites.scm:
	kernel:
	o Added kern-image-load
	o Added kern-image-free
	o Moved kern-map-set-image
	
	haxima:
	o Added Eye of Brune to Brundegardt tower

	* src/menus.c:
	Disabling the L)oad Game menu option. J)ourney Onward now works like L)oad
	Game, with the most recently saved game always highlighted at the top by
	default for quick access. If there is only one saved game then it just launches
	it without showing the menu.

	* worlds/haxima-1.002/Makefile.am, worlds/haxima-1.002/ai.scm, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/start-new-game.scm, worlds/haxima-1.002/tim.scm, worlds/haxima-1.002/troll.scm:
	Haxima changes:
	o Trolls now hostile to generic monsters but less hostile to forest goblins.
	o Finished adding NPC's to Griffin peaks and Brundegardt tower.

	* worlds/haxima-1.002/ai.scm, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/species.scm, worlds/haxima-1.002/sprites.scm:
	Started adding Griffins to the peak

	* worlds/haxima-1.002/anaxes.scm, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/nate.scm, worlds/haxima-1.002/start-new-game.scm:
	Tweaks to brundegardt

	* worlds/haxima-1.002/arms.scm:
	Buffed slings a bit

2006-11-23  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/alchemist.scm, worlds/haxima-1.002/books.scm, worlds/haxima-1.002/douglas.scm, worlds/haxima-1.002/luximene.scm, worlds/haxima-1.002/oscar.scm, worlds/haxima-1.002/thorald.scm, worlds/haxima-1.002/warritrix.scm:
	typo fixes for bug 1591311

	* worlds/haxima-1.002/bole.scm:
	bole grove reblended

	* worlds/haxima-1.002/bole.scm:
	lake at bole reblended

	* worlds/haxima-1.002/kathryn.scm:
	quick fix for bug 1601241:
	kathryn automatically goes to "dont have one". Otherwise it pulls the scroll from *your* inventory

	* worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/sprites.scm:
	some sprite tweaks

2006-11-23  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/kern.c, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/palette.scm, worlds/haxima-1.002/tools.scm:
	kernel:
	o Added kern-get-wind
	o Added kern-place-add-on-entry-hook
	o Moved facing support from Vehicle subclass up to base Object class
	
	haxima:
	o Added a weather vane
	o Added a wind bridge

	* worlds/haxima-1.002/Makefile.am, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/door.scm, worlds/haxima-1.002/items.scm, worlds/haxima-1.002/keys.scm:
	Added doors-with-unique-keys

	* worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/species.scm, worlds/haxima-1.002/start-new-game.scm:
	Haxima changes:
	o Filled out Brundegardt tower levels 1, 2 and 3.

2006-11-22  Kris Parker  <kaypy@localhost.localdomain>

	* scripts/palette.txt:
	tweaks to maptoxpm palette

	* worlds/haxima-1.002/monsters.png:
	quick n dirty griffon cub

	* worlds/library/artwork/monsters/egg.xcf:
	egg sprite

	* worlds/library/artwork/monsters/griffoncub.xcf:
	old griffon sprite on bigger template to scale down by 0.66

2006-11-22  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/kern.c, src/object.c, src/object.h, src/sprite.c, src/sprite.h, src/vehicle.cpp, src/vehicle.h, worlds/haxima-1.002/addons.png, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/portcullis.scm, worlds/haxima-1.002/sprites.scm, worlds/library/artwork/monsters/kraken.xcf:
	kernel:
	o Added kern-get-wind
	o Added kern-place-add-on-entry-hook
	o Moved facing support from Vehicle subclass up to base Object class
	
	haxima:
	o Added a weather vane
	o Added a wind bridge

	* worlds/haxima-1.002/Makefile.am, worlds/haxima-1.002/weather-vane.scm, worlds/haxima-1.002/wind-bridge.scm:
	Adding files

	* worlds/haxima-1.002/ability.scm, worlds/haxima-1.002/addons.png, worlds/haxima-1.002/ai.scm, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/monsters.png, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/start-new-game.scm:
	Sprites for ratling NPC's

2006-11-20  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/ability.scm, worlds/haxima-1.002/addons.png, worlds/haxima-1.002/ai.scm, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/species.scm, worlds/haxima-1.002/sprites.scm:
	Added Great Kraken

2006-11-18  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/ai.scm, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/monster-generator.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/npc-types.scm:
	Haxima changes:
	o New npc: carabids (stone-munching beetles)
	o Added objects to a few more brundegardt rooms

	* worlds/library/artwork/monsters/kraken.xcf:
	Added new kraken image

2006-11-17  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/ability.scm, worlds/haxima-1.002/ai.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/species.scm, worlds/haxima-1.002/start-new-game.scm:
	Haxima changes:
	o Ratlings fear snakes
	o Snakes eat rats and ratlings

2006-11-16  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/Makefile.am, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/mimic.scm, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/species.scm:
	Haxima changes:
	o Added mimic npc type
	o Added objects to Brundegardt Keep

	* worlds/haxima-1.002/ability.scm, worlds/haxima-1.002/ai.scm, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/species.scm:
	Haxima changes:
	o Added ratling npc types (currently borrowing the forest goblin sprites)
	o Added objects to Ratling Warren

2006-11-15  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/monsters.png, worlds/library/artwork/monsters/griffon.xcf:
	griffon sprite

2006-11-15  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/brundegardt.scm:
	Tweaks to dungeon rooms

	* worlds/haxima-1.002/brundegardt.scm:
	Added a bunch of rooms to Brundegardt

2006-11-14  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/character.cpp, src/kern.c, src/species.c, src/species.h, worlds/haxima-1.002/species.scm:
	kernel:
	o Added an armor dice bonus to the species struct, for scaly and chitinous
	  critters.
	
	haxima:
	o Updated to match kernel change.

	* worlds/haxima-1.002/anaxes.scm, worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/nate.scm, worlds/haxima-1.002/species.scm, worlds/haxima-1.002/sprite-sets.scm, worlds/haxima-1.002/sprites.scm:
	Haxima changes:
	o Started on another room for Brundegardt
	o Started adding the Carabid NPC type
	o Tweaked some conversations related to the Brundegardt quest

2006-11-13  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/humanoids.png, worlds/library/artwork/humanoids/ratling.xcf:
	draft ratling

	* worlds/haxima-1.002/monsters.png, worlds/library/artwork/monsters/beetle.xcf:
	an attempt at a beetle

	* worlds/library/artwork/monsters/beetle.xcf:
	minor update

2006-11-13  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/Makefile.am, worlds/haxima-1.002/anaxes.scm, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/conv.scm:
	Haxima changes:
	o Added a procedure for interjecting party member comments in a conversation
	o Added Anaxes
	o Made the Cave Shrine map

	* worlds/haxima-1.002/brundegardt.scm:
	Expanding Brundegardt

2006-11-12  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/portals.scm, worlds/haxima-1.002/traps_1.scm:
	Haxima changes:
	o Made riddles slightly more general
	o First pass at Entrance to Brundegart

2006-11-11  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/hirespeople.png, worlds/haxima-1.002/hirespeople.png, worlds/library/artwork/hirespeople/generic.xcf, worlds/library/artwork/hirespeople/old_ranger.xcf, worlds/library/artwork/hirespeople/ranger_captain.xcf:
	Minor consistency tweaks

2006-11-11  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/moongate-clearing.scm, worlds/haxima-1.002/start-new-game.scm:
	Haxima changes:
	o Doubled starting reagents
	o Restored start-of-game to release state

2006-11-10  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/object.c:
	Fixed a recently-introduced bug in Object::setOnMap() that caused an assert in
	combat_exit().

	* src/scheme.c:
	Hubert Maier's patch for Amiga OS

	* worlds/haxima-1.002/conv.scm, worlds/haxima-1.002/edward.scm:
	Expanded Edward's conversation

	* worlds/haxima-1.002/edward.scm, worlds/haxima-1.002/gregor.scm, worlds/haxima-1.002/hirespeople.png, worlds/haxima-1.002/sprites.scm, worlds/library/artwork/hirespeople/generic.xcf:
	artwork:
	o Added some layers to the generic sprite
	
	haxima:
	o Added an old townsman sprite, changed Gregor and Edward to use it

2006-11-09  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/deric.scm, worlds/haxima-1.002/hirespeople.png, worlds/haxima-1.002/nate.scm, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/start-new-game.scm, worlds/library/artwork/hirespeople/ranger_captain.xcf:
	Added a sprite for Ranger Captain. Deric now uses it.

	* worlds/haxima-1.002/enchanter.scm, worlds/haxima-1.002/gen.scm, worlds/haxima-1.002/hirespeople.png, worlds/haxima-1.002/sprites.scm, worlds/library/artwork/hirespeople/old_ranger.xcf:
	Added an old ranger sprite. Gen uses it now.

2006-11-06  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/character.h, src/object.c, worlds/haxima-1.002/abigail.scm, worlds/haxima-1.002/bandit-hideout.scm, worlds/haxima-1.002/books.scm, worlds/haxima-1.002/brundegardt.scm, worlds/haxima-1.002/containers.scm, worlds/haxima-1.002/conv.scm, worlds/haxima-1.002/deric.scm, worlds/haxima-1.002/door.scm, worlds/haxima-1.002/doris.scm, worlds/haxima-1.002/edward.scm, worlds/haxima-1.002/gen.scm, worlds/haxima-1.002/green-tower-lower.scm, worlds/haxima-1.002/green-tower.scm, worlds/haxima-1.002/gregor.scm, worlds/haxima-1.002/moongate-clearing.scm, worlds/haxima-1.002/nate.scm, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/shard.scm, worlds/haxima-1.002/shroom.scm, worlds/haxima-1.002/step.scm, worlds/haxima-1.002/traps.scm, worlds/haxima-1.002/zones.scm:
	The Bandit quest (new quest for L1 players) is now pretty much done.

2006-11-04  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/bandit-hideout.scm, worlds/haxima-1.002/books.scm, worlds/haxima-1.002/conv.scm, worlds/haxima-1.002/deric.scm, worlds/haxima-1.002/green-tower.scm, worlds/haxima-1.002/nate.scm, worlds/haxima-1.002/naz.scm:
	Haxima changes:
	o Deric gives player the bandit quest
	o Added some generic ranger guards to Green Tower
	o Player can recruit a generic ranger for the bandit quest
	o Added Nate, the bandit leader

2006-11-03  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/character.cpp, src/cursor.cpp, src/kern.c, src/object.c, src/object.h:
	Fixed Object::relocate() to distinguish between avoiding step triggers, sense
	triggers, and both.

2006-11-02  Kris Parker  <kaypy@localhost.localdomain>

	* src/object.c:
	sense/step mechanisms need to be double checked after hooks are called since they may be destroyed in the process

	* worlds/library/artwork/humanoids/demon.xcf:
	v2 demon

2006-11-02  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Container.cpp, src/cmd.c, src/object.c, src/object.h, src/place.c, src/place.h, worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/moongate-clearing.scm, worlds/haxima-1.002/pitfalls.png, worlds/haxima-1.002/pitfalls.scm, worlds/haxima-1.002/slimy-cavern.scm, worlds/haxima-1.002/traps.scm:
	Kernel changes:
	o Fixed inventory saving/loading (recently broken)
	o Fixed a bug that applied effects multiple time on startup (broken for a while
	  but I didn't know it)
	
	Haxima changes:
	o Fixed saving from new game (recently broken)
	o Fixed saving traps (recently broken)
	o Fixed invisibility on pitfalls
	o Pitfalls (caltrops and beartraps) can now be picked up and re-used

	* worlds/haxima-1.002/pitfalls.png:
	Slightly better sprites for the caltrops and beartrap

2006-11-01  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/library/artwork/humanoids/demon.xcf:
	Demon icon: first attempt

2006-11-01  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/Makefile.am:
	Adding pitfalls.scm/png to the install list

2006-10-31  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/humanoids.png, worlds/library/artwork/humanoids/headless.xcf:
	headless icon

2006-10-31  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Attic/tile.c, src/Attic/tile.h:
	Removing unused files

	* worlds/haxima-1.002/bandit-hideout.scm, worlds/haxima-1.002/containers.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/occs.scm, worlds/haxima-1.002/pitfalls.png, worlds/haxima-1.002/pitfalls.scm, worlds/haxima-1.002/traps.scm:
	Added caltrops and a beartrap

2006-10-30  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/humanoids.png:
	troll geomancer icon

	* worlds/haxima-1.002/humanoids.png, worlds/library/artwork/humanoids/trollfighter.xcf, worlds/library/artwork/humanoids/trollmage.xcf:
	troll icon

2006-10-30  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/containers.scm, worlds/haxima-1.002/door.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/traps.scm:
	Haxima changes:
	o Wis Sanct now lists the type of trap(s) attached to a chest or mechanism.
	o An Sancy Ylem lists the type of trap(s) being disarmed.
	o After a trap is detected with Wis Sanct, the chance of disarming it is
	  greatly improved.

2006-10-29  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/Makefile.am, worlds/haxima-1.002/bart.scm, worlds/haxima-1.002/endless-deeps-mech.scm, worlds/haxima-1.002/jake.scm, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/parties.scm, worlds/haxima-1.002/roland.scm, worlds/haxima-1.002/sprite-sets.scm, worlds/haxima-1.002/sprites.scm:
	sprite updates

	* worlds/haxima-1.002/bigobjects.png, worlds/haxima-1.002/humanoids.png:
	giants updated

	* worlds/library/artwork/humanoids/giant.xcf:
	hairier giant

	* worlds/library/artwork/humanoids/giantmage.xcf:
	giant mage

2006-10-29  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Container.cpp, src/Container.h, src/cmd.c, src/kern.c, worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/containers.scm, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/start-new-game.scm, worlds/haxima-1.002/tutorial.scm:
	THIS WILL BREAK ALL SAVED GAMES!
	
	Kernel changes:
	o Stripped trap support from the Container class. Containers should only be
	  used for abstract inventory "objects" now.
	o Removed kern-obj-is-trapped? and kern-obj-rm-trap. These are done in the
	  script now.
	o Changed kern-mk-container to kern-mk-inventory and removed the type and trap
	  parms.
	
	Haxima changes:
	o Modified code as necessary to deal with the above.

	* worlds/haxima-1.002/Makefile.am, worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/game.scm, worlds/haxima-1.002/gamestart.scm, worlds/haxima-1.002/moongate-clearing.scm, worlds/haxima-1.002/Attic/player.scm, worlds/haxima-1.002/slimy-cavern.scm, worlds/haxima-1.002/start-new-game.scm, worlds/haxima-1.002/traps.scm:
	Haxima changes:
	o Moved trap routines to their own file in traps.scm
	o Removed the obsolete player.scm file
	o Modified the character creation place: now that diagonal movement works the
	  player could miss the name prompt
	o Changed all the places that refer directly to kern-mk-container to use one of
	  the wrapper functions in container.scm

	* worlds/haxima-1.002/angriss.scm, worlds/haxima-1.002/bandit-hideout.scm, worlds/haxima-1.002/bill.scm, worlds/haxima-1.002/containers.scm, worlds/haxima-1.002/enchanter.scm, worlds/haxima-1.002/engineer.scm, worlds/haxima-1.002/gate-guard.scm, worlds/haxima-1.002/gholet.scm, worlds/haxima-1.002/jorn.scm, worlds/haxima-1.002/kathryn.scm, worlds/haxima-1.002/luximene.scm, worlds/haxima-1.002/meaney.scm, worlds/haxima-1.002/mouse.scm, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/slywan.scm, worlds/haxima-1.002/start-new-game.scm, worlds/haxima-1.002/zane.scm:
	Haxima changes:
	o Changed everything to use the new-style containers. Character inventories
	  should be the only things that use the kernel Container class now.

	* worlds/haxima-1.002/containers.scm, worlds/haxima-1.002/door.scm, worlds/haxima-1.002/traps.scm:
	Traps now implemented via a script object, instead of just a closure, so they can keep some state

2006-10-28  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/menus.c, src/menus.h, src/nazghul.c:
	The function which displays the error message when the kernel can't find the
	config files no longer uses sleep(); instead it lets the user close the window
	normally.

2006-10-27  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/bigobjects.png:
	area for 40x40 icons

	* worlds/haxima-1.002/humanoids.png, worlds/library/artwork/humanoids/cgoblinfighter.xcf, worlds/library/artwork/humanoids/cgoblinmage.xcf, worlds/library/artwork/humanoids/cgoblinslinger.xcf, worlds/library/artwork/humanoids/fgoblinarcher.xcf, worlds/library/artwork/humanoids/fgoblinfighter.xcf, worlds/library/artwork/humanoids/fgoblinmage.xcf:
	lots of goblins

	* worlds/library/artwork/humanoids/cgoblinciv.xcf:
	cave goblin paler

	* worlds/library/artwork/humanoids/giant.xcf:
	meaner, hairier giant. Think it still needs more hair tho

2006-10-27  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/containers.scm, worlds/haxima-1.002/door.scm, worlds/haxima-1.002/powers.scm:
	Traps on doors now removable via An Sanct Ylem.

	* worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/containers.scm, worlds/haxima-1.002/door.scm, worlds/haxima-1.002/ifc.scm, worlds/haxima-1.002/powers.scm:
	Traps on doors now detectable via Wis Sanct.

2006-10-25  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/bandit-hideout.scm, worlds/haxima-1.002/containers.scm, worlds/haxima-1.002/door.scm, worlds/haxima-1.002/ifc.scm, worlds/haxima-1.002/start-new-game.scm:
	Traps can now be added to chests or doors.

	* worlds/haxima-1.002/bandit-hideout.scm, worlds/haxima-1.002/containers.scm:
	Added ability to attach traps to the new container implementation. An unlimited
	number of traps is supported. Removing, detecting and disarming traps is not
	yet supported.

	* worlds/haxima-1.002/containers.scm, worlds/haxima-1.002/start-new-game.scm:
	;;----------------------------------------------------------------------------
	;; Containers - objects that contain stuff
	;;----------------------------------------------------------------------------
	;;----------------------------------------------------------------------------
	;; Local Procedures
	;;----------------------------------------------------------------------------
	(define (add-content quantity type)
	  (list quantity type))
	
	(define (mk-contents . contents)
	  (filter notnull? contents))
	
	(define (roll-100 prob)
	  (>= prob (modulo (random-next) 100)))
	
	(define (roll-q dice type)
	  (add-content (kern-dice-roll dice) type))
	
	(define (roll-to-add prob dice type)
	  (if (roll-100 prob)
	      (roll-q dice type)
	      nil))
	
	;;----------------------------------------------------------------------------
	;; Container Types
	;;----------------------------------------------------------------------------
	(mk-obj-type 't_chest
	             "chest"  s_chest
	             layer-container nil)
	
	;;----------------------------------------------------------------------------
	;; Container Constructors
	;;----------------------------------------------------------------------------
	(define (mk-chest trap contents)
	  ;;(println "mk-chest: " trap contents)
	  (kern-mk-container t_chest trap contents))
	
	;; mk-treasure-chest -- returns a chest with 1-10 random object types
	(define (mk-treasure-chest)
	  (kern-mk-container t_chest
	                     nil
	                     (mk-treasure-list (+ 1
	                                          (modulo (random-next)
	                                                  9)))))
	
	
	;;----------------------------------------------------------------------------
	;; Corpse -- not really a container, if you search it then it sort of acts like
	;; opening a container
	;;----------------------------------------------------------------------------
	(define (corpse-mk loot)
	  (list loot))
	(define (corpse-loot corpse) (car corpse))
	(define (corpse-set-loot! corpse val) (set-car! corpse val))
	(define (corpse-loot-entry-q loot) (car loot))
	(define (corpse-loot-entry-type loot) (eval (cadr loot)))
	
	(define (corpse-search kobj)
	  (let* ((corpse (kobj-gob-data kobj))
	         (loot (corpse-loot corpse)))
	    (if (not (null? loot))
	        (let ((loc (kern-obj-get-location kobj)))
	          (map (lambda (entry)
	                 (kern-obj-put-at (kern-mk-obj (corpse-loot-entry-type entry)
	                                               (corpse-loot-entry-q entry))
	                                  loc))
	               loot)
	          (corpse-set-loot! corpse nil)))))
	
	(define corpse-ifc
	  (ifc nil
	       (method 'search corpse-search)))
	
	(mk-obj-type 't_corpse "corpse" s_corpse layer-item corpse-ifc)
	
	(define (mk-corpse)
	  (bind (kern-mk-obj t_corpse 1)
	        (corpse-mk nil)))
	
	;; mk-corpse2 -- loot: a list of (quantity type) lists
	(define (mk-corpse2 loot)
	  (bind (kern-mk-obj t_corpse 1)
	        (corpse-mk loot)))
	
	(define (mk-corpse-with-loot)
	  (mk-corpse2 (mk-quoted-treasure-list (+ 1(modulo (random-next)
	                                                   3)))))
	
	;;----------------------------------------------------------------------------
	;; This next section is an experimental new container type. It attempts to
	;; bypass the kernel's built-in Container class and implement everything in the
	;; script as a normal kernel Object that responds to the 'open signal the same
	;; way a kernel Container would respond to the open command.
	;;
	;; This currently works. The next step is to implement the ability to add (and
	;; remove or disable) traps on a container. The means of doing so will be
	;; implemented here in the script, so the kernel won't need to know about
	;; trapped containers when this all works, and the kernel's Container class can
	;; be stripped back to a basic Inventory class.
	
	;; Define the gob structure and procedures. The contents should be a single
	;; quoted list, for example:
	;;
	;;   '((t_sword 1)
	;;     (t_arrow 5)
	;;     (t_torch 2)))
	;;
	;; Using the quotes is not only cleaner in the declarations, it automatically
	;; ensures that the contents are safe to save and reload as part of the gob
	;; because they are stored in the gob merely as symbols.
	;;
	;; Each container has a (often empty) list of traps, where each trap is the
	;; symbol for a procedure of the form (foo <kchar> <kcontainer>). The symbol is
	;; used instead of the actual procedure so that the list of traps can be saved
	;; and re-loaded.
	;;
	(define (mk-container contents) (list 'container contents nil))
	(define (is-container? gob) (eq? (car gob) 'container))
	(define (container-contents gob) (car (cdr gob)))
	(define (container-traps gob) (car (cdr (cdr gob))))
	(define (container-set-traps! gob traps) (set-car! (cdr (cdr gob)) traps))
	(define (content-type content) (car content))
	(define (content-quantity content) (cadr content))
	(define (container-add-trap! gob trap)
	  (container-set-traps! gob
	                        (cons trap
	                              (container-traps gob))))
	
	;; This is the heart of the implementation. This procedure runs when the
	;; container object gets the 'open signal, which is sent by the kernel in
	;; response to the player's o)pen command followed by selection of this
	;; object. It expects kobj to be a kernel object which is bound to a container
	;; gob following the above format (the constructors further down illustrate how
	;; to create such an object).
	;;
	;; Opening the container creates objects based on the types and quantities
	;; listed in the container's content list and deposits these objects on the
	;; ground where the container is. Then it removes the container, which likely
	;; results in its destruction.
	;;
	;; Before opening this applies all the traps attached to the container. Note
	;; that the self-destruct trap, as currently implemented, does not work as
	;; expected, because it relies on the removal of the container from the map as
	;; a means of destroying it; and that is not sufficient here.
	(define (kcontainer-open kobj kchar)
	  (let ((container (kobj-gob-data kobj))
	        (loc (kern-obj-get-location kobj))
	        (thief-dice (string-append "1d" (number->string (occ-ability-thief kchar))))
	        )
	    (println container)
	
	    ;; Applying traps can destroy both kobj and kchar
	    (kern-obj-inc-ref kobj)
	    (kern-obj-inc-ref kchar)
	
	    ;; Apply traps
	    (map (lambda (trap)
	           (let ((roll (kern-dice-roll "1d20"))
	                 (bonus (kern-dice-roll thief-dice)))
	             (println trap " roll:" roll "+" bonus)
	             (cond ((or (= roll 20)
	                        (> (+ roll bonus) 20))
	                    (kern-log-msg (kern-obj-get-name kchar) " avoids a trap!"))
	                   (else
	                    (kern-log-msg (kern-obj-get-name kchar) " trips a trap!")
	                    (apply (eval trap) (list kchar kobj))))))
	         (container-traps container))
	
	    ;; Spill contents
	    (map (lambda (content)
	           (println content)
	           (let ((newobj (kern-mk-obj (eval (content-type content))
	                                      (content-quantity content))))
	             (kern-obj-put-at newobj loc)))
	         (container-contents container))
	
	    ;; Remove the container from the map
	    (kern-obj-remove kobj)
	
	    ;; Done with references
	    (kern-obj-dec-ref kobj)
	    (kern-obj-dec-ref kchar)
	    ))
	
	;; This interface binds the 'open signal to our open procedure above.
	(define container-ifc
	  (ifc '()
	       (method 'open kcontainer-open)))
	
	;; This constructor makes new types of objects that conform to the container
	;; interface above. An example of usage is below, where I make a new chest
	;; type.
	(define (mk-container-type tag name sprite)
	  (mk-obj-type tag name sprite layer-mechanism container-ifc))
	
	
	;; Test it out. First, make a new chest type.
	(mk-container-type 't_chest2 "chest" s_chest)
	
	;; Define a constructor for an object of the new chest type. Example usage:
	;;
	;; (put (mk-chest2 '((t_sword 1)
	;;                   (t_arrow 5)
	;;                   (t_torch 2)))
	;;      5 8)
	;;
	;; * Note the use of a quoted list.
	;;
	(define (mk-chest2 ktype-q-pairs)
	  (bind (kern-mk-obj t_chest2 1)
	        (mk-container ktype-q-pairs)))
	
	(define (chest2-add-trap kobj trap)
	  (container-add-trap! (kobj-gob-data kobj) trap))

2006-10-24  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/bandit-hideout.scm, worlds/haxima-1.002/containers.scm:
	Started a new implementation of container objects (like chests) that will be
	done entirely in the script. This is a preliminary step to adding traps on
	doors and other non-container mechanisms.

2006-10-23  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/object.c, worlds/haxima-1.002/Makefile.am, worlds/haxima-1.002/bandit-hideout.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/shard.scm, worlds/haxima-1.002/species.scm, worlds/haxima-1.002/step.scm:
	Kernel changes:
	o Bugfix: the crosshair object was triggering sense mechanisms
	
	Haxima changes:
	o Started a new entry-level quest dungeon for L1 players

2006-10-21  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/ascii.c, src/status.c:
	Fixed some compiler errors and warnings that occur with newer versions of g++

	* worlds/haxima-1.002/start-new-game.scm:
	I keep forgetting to undo my test changes to start-new-game.scm...

2006-10-20  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c, src/cmdwin.c:
	Fixed some command error messages that were only being printed to the cmdwin, where they were promptly erased before the player could read them

2006-10-15  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/library/artwork/humanoids/cgoblinciv.xcf:
	basic cave goblin

	* worlds/library/artwork/humanoids/deadknight.xcf:
	Deathknight glow effects tweaked

	* worlds/library/artwork/humanoids/fgoblinciv.xcf:
	smaller goblin

	* worlds/library/artwork/humanoids/giant.xcf:
	draft giant/ettin

2006-10-14  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/library/artwork/humanoids/fgoblinciv.xcf:
	first attempt at forest goblins

2006-10-14  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/map.c, src/sprite.c:
	Added initial support for giant sprites.

2006-10-13  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/hirespeople.png:
	tonights icons in 32x32

	* worlds/library/artwork/hirespeople/beggar.xcf:
	beggar icon

	* worlds/library/artwork/hirespeople/child.xcf, worlds/library/artwork/hirespeople/generic.xcf:
	child icon added. generic townsman cleaned up

	* worlds/library/artwork/hirespeople/fencer.xcf:
	the companion_bard icon isnt used anywhere according to grep. (probably too generic looking). Anyway, Ive put together this 2 weapon fencer to get rid of the gaping hole in my icons page

	* worlds/library/artwork/hirespeople/fighter.xcf, worlds/library/artwork/hirespeople/paladin.xcf:
	fighter/paladin given shoulderguards

	* worlds/library/artwork/hirespeople/jester.xcf:
	jester icon

	* worlds/library/artwork/hirespeople/knight.xcf:
	knight icon

	* worlds/library/artwork/hirespeople/minstrel.xcf:
	minstrel icon

	* worlds/library/artwork/humanoids/deadknight.xcf:
	animated armour icon

2006-10-12  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/hirespeople.png, worlds/library/artwork/hirespeople/fatwoman.xcf:
	fat woman sprite

	* worlds/haxima-1.002/hirespeople.png, worlds/library/artwork/hirespeople/lady.xcf:
	lady sprite

	* worlds/haxima-1.002/hirespeople.png, worlds/library/artwork/hirespeople/cloackedf.xcf, worlds/library/artwork/hirespeople/rmage.xcf, worlds/library/artwork/hirespeople/rogue.xcf, worlds/library/artwork/hirespeople/roguef.xcf, worlds/library/artwork/hirespeople/xbowman.xcf:
	more sprites

2006-10-11  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/hirespeople.png, worlds/library/artwork/hirespeople/avatar.xcf, worlds/library/artwork/hirespeople/shopkeep.xcf, worlds/library/artwork/hirespeople/shopkeepf.xcf:
	new: female shopkeeper, avatar
	shopkeeper now uses mages body weight, instead of fighters

2006-10-10  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/hirespeople.png, worlds/library/artwork/hirespeople/druid.xcf:
	new druid icon

	* worlds/haxima-1.002/hirespeople.png:
	shepherd icon replaced

	* worlds/haxima-1.002/hirespeople.png:
	initial batch of highres people icons

	* worlds/library/artwork/hirespeople/enchanter.xcf, worlds/library/artwork/hirespeople/fighter.xcf, worlds/library/artwork/hirespeople/generic.xcf, worlds/library/artwork/hirespeople/mage.xcf, worlds/library/artwork/hirespeople/necromancer.xcf, worlds/library/artwork/hirespeople/paladin.xcf, worlds/library/artwork/hirespeople/pikeman.xcf, worlds/library/artwork/hirespeople/ranger.xcf, worlds/library/artwork/hirespeople/shopkeep.xcf, worlds/library/artwork/hirespeople/silas.xcf, worlds/library/artwork/hirespeople/tinker.xcf, worlds/library/artwork/hirespeople/wanderer.xcf:
	initial batch of highres icon working files

	* worlds/library/artwork/hirespeople/shepherd.xcf:
	shepherd icon

2006-10-06  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/ascii.c, src/images.c, src/nazghul.c, src/screen.c:
	Added a C source code XPM to provide a set of "emergency" ASII images. These
	are used to display a crude error message in a window if nazghul encounters an
	error during or before it can load the basic init script.

2006-10-04  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/cmd.c, src/cmd.h, src/conv.c, src/conv.h, src/menus.c, src/sched.c, src/sched.h:
	o Bugfix: the filename prompt from the Save Game menu allowed invalid and
	  undesirable characters for filenames
	o Bugfix: t)alking to an NPC when hostiles present caused assert
	o Bugfix: deleting a saved game with a non-existent save file caused assert
	o Bugfix: entering '%' during conversation caused a crash
	o Bugfix: entering '^' during conversation caused error messages and problems
	  with text colors

2006-10-03  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/character.cpp, src/character.h, src/ctrl.c:
	Improved fleeing by another notch. Fleeing NPC's in town or wilderness combat
	now attempt to pathfind to the nearest edge. Failing that, they fall back on
	evasion. Failing that, they fall back on fighting.

2006-10-02  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/astar.h, src/character.cpp, src/character.h, src/ctrl.c:
	o Improved the algorithm used by NPCs to flee. It now uses the basic adaptvie
	  evasion algorithm where it tries to run away from current hostile
	  positions. If a fleeing NPC gets stuck it doesn't just sit there helplessly,
	  but will turn and fight. More improvements are planned.

2006-10-01  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/character.cpp, src/sched.h:
	o Bugfix: "angry townfolk wont move or attack past their assigned
	  locations, making them pretty much sitting ducks". If hostiles are present,
	  the schedule is ignored and the AI run instead.

	* src/cmd.c, src/result.h, worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/naz.scm, worlds/haxima-1.002/powers.scm:
	o Added a new result code from spells: result-no-hostiles
	o The area effect sleep spell now returns result-no-hostiles if there are none,
	  so the console can tell the player why his sleep spell has no effect in town.

2006-09-30  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* doc/USERS_GUIDE, src/astar.c, src/cmd.c:
	o Pathfinding code now uses diagonals
	o Made the '5' key on the keypad mean "select" in the movecursor function
	o When buying/selling, reverted foogod window to show party gold instead of UI
	  hints

	* src/character.cpp:
	o Bugfix: t)alk auto-targeting broken. I don't think it was actually
	  broken. Anyway, I can't reproduce it now. But I did fix something similar:
	  when reloading a saved game NPC's are no longer teleported to the upper left
	  corner of their appointment rectangle if they are already in the
	  rectangle. Without this NPC's could get stacked on the same tile on reload,
	  making the auto-targeting appear to "stick" on a character when it was
	  actually cycling over the characters hidden below it.

	* src/cmd.c:
	Tying to cast non-existend spells results in a None Mixed! error, so player cannot guess at spells without mixing them

	* src/cmd.c, worlds/haxima-1.002/scrolls.png, worlds/haxima-1.002/scrolls.scm:
	Kernel changes:
	o Bugfix: x)amine with x-ray no longer says "Can't see!"
	
	Haxima changes:
	o Added a Wis An Ylem (x-ray) scroll and sprite.

	* src/cmd.c, src/combat.c, src/menus.c:
	o Bugfix: NPC's attacking on diagonal hit assert
	o When showing saved game screen screen shots, moved the "SCREEN SHOT" text
	  higher so the center is visible.

	* src/cmd.c, src/ctrl.c, src/menus.c:
	o Added diagonal movement using number keypad.
	o Made the '5' key on the keypad mean "select" in most menus.
	o Bugfix: cmdwin prompts had extra '-' in camping command

	* src/object.c:
	o Workaround: for [SF 1564243], crash on reload. The root cause is improper
	  order of destruction of objects. A good fix would use reference counts to
	  control that, but implementing it would probably add lots of new bugs, so I'm
	  too chicken to do it right now. I've logged a feature request to address this
	  when I'm feeling more courageous (or when this workaround proves to be
	  insufficient).

	* worlds/haxima-1.002/goblin-kingdoms.scm:
	Added some corpses to troll's den

2006-09-29  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/menus.c, src/status.c, src/status.h:
	Page up/down and Home/end now work with the saved game menus and other string or generic lists

	* src/nazghul.c:
	When the game ends it falls back to the main menu.

	* worlds/haxima-1.002/ability.scm, worlds/haxima-1.002/ai.scm, worlds/haxima-1.002/goblin-kingdoms.scm:
	o Bugfix: fireball spell was being cast on the caster, not the target
	o Added more combatants to the Goblin Crossroads dungeon room battle
	o Added loot chests to the Shamans Grove dungeon room

	* worlds/haxima-1.002/ai.scm:
	Removing some debug

	* worlds/haxima-1.002/roland.scm, worlds/haxima-1.002/slimy-cavern.scm, worlds/haxima-1.002/start-new-game.scm:
	Added more loot to Roland's cave

2006-09-28  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/menus.c, src/status.c, src/status.h:
	Added a delete command to the load/save menus so players can delete saved games they don't want anymore.

	* src/menus.c:
	N)ew Game is now always top on the Save Game menu, and current saved game is always next

2006-09-27  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/menus.c, src/status.c, src/status.h:
	Hacked-in hotkeys for the main menus

2006-09-26  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/Makefile.am:
	updated makefile

2006-09-26  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/ascii.c, src/cmd.c, src/cmd.h, src/foogod.c, src/foogod.h, src/kern.c, src/menus.c:
	The foogod window now has a hint mode, where it can show UI hints

	* src/cmd.c:
	Only one AP taken per mix command

	* worlds/haxima-1.002/charset.png:
	Added symbols for sideways arrows

2006-09-25  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/map.c, src/map.h, src/menus.c, src/nazghul.c, src/play.c:
	Saved-game screenshots implemented, not fully tested yet

2006-09-24  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/enchanters-tower-mech.scm, worlds/haxima-1.002/enchanters-tower.scm:
	more wierdness for enchy's new lab

	* worlds/haxima-1.002/enchanters-tower-mech.scm, worlds/haxima-1.002/enchanters-tower.scm:
	Enchanters tower expanded

	* worlds/haxima-1.002/tools.scm:
	clocks are impassable

	* worlds/haxima-1.002/tools.scm:
	gems work with new spell system
	added invisible object based wall

2006-09-24  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/map.c, src/map.h, src/menus.c, src/screen.c, src/screen.h:
	o Added screenCapture(), which will save some or all of the current screen to a
	  PNG file.
	o Saved-game screenshots partially implemented. Saving a game creates a
	  screenshot of the map named after the save file. The screenshots aren't yet
	  shown in the load/save menus.

2006-09-23  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/list.h, src/menus.c:
	o Re-organized the code that handles saved games to use a struct.
	o The saved games are now presented in order sorted by save time, youngest
	first.

	* src/menus.c, src/menus.h:
	o Menus now cache the saved game list instead of re-evaluating the script every
	  time for the save/load menus.
	o When a game is saved, the saved name becomes the new "current" game.
	o The current game is always listed at the top of the load/save list and is
	  highlighted by default for quick access. Other saves continue to be listed in
	  timestamp order, oldest last.

2006-09-22  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/powers.scm:
	field spells have variable duration

2006-09-22  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/Party.cpp, src/cmd.c, src/kern.c, src/menus.c, src/status.c, src/status.h:
	Generic and string lists now specify titles in the status UI

	* src/menus.c:
	The filename for the currently loaded game is marked with an '*' in the load and save menus.

2006-09-21  Kris Parker  <kaypy@localhost.localdomain>

	* src/object.c:
	fixed crash due to my last "fix" using obj_dec_ref too often

2006-09-21  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* doc/MAP_HACKERS_GUIDE:
	Added some basic map-editing instructions

	* src/cmd.c, src/menus.c, src/nazghul.c:
	Dates now added to save game menu

	* src/dimensions.c, src/dimensions.h:
	Bugfix: STAT_W was counting the frame boundaries

	* src/menus.c:
	Bugfix: after choosing from the Load Saved Game menu, it would repaint but your selection would have not data

	* src/menus.c:
	Added dates to the Load Saved Game menu options

	* worlds/haxima-1.002/Makefile.am:
	Bugfix: some new files missing in the install list

	* worlds/haxima-1.002/scrolls.scm:
	Temp hack to keep saved games working with old scroll names

2006-09-20  Kris Parker  <kaypy@localhost.localdomain>

	* src/clock.c, src/clock.h, src/status.c:
	effects display allows remaining duration and unknown duration

	* worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/spells.scm:
	spell cleanups

	* worlds/haxima-1.002/effects.scm:
	another attempt at a light spell

2006-09-20  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/menus.c, src/menus.h, src/scheme.c:
	Journey Onward now loads most recently saved game. Load Game lets the player pick from available saved games.

2006-09-19  Kris Parker  <kaypy@localhost.localdomain>

	* src/object.c:
	fixed crash in ifc sense handling when cutscene deleted mech

	* worlds/haxima-1.002/cast-ui.scm:
	vas rel por reinstated

2006-09-18  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/books.scm, worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/enchanters-tower.scm, worlds/haxima-1.002/mans-hideout.scm, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/scrolls.scm, worlds/haxima-1.002/spells.scm, worlds/haxima-1.002/thiefs_den.scm, worlds/haxima-1.002/tooth.scm:
	most spells debugged

2006-09-18  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/adornments.png, worlds/haxima-1.002/arms.png, worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/sprites.scm:
	o Moved paper-doll staff (and glow) to arms.png
	o Added paper-doll halberd

2006-09-17  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/addons.png, worlds/haxima-1.002/arms.png, worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/spells.scm:
	new spell- web

	* worlds/haxima-1.002/books.scm, worlds/haxima-1.002/enchanters-tower.scm:
	a spellbook for one of the new spells

	* worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/powers.scm:
	spell bug fixes

	* worlds/haxima-1.002/tools.png, worlds/haxima-1.002/tools.scm:
	book shelf object

2006-09-16  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/npc-types.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/spells.scm:
	more spell updating ... level 8!

	* worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/spells.scm:
	more spell updating 7

2006-09-16  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* doc/MAP_HACKERS_GUIDE, src/kern.c, src/object.c, src/sprite.c, src/sprite.h, worlds/haxima-1.002/arms.scm:
	Kernel changes:
	o Added kern-sprite-blit-over to allow layered non-composite sprites.
	0 Bugfix when reloading a game that involves type gobs.
	
	Haxima changes:
	o Made the staff "ready" sprite be blitted instead of composite. This preserves
	  its glow effect across a ready/unready cycle.

	* src/kern.c, src/sprite.c, src/sprite.h, worlds/haxima-1.002/arms.scm, worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/species.scm:
	Kernel changes:
	o Added kern-sprite-strip-decorations to facilitate rebuilding decorated
	  sprites
	
	Haxima changes:
	o Changed the slot ordering for species to follow the rendering order for paper
	  dolls.
	o Fixed the ready/unready effect hooks to rebuild the character's sprite if it
	  supports a paper-doll.
	o Modified the staff arms type to store the paper-doll staff sprite in the type
	  gob.

	* src/kern.c, src/sprite.c, src/sprite.h:
	Got rid of kern-sprite-tint; apply-matrix is better

	* worlds/haxima-1.002/naz.scm:
	Made a version of mk-composite-sprite which doesn't clone the base sprite

2006-09-15  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/ability.scm, worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/spells.scm:
	more spell updating

	* worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/spells.scm:
	more spell updating 6

	* worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/spells.scm:
	more spell updating 5

	* worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/spells.scm:
	more spell updating 4

2006-09-14  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/ability.scm, worlds/haxima-1.002/cast-ui.scm, worlds/haxima-1.002/powers.scm, worlds/haxima-1.002/spells.scm:
	more spell updating

	* worlds/haxima-1.002/sprites.scm:
	fixed sprites off by one

2006-09-13  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* doc/MAP_HACKERS_GUIDE:
	Cleaned up the introduction

	* doc/MAP_HACKERS_GUIDE:
	Added docs for kern-type-set/get-gob and comments about object types and gobs

	* src/Party.cpp, src/character.cpp, src/closure.c, src/closure.h, src/ctrl.c, src/object.c, src/object.h, src/place.c:
	o Object hooks now run with variable argument lists.

	* src/character.cpp, src/kern.c, src/object.c, worlds/haxima-1.002/effects.scm, worlds/haxima-1.002/start-new-game.scm:
	Kernel changes:
	o Changed kern-obj-type-set/get-gob to kern-type-set/get-gob
	o Added Scheme-to-kernel conversions for the ready/unready hook names
	o Bugfix: character was using a bad format arg for runHook() call
	
	Haxima changes:
	o Added a placeholder ready and unready effect that just print the equipment
	  name and the affected slot.

	* src/character.cpp, src/kern.c, src/object.c:
	o Character's now run the "ready" and "unready" hooks
	o Added kern-obj-type-set/get-gob

2006-09-12  Kris Parker  <kaypy@localhost.localdomain>

	* worlds/haxima-1.002/tools.scm:
	fixed mirror/clock pclass being lost on reload

2006-09-12  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* src/character.cpp, src/closure.c, src/closure.h, src/object.c, src/object.h, src/sprite.c:
	A few preliminary changes needed for the READY/UNREADY hooks

	* src/scheme.c:
	Fixed the 'mismatched parenthesis: -1' error emitted by scheme when a file ends in )

2006-09-11  Gordon McNutt  <gmcnutt@localhost.localdomain>

	* worlds/haxima-1.002/adornments.png, worlds/haxima-1.002/enchanter.scm, worlds/haxima-1.002/kalcifax.scm, worlds/haxima-1.002/sprites.scm:
	o Added a staff and a staff glow sprite for wizards.

	* worlds/haxima-1.002/adornments.png, worlds/haxima-1.002/kalcifax.scm, worlds/haxima-1.002/sprite-sets.scm, worlds/haxima-1.002/sprites.scm:
	o Added some humanoid hair sprites.

	* worlds/haxima-1.002/bodies.png, worlds/haxima-1.002/clothes.png, worlds/haxima-1.002/enchanter.scm, worlds/haxima-1.002/kalcifax.scm, worlds/haxima-1.002/sprite-sets.scm, worlds/haxima-1.002/sprites.scm, worlds/haxima-1.002/start-new-game.scm:
	o Added two more frames to the body and the robe template sprites.
	o Added a mantle sprite to wear over robes.

2006-09-10  Kris Parker  <kaypy@localhost.localdomain>

	* src/character.cpp, src/character.h, src/cmd.c, src/object.c, src/object.h, src/place.c, src/place.h:
	first pass at detailed xamine

	* src/kern.c:
	added kern-stdout-msg to log to stdout

	* src/object.c, src/object.h:
	new standard ifc: 'sense' to detect all incoming/outgoing objects

	* worlds/haxima-1.002/addons.png:
	switch icon symetry fixed so they dont move when flipped

